!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_2832) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_337)**2d0 &
                         - coupl(nGC_340)**2d0 - coupl(nGC_349)**2d0 - coupl(  &
                        nGC_367)**2d0 - coupl(nGC_373)**2d0 - coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3524) = coupl(nGC_2962) + coupl(nGC_33)*dZHlHh_QED2 + coupl(   &
                        nGC_37)*dZHMinusGMinus_QED2 + coupl(nGC_42)*dZHh_QED2
      coupl(nGC_2783) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )*coupl(nGC_343) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_206)* &
                        coupl(nGC_346)*coupl(nGC_349) - 8d0*Nc*coupl(nGC_1)*   &
                        coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_334)*coupl(      &
                        nGC_337) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_207)*coupl(   &
                        nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) -  &
                        8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) - 8d0*Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_1)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) +  &
                        5d0*Nc*coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_206)*coupl(  &
                        nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_206)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_206)*coupl(nGC_364)*coupl(nGC_367) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)*coupl&
                        (nGC_337) - 8d0*Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(  &
                        nGC_370)*coupl(nGC_373) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) +  &
                        5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_370)*coupl&
                        (nGC_373) + 5d0*Nc*coupl(nGC_2)*coupl(nGC_209)*coupl(  &
                        nGC_382)*coupl(nGC_385) - 8d0*Nc*coupl(nGC_2)*coupl(   &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) - 8d0*Nc*coupl( &
                        nGC_2)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) -  &
                        8d0*Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)*coupl&
                        (nGC_367) - 8d0*coupl(nGC_208)*coupl(nGC_352)*coupl(   &
                        nGC_355)*coupl(nGC_4) - 8d0*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_361)*coupl(nGC_4) - 8d0*coupl(      &
                        nGC_208)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4) +  &
                        5d0*coupl(nGC_212)*coupl(nGC_352)*coupl(nGC_355)*coupl(&
                        nGC_4) + 5d0*coupl(nGC_212)*coupl(nGC_358)*coupl(      &
                        nGC_361)*coupl(nGC_4) + 5d0*coupl(nGC_212)*coupl(      &
                        nGC_376)*coupl(nGC_379)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_3527) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2839) = cima*(5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_334)*coupl( &
                        nGC_337) + 5d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)* &
                        coupl(nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)* &
                        coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc* &
                        coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363)**2d0 + 5d0&
                        *Nc*coupl(nGC_340)*coupl(nGC_342)**2d0*coupl(nGC_343   &
                        ) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_369 &
                        )*coupl(nGC_370) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343 &
                        )*coupl(nGC_369)**2d0 + 5d0*Nc*coupl(nGC_342)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_342)* &
                        coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc* &
                        coupl(nGC_345)**2d0*coupl(nGC_346)*coupl(nGC_349) + 5d0&
                        *Nc*coupl(nGC_345)**2d0*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_381 &
                        )*coupl(nGC_385) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349 &
                        )*coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_346 &
                        )*coupl(nGC_349)*coupl(nGC_381)**2d0 + 5d0*Nc*coupl(   &
                        nGC_363)**2d0*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_370)*coupl(nGC_373) + 5d0&
                        *Nc*coupl(nGC_381)**2d0*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_180) + 6d0*coupl(     &
                        nGC_21)*coupl(nGC_23) + 5d0*coupl(nGC_351)**2d0*coupl( &
                        nGC_352)*coupl(nGC_355) + 5d0*coupl(nGC_357)**2d0*coupl&
                        (nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_375)**2d0*    &
                        coupl(nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3688) = coupl(nGC_13)*dZsR_QED2
      coupl(nGC_2781) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_340&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_349)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_385)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_340)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_367)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_337)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_373)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_385)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_337)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_385)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_340)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_349)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_367)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_355)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_361)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_379)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_355)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_361)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_379)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_817)*coupl(      &
                        nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2581) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321&
                        )*coupl(nGC_833) + 2d0*coupl(nGC_198)*coupl(nGC_199)*  &
                        coupl(nGC_231) + 2d0*coupl(nGC_199)*coupl(nGC_321)*    &
                        coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2780) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337&
                        )*coupl(nGC_897) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_341) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_350) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(      &
                        nGC_368) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_373)*coupl(nGC_827) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_385)*coupl(nGC_805) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_337)*coupl( &
                        nGC_897) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_350) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367)*&
                        coupl(nGC_368) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_373)*coupl(nGC_827) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_385)*coupl(nGC_805) + 6d0*cima* &
                        coupl(nGC_186)*coupl(nGC_821) + cima*coupl(nGC_197)*   &
                        coupl(nGC_355)*coupl(nGC_356)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_361)*coupl(nGC_362)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_379)*coupl(nGC_380)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0* &
                        coupl(nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_3898) = -coupl(nGC_199)*dZWMinus_QED2 - coupl(nGC_199)*dZZ_QED2&
                        /2d0 - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl(nGC_3160)
      coupl(nGC_3899) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_209)*dZZ_QED2/  &
                        2d0 + coupl(nGC_209)*dZdL_QED2 + coupl(nGC_3185)
      coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3890) = 2d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3048)
      coupl(nGC_3892) = coupl(nGC_3105) + coupl(nGC_359)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 + coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_2874) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(      &
                        nGC_343)*coupl(nGC_895) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_346)*coupl(nGC_843) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_364)*coupl(nGC_785) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_334)*coupl(nGC_338) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_343)*coupl(nGC_895) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_346)*coupl(nGC_843) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_364)*coupl(nGC_785) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_370)*coupl(nGC_374) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_382)*coupl(nGC_386) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_343)*coupl(nGC_895) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_346)*coupl(nGC_843) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_364)*coupl(nGC_785) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_370)*coupl(nGC_374) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_382)*coupl(nGC_386) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_352)*coupl(nGC_809) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_358)*coupl(nGC_865) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_376)*coupl(nGC_793) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_352)*coupl(nGC_809) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_358)*coupl(nGC_865) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_376)*coupl(nGC_793) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_352)*coupl(nGC_809) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_358)*coupl(nGC_865) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_376)*coupl(nGC_793))/(48d0*pi**2d0)
      coupl(nGC_3894) = -coupl(nGC_3105) - coupl(nGC_359)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_362)*dZmuMinusL_QED2/2d0 - coupl(nGC_362)*   &
                        dZmuMinusR_QED2/2d0
      coupl(nGC_3858) = coupl(nGC_3132) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                        nGC_369)*dZtL_QED2/2d0 + coupl(nGC_369)*dZtR_QED2/2d0  &
                         + coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_3545) = coupl(nGC_2967) + coupl(nGC_54)*dZG0Ha_QED2 + coupl(   &
                        nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*           &
                        dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
      coupl(nGC_2830) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_341) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_349)*coupl(nGC_350) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367)*coupl&
                        (nGC_368) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_337)*coupl(nGC_897) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_373)*coupl(nGC_827   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_385)*coupl(nGC_805) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_337)*coupl(nGC_897) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_341) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_349)*coupl(nGC_350) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_367)*coupl(nGC_368   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_373)*coupl(nGC_827) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_385)*coupl(nGC_805) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337)*coupl&
                        (nGC_897) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_341) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_349)*coupl(nGC_350   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_367)*coupl(nGC_368) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_373)*coupl(nGC_827) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385)*coupl&
                        (nGC_805) + 6d0*cima*coupl(nGC_186)*coupl(nGC_833) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_355)*coupl(nGC_356   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_361)*coupl(nGC_362) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_379)*coupl(nGC_380) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_355)*coupl(    &
                        nGC_356) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_361)*coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_379)*coupl(nGC_380) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_355)*coupl(   &
                        nGC_356) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_361)*coupl(nGC_362) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_379)*coupl(nGC_380) + 6d0*    &
                        coupl(nGC_186)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_30))/(48d0*pi**2d0)
      coupl(nGC_3573) = -coupl(nGC_3075) - coupl(nGC_350)*dZdL_QCD2/2d0 - coupl&
                        (nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_4005) = coupl(nGC_3317) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_172_Hl) - coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_2833) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_337)**2d0  &
                         + coupl(nGC_340)**2d0 + coupl(nGC_349)**2d0 + coupl(  &
                        nGC_367)**2d0 + coupl(nGC_373)**2d0 + coupl(nGC_385)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3572) = -coupl(nGC_3074) - coupl(nGC_347)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_350)*dZdL_QED2/2d0 - coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_3682) = coupl(nGC_213)*dZHl_QED2/2d0 + coupl(nGC_213)*dZZ_QED2/&
                        2d0 + coupl(nGC_215)*dZHaG0_QED2/2d0 + coupl(nGC_215)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_3164)
      coupl(nGC_2477) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_853) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_843) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_817) + coupl(nGC_2)*coupl&
                        (nGC_382)**2d0 + coupl(nGC_2)*coupl(nGC_385)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_4009) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(      &
                        nGC_TS_GC_172_Hh) + coupl(nGC_TS_GC_179_Hl)
      coupl(nGC_3749) = coupl(nGC_29)*dZGMinus
      coupl(nGC_3158) = coupl(nGC_1692)*dsw_QED2 + coupl(nGC_1693)*da_QED2 +   &
                        coupl(nGC_1694)*dvev1_QED1 + coupl(nGC_1695)*dvev2_QED1&
                         + coupl(nGC_1696)*dZee_QED2
      coupl(nGC_3570) = coupl(nGC_3075) + coupl(nGC_350)*dZdL_QCD2/2d0 + coupl(&
                        nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_3065) = coupl(nGC_1397)*dyup1_QED1_QCD2 + coupl(nGC_1398)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2789) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_335&
                        )*coupl(nGC_337) + Nc*coupl(nGC_1)*coupl(nGC_340)*coupl&
                        (nGC_863) + Nc*coupl(nGC_1)*coupl(nGC_349)*coupl(      &
                        nGC_853) + Nc*coupl(nGC_1)*coupl(nGC_367)*coupl(nGC_891&
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_371)*coupl(nGC_373   &
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_383)*coupl(nGC_385   &
                        ) + Nc*coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_337) - 4d0&
                        *Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_863) - 4d0*Nc&
                        *coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_853) - 4d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_367)*coupl(nGC_891) + Nc*coupl( &
                        nGC_2)*coupl(nGC_371)*coupl(nGC_373) + Nc*coupl(nGC_2)*&
                        coupl(nGC_383)*coupl(nGC_385) + coupl(nGC_355)*coupl(  &
                        nGC_4)*coupl(nGC_801) + coupl(nGC_361)*coupl(nGC_4)*   &
                        coupl(nGC_905) + coupl(nGC_379)*coupl(nGC_4)*coupl(    &
                        nGC_819))/(48d0*pi**2d0)
      coupl(nGC_3740) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_3741) = coupl(nGC_3084) + coupl(nGC_339)*dZHh_QED2/2d0 + coupl(&
                        nGC_339)*dZbL_QED2/2d0 + coupl(nGC_339)*dZbR_QED2/2d0  &
                         + coupl(nGC_342)*dZHlHh_QED2/2d0
      coupl(nGC_3742) = coupl(nGC_3085) + coupl(nGC_339)*dZbL_QCD2/2d0 + coupl(&
                        nGC_339)*dZbR_QCD2/2d0
      coupl(nGC_2808) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)*  &
                        coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                        nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_206&
                        )*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_1)*coupl&
                        (nGC_209)*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(    &
                        nGC_1)*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) -  &
                        Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363)*coupl(   &
                        nGC_366) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333&
                        )*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl&
                        (nGC_369)*coupl(nGC_372) - Nc*coupl(nGC_2)*coupl(      &
                        nGC_207)*coupl(nGC_381)*coupl(nGC_384) - Nc*coupl(nGC_2&
                        )*coupl(nGC_210)*coupl(nGC_333)*coupl(nGC_336) - Nc*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369)*coupl(      &
                        nGC_372) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381&
                        )*coupl(nGC_384) - coupl(nGC_208)*coupl(nGC_351)*coupl(&
                        nGC_354)*coupl(nGC_4) - coupl(nGC_208)*coupl(nGC_357)* &
                        coupl(nGC_360)*coupl(nGC_4) - coupl(nGC_208)*coupl(    &
                        nGC_375)*coupl(nGC_378)*coupl(nGC_4) - coupl(nGC_211)* &
                        coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4) - coupl(    &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4) -  &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_378)*coupl(    &
                        nGC_4))/(8d0*pi**2d0)
      coupl(nGC_3744) = coupl(nGC_3155) + coupl(nGC_77)*dZHh_QED2 + coupl(     &
                        nGC_77)*dZWMinus_QED2
      coupl(nGC_3745) = -coupl(nGC_200)*dZWMinus_QED2/4d0 - coupl(nGC_3046)/2d0
      coupl(nGC_3576) = coupl(nGC_201)*dZZA_QED2/4d0 + coupl(nGC_3042)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_1061) = coupl(nGC_I)*dZGMinus
      coupl(nGC_3599) = coupl(nGC_3064) + coupl(nGC_382)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_382)*dZdL_QED2/2d0 + coupl(nGC_382)*dZuR_QED2&
                        /2d0 + coupl(nGC_385)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3520) = coupl(nGC_3005) + coupl(nGC_76)*dZHh_QED2
      coupl(nGC_2769) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_341)*coupl(  &
                        nGC_895) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_350 &
                        )*coupl(nGC_843) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(&
                        nGC_368)*coupl(nGC_785) - 2d0*Nc*cima*coupl(nGC_2)**2d0&
                        *coupl(nGC_338)*coupl(nGC_897) - 2d0*Nc*cima*coupl(    &
                        nGC_2)**2d0*coupl(nGC_374)*coupl(nGC_827) - 2d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_386)*coupl(nGC_805) + cima&
                        *coupl(nGC_100)*coupl(nGC_9) - 2d0*cima*coupl(nGC_356)*&
                        coupl(nGC_4)**2d0*coupl(nGC_809) - 2d0*cima*coupl(     &
                        nGC_362)*coupl(nGC_4)**2d0*coupl(nGC_865) - 2d0*cima*  &
                        coupl(nGC_380)*coupl(nGC_4)**2d0*coupl(nGC_793) + coupl&
                        (nGC_100)*coupl(nGC_3)**2d0 + coupl(nGC_100)*coupl(    &
                        nGC_817)**2d0)/(8d0*pi**2d0)
      coupl(nGC_TS_GC_245_Hh) = -coupl(nGC_245)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2838) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(    &
                        nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                        nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(     &
                        nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(&
                        nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355 &
                        ) - coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_376)*    &
                        coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3036) = coupl(nGC_1211)*dsw_QED2 + coupl(nGC_1212)*da_QED2 +   &
                        coupl(nGC_1213)*dvev1_QED1 + coupl(nGC_1214)*dvev2_QED1&
                         + coupl(nGC_1215)*dZee_QED2
      coupl(nGC_2518) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2519) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi** &
                        2d0)
      coupl(nGC_2512) = coupl(nGC_13)**2d0*coupl(nGC_337)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2510) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2511) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335 &
                        )*coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl(&
                        nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(nGC_367 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2516) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2517) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(  &
                        nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347 &
                        )*coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(nGC_350 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2514) = coupl(nGC_13)**2d0*coupl(nGC_367)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2478) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_206&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_347)*coupl(nGC_853) + coupl(nGC_1)*coupl(  &
                        nGC_348)**2d0 + coupl(nGC_1)*coupl(nGC_350)*coupl(     &
                        nGC_843) + coupl(nGC_2)*coupl(nGC_346)**2d0 + coupl(   &
                        nGC_2)*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3098) = coupl(nGC_1434)*dye2_QED3 + coupl(nGC_1435)*db_QED2 +  &
                        coupl(nGC_1436)*dye1_QED3
      coupl(nGC_3055) = coupl(nGC_1500)*dyd12x2_QED1_QCD2 + coupl(nGC_1501)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3932) = -coupl(nGC_213)*dZHlHh_QED2/2d0 - coupl(nGC_214)*      &
                        dZHaG0_QED2/2d0 - coupl(nGC_215)*dZHh_QED2/2d0 - coupl(&
                        nGC_215)*dZZ_QED2/2d0 - coupl(nGC_3163)
      coupl(nGC_4034) = -coupl(nGC_2458)
      coupl(nGC_3939) = coupl(nGC_3001) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +    &
                        coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*     &
                        dZG0Ha_QED2/2d0
      coupl(nGC_3510) = coupl(nGC_3066) + coupl(nGC_334)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*dZsL_QED2&
                        /2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3056) = coupl(nGC_2326)*db_QED2 + coupl(nGC_2327)*dyc1_QED3 +  &
                        coupl(nGC_2328)*dyc2_QED3
      coupl(nGC_2604) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(  &
                        nGC_333)*coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334 &
                        )*coupl(nGC_335)*coupl(nGC_365) - coupl(nGC_334)*coupl(&
                        nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_338 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2605) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_347 &
                        )*coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_348)*coupl(&
                        nGC_382)*coupl(nGC_384) - coupl(nGC_350)*coupl(nGC_382 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2602) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(&
                        nGC_795)*coupl(nGC_863) - coupl(nGC_343)*coupl(nGC_827 &
                        )*coupl(nGC_895))/(32d0*pi**2d0)
      coupl(nGC_2600) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) - &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) -  &
                        Nc*cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) +  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) -  &
                        Nc*cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) +  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) -  &
                        Nc*cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) +  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) -  &
                        Nc*cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) +  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) -  &
                        Nc*cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) +  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) -  &
                        Nc*cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) +  &
                        cME*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*&
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*    &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*    &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*   &
                        coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*   &
                        coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima&
                        *coupl(nGC_194)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321&
                        )*coupl(nGC_833) + 2d0*coupl(nGC_199)*coupl(nGC_231)*  &
                        coupl(nGC_847) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(&
                        nGC_847))/(16d0*pi**2d0)
      coupl(nGC_2601) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_370)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_370) - coupl(nGC_344)*coupl(nGC_370 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2767) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_334)*coupl(  &
                        nGC_337) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_340)*    &
                        coupl(nGC_343) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_346&
                        )*coupl(nGC_349) - 4d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_1)**2d0*    &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_1)**  &
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1 &
                        )*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc* &
                        coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                        ) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346)*   &
                        coupl(nGC_349) + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl&
                        (nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(   &
                        nGC_1)*coupl(nGC_2)*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_2)**2d0*coupl(nGC_334)*coupl(nGC_337) -  &
                        4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_340)*coupl(nGC_343  &
                        ) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_346)*coupl(     &
                        nGC_349) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_364)*    &
                        coupl(nGC_367) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_370&
                        )*coupl(nGC_373) - 4d0*Nc*coupl(nGC_2)**2d0*coupl(     &
                        nGC_382)*coupl(nGC_385) - 4d0*coupl(nGC_352)*coupl(    &
                        nGC_355)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_358)*coupl( &
                        nGC_361)*coupl(nGC_4)**2d0 - 4d0*coupl(nGC_376)*coupl( &
                        nGC_379)*coupl(nGC_4)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2766) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_337)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_340)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_385)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_349)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_367)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_373)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_385)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_337)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_340)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_349)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_367)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_373)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_385)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_355)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_361)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_379)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_817)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_333_Hl) = -coupl(nGC_333)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3549) = coupl(nGC_243)*dZHMinus_QED2 + coupl(nGC_243)*dZHl_QED2&
                        /2d0 + coupl(nGC_251)*dZHhHl_QED2/2d0 + coupl(nGC_252)*&
                        dZGMinusHMinus_QED2 + coupl(nGC_3030) + coupl(         &
                        nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_40_Hl)
      coupl(nGC_2569) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) -    &
                        coupl(nGC_375)**2d0*coupl(nGC_793) - coupl(nGC_377)**  &
                        2d0*coupl(nGC_793) - coupl(nGC_378)**2d0*coupl(nGC_793 &
                        ) - coupl(nGC_380)**2d0*coupl(nGC_793) + 8d0*coupl(    &
                        nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3927) = -coupl(nGC_3317) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0  &
                         + coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
      coupl(nGC_2567) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_374) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_374) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_895) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_895) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_827) - coupl(nGC_371)**2d0*coupl(nGC_827) - coupl( &
                        nGC_372)**2d0*coupl(nGC_827) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_827))/(32d0*pi**2d0)
      coupl(nGC_2566) = coupl(nGC_13)**2d0*coupl(nGC_827)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2565) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_827) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_827) - coupl(nGC_340 &
                        )*coupl(nGC_341)*coupl(nGC_373) - coupl(nGC_341)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_374) - coupl(nGC_372)**2d0*coupl(nGC_374) - coupl( &
                        nGC_374)*coupl(nGC_795)**2d0 - coupl(nGC_374)*coupl(   &
                        nGC_827)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2563) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_368) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_368) - coupl(nGC_334 &
                        )*coupl(nGC_364)*coupl(nGC_897) - coupl(nGC_337)*coupl(&
                        nGC_367)*coupl(nGC_897) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_785) - coupl(nGC_365)**2d0*coupl(nGC_785) - coupl( &
                        nGC_366)**2d0*coupl(nGC_785) - coupl(nGC_368)**2d0*    &
                        coupl(nGC_785))/(32d0*pi**2d0)
      coupl(nGC_2561) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_785) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_785) - coupl(nGC_334 &
                        )*coupl(nGC_338)*coupl(nGC_364) - coupl(nGC_337)*coupl(&
                        nGC_338)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_368) - coupl(nGC_366)**2d0*coupl(nGC_368) - coupl( &
                        nGC_368)*coupl(nGC_785)**2d0 - coupl(nGC_368)*coupl(   &
                        nGC_891)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2560) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_865) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_362) - coupl(nGC_360)**  &
                        2d0*coupl(nGC_362) - coupl(nGC_362)*coupl(nGC_865)**2d0&
                         - coupl(nGC_362)*coupl(nGC_905)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_865))/(32d0*pi**2d0)
      coupl(nGC_2738) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_339)**2d0 + coupl(nGC_340)** &
                        2d0 + coupl(nGC_341)*coupl(nGC_895) + coupl(nGC_342)** &
                        2d0 + coupl(nGC_343)**2d0 + coupl(nGC_344)*coupl(      &
                        nGC_863))/(64d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2895) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_343)*coupl(nGC_863) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_853) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_891) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_335) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_371   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_383) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_335) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343)*coupl&
                        (nGC_863) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_853) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_891   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_335) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_343)*coupl(nGC_863) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_853   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_891) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_371) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_383) + 6d0*cima*coupl(nGC_187)*coupl(nGC_833) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_31) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_801   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_905) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_819) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_801) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_905) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_819) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_801) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_905) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_819) + 6d0*    &
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2768) = (-4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_334)**2d0 -  &
                        4d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_343)**2d0 - 4d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc&
                        *cima*coupl(nGC_1)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc*   &
                        cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334)**2d0 +   &
                        5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343)** &
                        2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(     &
                        nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_2)* &
                        coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(  &
                        nGC_2)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_1)* &
                        coupl(nGC_2)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(  &
                        nGC_2)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_364)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl(   &
                        nGC_2)**2d0*coupl(nGC_382)**2d0 + 3d0*cima*coupl(      &
                        nGC_100)*coupl(nGC_9) - 4d0*cima*coupl(nGC_352)**2d0*  &
                        coupl(nGC_4)**2d0 - 4d0*cima*coupl(nGC_358)**2d0*coupl(&
                        nGC_4)**2d0 - 4d0*cima*coupl(nGC_376)**2d0*coupl(nGC_4 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_3)**2d0 + 3d0*   &
                        coupl(nGC_100)*coupl(nGC_817)**2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2894) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_833) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_2685) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_354)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_801)**2d0 - coupl(nGC_809)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_3832) = coupl(nGC_3107) + coupl(nGC_351)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_354)*dZHh_QED2/2d0 + coupl(nGC_354)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_354)*dZeMinusR_QED2/2d0
      coupl(nGC_3542) = coupl(nGC_3097) + coupl(nGC_344)*dZbL_QCD2/2d0 + coupl(&
                        nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_2748) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_345&
                        )**2d0 - coupl(nGC_347)*coupl(nGC_853) - coupl(nGC_348 &
                        )**2d0 - coupl(nGC_350)*coupl(nGC_843) - coupl(nGC_382 &
                        )**2d0 - coupl(nGC_385)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2579) = coupl(nGC_197)*(Nc*coupl(nGC_334)*coupl(nGC_336) - Nc* &
                        coupl(nGC_339)*coupl(nGC_343) - Nc*coupl(nGC_346)*coupl&
                        (nGC_348) - Nc*coupl(nGC_364)*coupl(nGC_366) + Nc*coupl&
                        (nGC_370)*coupl(nGC_372) + Nc*coupl(nGC_382)*coupl(    &
                        nGC_384) - coupl(nGC_352)*coupl(nGC_354) - coupl(      &
                        nGC_358)*coupl(nGC_360) - coupl(nGC_376)*coupl(nGC_378 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2899) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_833) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_847) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_847))/(48d0*pi**2d0)
      coupl(nGC_2739) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_339&
                        )**2d0 - coupl(nGC_341)*coupl(nGC_895) - coupl(nGC_342 &
                        )**2d0 - coupl(nGC_344)*coupl(nGC_863) - coupl(nGC_370 &
                        )**2d0 - coupl(nGC_373)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2462) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324 &
                        )*coupl(nGC_821) + 2d0*coupl(nGC_199)*coupl(nGC_237)*  &
                        coupl(nGC_817) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(&
                        nGC_817))/(16d0*pi**2d0)
      coupl(nGC_2463) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324 &
                        )*coupl(nGC_821) + 2d0*coupl(nGC_198)*coupl(nGC_237)*  &
                        coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(  &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2460) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_367)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2461) = (Nc*coupl(nGC_1)*coupl(nGC_334)**2d0 + Nc*coupl(nGC_1)*&
                        coupl(nGC_343)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_346)** &
                        2d0 + Nc*coupl(nGC_1)*coupl(nGC_364)**2d0 + Nc*coupl(  &
                        nGC_1)*coupl(nGC_370)**2d0 + Nc*coupl(nGC_1)*coupl(    &
                        nGC_382)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_334)**2d0 -  &
                        Nc*coupl(nGC_2)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_2)* &
                        coupl(nGC_346)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_364)** &
                        2d0 - Nc*coupl(nGC_2)*coupl(nGC_370)**2d0 - Nc*coupl(  &
                        nGC_2)*coupl(nGC_382)**2d0 + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_358)**2d0*coupl(nGC_4) + coupl(     &
                        nGC_376)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2466) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321 &
                        )*coupl(nGC_821) + 2d0*coupl(nGC_198)*coupl(nGC_231)*  &
                        coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(  &
                        nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2467) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) -  &
                        Nc*cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*&
                        cMD*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS&
                        *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*  &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*   &
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima* &
                        coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321 &
                        )*coupl(nGC_821) + 2d0*coupl(nGC_199)*coupl(nGC_231)*  &
                        coupl(nGC_817) + 2d0*coupl(nGC_3)*coupl(nGC_321)*coupl(&
                        nGC_817))/(16d0*pi**2d0)
      coupl(nGC_2464) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_339) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_372) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_384 &
                        ) - 2d0*cME*coupl(nGC_354)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_360)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_378)*coupl(nGC_4)**2d0 + cima*coupl(nGC_272)*coupl(&
                        nGC_9) + coupl(nGC_272)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_272)*coupl(nGC_817)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2465) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_342) - 2d0*Nc*&
                        cMC*coupl(nGC_2)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_2)**2d0*coupl&
                        (nGC_369) - 2d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_381 &
                        ) - 2d0*cME*coupl(nGC_351)*coupl(nGC_4)**2d0 - 2d0*cMM*&
                        coupl(nGC_357)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(     &
                        nGC_375)*coupl(nGC_4)**2d0 + cima*coupl(nGC_261)*coupl(&
                        nGC_9) + coupl(nGC_261)*coupl(nGC_3)**2d0 + coupl(     &
                        nGC_261)*coupl(nGC_817)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3568) = coupl(nGC_260)*dZHlHh_QED2/2d0 + coupl(nGC_271)*       &
                        dZHh_QED2/2d0 + coupl(nGC_3036)
      coupl(nGC_3569) = coupl(nGC_3074) + coupl(nGC_347)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_350)*dZdL_QED2/2d0 + coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_2468) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_339) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_336) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_336) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_348) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_348) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_366) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_366) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_372) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_372) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_384) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_384) - cME*coupl(&
                        nGC_208)*coupl(nGC_354)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_354)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_360)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_360)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_378)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_378)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_272) + coupl(nGC_199)*coupl(nGC_272 &
                        )*coupl(nGC_3) + coupl(nGC_272)*coupl(nGC_817)*coupl(  &
                        nGC_847))/(8d0*pi**2d0)
      coupl(nGC_2469) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_342) -  &
                        Nc*cMB*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_342) - Nc*&
                        cMC*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333) - Nc*cMC&
                        *coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_333) - Nc*cMD*  &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_345) - Nc*cMD*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_345) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_363) - Nc*cMS*   &
                        coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369) - Nc*cMT*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_369) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_381) - Nc*cMU*   &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_381) - cME*coupl(&
                        nGC_208)*coupl(nGC_351)*coupl(nGC_4) - cME*coupl(      &
                        nGC_211)*coupl(nGC_351)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_208)*coupl(nGC_357)*coupl(nGC_4) - cMM*coupl(      &
                        nGC_211)*coupl(nGC_357)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_208)*coupl(nGC_375)*coupl(nGC_4) - cMTA*coupl(     &
                        nGC_211)*coupl(nGC_375)*coupl(nGC_4) + cima*coupl(     &
                        nGC_205)*coupl(nGC_261) + coupl(nGC_199)*coupl(nGC_261 &
                        )*coupl(nGC_3) + coupl(nGC_261)*coupl(nGC_817)*coupl(  &
                        nGC_847))/(8d0*pi**2d0)
      coupl(nGC_3833) = coupl(nGC_49)*dZG0
      coupl(nGC_3649) = coupl(nGC_2996) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl( &
                        nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +    &
                        coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/ &
                        2d0
      coupl(nGC_3648) = coupl(nGC_39)*dZG0/2d0
      coupl(nGC_3398) = -coupl(nGC_3043)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_3544) = -coupl(nGC_3097) - coupl(nGC_344)*dZbL_QCD2/2d0 - coupl&
                        (nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3891) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3048)
      coupl(nGC_3641) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*         &
                        dZWMinus_QED2 + coupl(nGC_3152)
      coupl(nGC_3392) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3391) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_26)*dZHMinus_QED2 - coupl(nGC_3044)
      coupl(nGC_3390) = coupl(nGC_2997) + coupl(nGC_38)*dZHa_QED2/2d0 + coupl( &
                        nGC_38)*dZHl_QED2 + coupl(nGC_41)*dZHaG0_QED2/2d0 +    &
                        coupl(nGC_47)*dZHhHl_QED2 + coupl(nGC_49)*dZG0Ha_QED2/ &
                        2d0
      coupl(nGC_3397) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3396) = coupl(nGC_220)*dZHMinus_QED2 + coupl(nGC_3008)
      coupl(nGC_3395) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_196)*dZZA_QED2/&
                        2d0 + coupl(nGC_204)*dZA_QED2/2d0 + coupl(nGC_204)*    &
                        dZZ_QED2/2d0 + coupl(nGC_3156)
      coupl(nGC_3394) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*          &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_22)*dZHhHl_QED2/2d0&
                         + coupl(nGC_23)*dZHMinus_QED2/2d0 + coupl(nGC_23)*    &
                        dZHl_QED2/2d0 + coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_23)*dZZ_QED2/2d0 + coupl(nGC_3167)
      coupl(nGC_3994) = coupl(nGC_218)*dZZ_QED2/2d0 + coupl(nGC_26)*dZAZ_QED2/ &
                        2d0 + coupl(nGC_3165)
      coupl(nGC_3991) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_3990) = coupl(nGC_3298) + coupl(nGC_MHA)*dZHa_QED2 + coupl(    &
                        nGC_TS_GC_246_Hl) + coupl(nGC_TS_GC_254_Hh)
      coupl(nGC_3993) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl(&
                        nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 + &
                        coupl(nGC_3163)
      coupl(nGC_3992) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*dZHh_QED2&
                        /2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(nGC_215)*   &
                        dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_3166)
      coupl(nGC_3854) = coupl(nGC_218)*dZHMinus_QED2 + coupl(nGC_218)*dZZ_QED2/&
                        2d0 + coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3165)
      coupl(nGC_3855) = coupl(nGC_3088) + coupl(nGC_363)*dZHl_QED2/2d0 + coupl(&
                        nGC_363)*dZsL_QED2/2d0 + coupl(nGC_363)*dZsR_QED2/2d0  &
                         + coupl(nGC_366)*dZHhHl_QED2/2d0
      coupl(nGC_3856) = coupl(nGC_3089) + coupl(nGC_363)*dZsL_QCD2/2d0 + coupl(&
                        nGC_363)*dZsR_QCD2/2d0
      coupl(nGC_3857) = -coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3830) = coupl(nGC_13)*dZtR_QED2
      coupl(nGC_2793) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_334&
                        )*coupl(nGC_338) + Nc*coupl(nGC_1)*coupl(nGC_343)*coupl&
                        (nGC_895) + Nc*coupl(nGC_1)*coupl(nGC_346)*coupl(      &
                        nGC_843) + Nc*coupl(nGC_1)*coupl(nGC_364)*coupl(nGC_785&
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_370)*coupl(nGC_374   &
                        ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_382)*coupl(nGC_386   &
                        ) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_338) - 4d0&
                        *Nc*coupl(nGC_2)*coupl(nGC_343)*coupl(nGC_895) - 4d0*Nc&
                        *coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_843) - 4d0*Nc*  &
                        coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_785) + Nc*coupl( &
                        nGC_2)*coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_2)*&
                        coupl(nGC_382)*coupl(nGC_386) + coupl(nGC_352)*coupl(  &
                        nGC_4)*coupl(nGC_809) + coupl(nGC_358)*coupl(nGC_4)*   &
                        coupl(nGC_865) + coupl(nGC_376)*coupl(nGC_4)*coupl(    &
                        nGC_793))/(48d0*pi**2d0)
      coupl(nGC_3577) = coupl(nGC_3054) + coupl(nGC_364)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*   &
                        dZsR_QED2/2d0
      coupl(nGC_2686) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(     &
                        nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3365) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/ &
                        2d0 + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_3162)
      coupl(nGC_3141) = coupl(nGC_1756)*dZee_QED2 + coupl(nGC_1757)*dcw_QED2 + &
                        coupl(nGC_1758)*dsw_QED2
      coupl(nGC_2687) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl( &
                        nGC_4)**2d0 - coupl(nGC_865)**2d0 - coupl(nGC_905)**2d0&
                        )/(32d0*pi**2d0)
      coupl(nGC_2718) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3897) = coupl(nGC_241)*dZGMinus
      coupl(nGC_2684) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(     &
                        nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_3369) = -coupl(nGC_201)*dZZ_QED2/4d0 - coupl(nGC_3045)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_3025) = coupl(nGC_1219)*db_QED2 + coupl(nGC_1220)*dvev2_QED1 + &
                        coupl(nGC_1221)*dvev1_QED1 + coupl(nGC_1222)*dl2_QED4  &
                         + coupl(nGC_1223)*dl1_QED4 + coupl(nGC_1224)*dl4_QED4 &
                         + coupl(nGC_1225)*dl3_QED4 + coupl(nGC_1226)*da_QED2  &
                         + coupl(nGC_1227)*dl5_QED4
      coupl(nGC_3024) = coupl(nGC_1205)*dZee_QED2 + coupl(nGC_1206)*dsw_QED2 + &
                        coupl(nGC_1207)*dcw_QED2 + coupl(nGC_1208)*dvev1_QED1  &
                         + coupl(nGC_1209)*dvev2_QED1 + coupl(nGC_1210)*da_QED2
      coupl(nGC_3026) = coupl(nGC_1472)*db_QED2 + coupl(nGC_1473)*dvev2_QED1 + &
                        coupl(nGC_1474)*dvev1_QED1 + coupl(nGC_1475)*dl2_QED4  &
                         + coupl(nGC_1476)*dl1_QED4 + coupl(nGC_1477)*dl4_QED4 &
                         + coupl(nGC_1478)*dl3_QED4 + coupl(nGC_1479)*da_QED2  &
                         + coupl(nGC_1480)*dl5_QED4
      coupl(nGC_3021) = coupl(nGC_1831)*db_QED2 + coupl(nGC_1832)*dvev2_QED1 + &
                        coupl(nGC_1833)*dvev1_QED1 + coupl(nGC_1834)*dl2_QED4  &
                         + coupl(nGC_1835)*dl1_QED4 + coupl(nGC_1836)*dl4_QED4 &
                         + coupl(nGC_1837)*dl3_QED4 + coupl(nGC_1838)*da_QED2  &
                         + coupl(nGC_1839)*dl5_QED4
      coupl(nGC_3020) = coupl(nGC_2209)*dl4_QED4 + coupl(nGC_2210)*dl5_QED4 +  &
                        coupl(nGC_2211)*dvev2_QED1 + coupl(nGC_2212)*dvev1_QED1&
                         + coupl(nGC_2213)*db_QED2
      coupl(nGC_3023) = coupl(nGC_1273)*db_QED2 + coupl(nGC_1274)*dvev2_QED1 + &
                        coupl(nGC_1275)*dvev1_QED1 + coupl(nGC_1276)*dl2_QED4  &
                         + coupl(nGC_1277)*dl1_QED4 + coupl(nGC_1278)*dl4_QED4 &
                         + coupl(nGC_1279)*dl3_QED4 + coupl(nGC_1280)*da_QED2  &
                         + coupl(nGC_1281)*dl5_QED4
      coupl(nGC_3022) = coupl(nGC_2148)*dl4_QED4 + coupl(nGC_2149)*dl5_QED4 +  &
                        coupl(nGC_2150)*dvev2_QED1 + coupl(nGC_2151)*dvev1_QED1&
                         + coupl(nGC_2152)*db_QED2
      coupl(nGC_4043) = -coupl(nGC_2527)
      coupl(nGC_4040) = -coupl(nGC_2502)
      coupl(nGC_4046) = -coupl(nGC_2461)
      coupl(nGC_4047) = -coupl(nGC_2526)
      coupl(nGC_4044) = -coupl(nGC_2579)
      coupl(nGC_4045) = -coupl(nGC_2528)
      coupl(nGC_2414) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima&
                        *coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_2413) = cima*(Nc*coupl(nGC_334)**2d0 + Nc*coupl(nGC_343)**2d0  &
                         + Nc*coupl(nGC_346)**2d0 + Nc*coupl(nGC_364)**2d0 + Nc&
                        *coupl(nGC_370)**2d0 + Nc*coupl(nGC_382)**2d0 + coupl( &
                        nGC_352)**2d0 + coupl(nGC_358)**2d0 + coupl(nGC_376)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2412) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_337  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_349)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0 - cME**2d0*cima&
                        *coupl(nGC_355)**2d0 - cMM**2d0*cima*coupl(nGC_361)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_379)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_237)**2d0 + 2d0*cima*coupl(nGC_324)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3146) = coupl(nGC_1558)*dZee_QED2 + coupl(nGC_1559)*da_QED2 +  &
                        coupl(nGC_1560)*dsw_QED2 + coupl(nGC_1561)*db_QED2
      coupl(nGC_2747) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_345)**2d0 + coupl(nGC_346)** &
                        2d0 + coupl(nGC_347)*coupl(nGC_853) + coupl(nGC_348)** &
                        2d0 + coupl(nGC_349)**2d0 + coupl(nGC_350)*coupl(      &
                        nGC_843))/(64d0*pi**2d0*Nc)
      coupl(nGC_3144) = coupl(nGC_1751)*dvev1_QED1 + coupl(nGC_1752)*dvev2_QED1&
                         + coupl(nGC_1753)*dZee_QED2 + coupl(nGC_1754)*dsw_QED2&
                         + coupl(nGC_1755)*db_QED2
      coupl(nGC_2681) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345 &
                        )**3d0 - coupl(nGC_345)*coupl(nGC_348)**2d0 - coupl(   &
                        nGC_345)*coupl(nGC_843)**2d0 - coupl(nGC_345)*coupl(   &
                        nGC_853)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(   &
                        nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2949) = cima*coupl(nGC_13)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3411) = coupl(nGC_2999) + coupl(nGC_55)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)* &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
      coupl(nGC_3140) = coupl(nGC_1734)*dZee_QED2
      coupl(nGC_2418) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_366)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_360)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_272)**2d0 + cima*coupl(  &
                        nGC_332)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2787) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 + cima*coupl(nGC_195)* &
                        coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3&
                        )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 +  &
                        cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima* &
                        coupl(nGC_817)**2d0*coupl(nGC_847)**2d0 + coupl(nGC_195&
                        )*coupl(nGC_3)**2d0 + coupl(nGC_195)*coupl(nGC_817)**  &
                        2d0 + coupl(nGC_199)**2d0*coupl(nGC_9) + coupl(nGC_847 &
                        )**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_2786) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337&
                        )*coupl(nGC_338) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_895) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_349)*coupl(nGC_843) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_367)*coupl(      &
                        nGC_785) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_373)*coupl(nGC_374) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_385)*coupl(nGC_386) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_337)*coupl( &
                        nGC_338) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_895) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_349)*coupl(nGC_843) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367)*&
                        coupl(nGC_785) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_373)*coupl(nGC_374) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_385)*coupl(nGC_386) + 6d0*cima* &
                        coupl(nGC_187)*coupl(nGC_821) + cima*coupl(nGC_197)*   &
                        coupl(nGC_355)*coupl(nGC_4)*coupl(nGC_809) + cima*coupl&
                        (nGC_197)*coupl(nGC_361)*coupl(nGC_4)*coupl(nGC_865) + &
                        cima*coupl(nGC_197)*coupl(nGC_379)*coupl(nGC_4)*coupl( &
                        nGC_793) + 6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*&
                        coupl(nGC_187)*coupl(nGC_3)*coupl(nGC_817) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_31)*coupl(nGC_817))/(48d0*pi**2d0)
      coupl(nGC_2785) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333&
                        )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(      &
                        nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl( &
                        nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_345)*coupl(nGC_349) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_363)*&
                        coupl(nGC_367) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_369)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_381)*coupl(nGC_385) + 6d0*cima* &
                        coupl(nGC_174)*coupl(nGC_821) + cima*coupl(nGC_197)*   &
                        coupl(nGC_351)*coupl(nGC_355)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_357)*coupl(nGC_361)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0* &
                        coupl(nGC_174)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_21)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2784) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336&
                        )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*  &
                        coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima*&
                        coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(      &
                        nGC_367) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*    &
                        coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*   &
                        cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl( &
                        nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*    &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_2)*coupl(nGC_348)*coupl(nGC_349) -  &
                        4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_366)*&
                        coupl(nGC_367) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*  &
                        coupl(nGC_372)*coupl(nGC_373) + Nc*cima*coupl(nGC_197)*&
                        coupl(nGC_2)*coupl(nGC_384)*coupl(nGC_385) + 6d0*cima* &
                        coupl(nGC_180)*coupl(nGC_821) + cima*coupl(nGC_197)*   &
                        coupl(nGC_354)*coupl(nGC_355)*coupl(nGC_4) + cima*coupl&
                        (nGC_197)*coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_4) + &
                        cima*coupl(nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl&
                        (nGC_4) + 6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0* &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(  &
                        nGC_198)*coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
      coupl(nGC_2869) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_338)**2d0  &
                         + 40d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_338)*coupl(   &
                        nGC_897) + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_897)**&
                        2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_341)**2d0  &
                         + 40d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_341)*coupl(   &
                        nGC_895) + 10d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_895)**&
                        2d0 + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_350)**2d0  &
                         + 40d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_350)*coupl(   &
                        nGC_843) + 10d0*Nc*coupl(nGC_348)**2d0*coupl(nGC_843)**&
                        2d0 + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)**2d0  &
                         + 40d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_368)*coupl(   &
                        nGC_785) + 10d0*Nc*coupl(nGC_366)**2d0*coupl(nGC_785)**&
                        2d0 + 10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_374)**2d0  &
                         + 40d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_374)*coupl(   &
                        nGC_827) + 10d0*Nc*coupl(nGC_372)**2d0*coupl(nGC_827)**&
                        2d0 + 10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_386)**2d0  &
                         + 40d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_386)*coupl(   &
                        nGC_805) + 10d0*Nc*coupl(nGC_384)**2d0*coupl(nGC_805)**&
                        2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 3d0*coupl(    &
                        nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_354)**2d0*    &
                        coupl(nGC_356)**2d0 + 40d0*coupl(nGC_354)**2d0*coupl(  &
                        nGC_356)*coupl(nGC_809) + 10d0*coupl(nGC_354)**2d0*    &
                        coupl(nGC_809)**2d0 + 10d0*coupl(nGC_360)**2d0*coupl(  &
                        nGC_362)**2d0 + 40d0*coupl(nGC_360)**2d0*coupl(nGC_362 &
                        )*coupl(nGC_865) + 10d0*coupl(nGC_360)**2d0*coupl(     &
                        nGC_865)**2d0 + 10d0*coupl(nGC_378)**2d0*coupl(nGC_380 &
                        )**2d0 + 40d0*coupl(nGC_378)**2d0*coupl(nGC_380)*coupl(&
                        nGC_793) + 10d0*coupl(nGC_378)**2d0*coupl(nGC_793)**2d0&
                        )/(48d0*pi**2d0)
      coupl(nGC_2864) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_2862) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_2863) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_2861) = cima*(20d0*Nc*coupl(nGC_338)**2d0*coupl(nGC_897)**2d0  &
                         + 20d0*Nc*coupl(nGC_341)**2d0*coupl(nGC_895)**2d0 +   &
                        20d0*Nc*coupl(nGC_350)**2d0*coupl(nGC_843)**2d0 + 20d0*&
                        Nc*coupl(nGC_368)**2d0*coupl(nGC_785)**2d0 + 20d0*Nc*  &
                        coupl(nGC_374)**2d0*coupl(nGC_827)**2d0 + 20d0*Nc*coupl&
                        (nGC_386)**2d0*coupl(nGC_805)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_356  &
                        )**2d0*coupl(nGC_809)**2d0 + 20d0*coupl(nGC_362)**2d0* &
                        coupl(nGC_865)**2d0 + 20d0*coupl(nGC_380)**2d0*coupl(  &
                        nGC_793)**2d0)/(16d0*pi**2d0)
      coupl(nGC_TS_GC_250_Hh) = -coupl(nGC_250)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2575) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_343)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_370)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372) + 2d0*Nc* &
                        cMC*coupl(nGC_334)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*   &
                        coupl(nGC_334)*coupl(nGC_364)*coupl(nGC_366) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_364)**2d0 + 2d0*Nc*cMD*   &
                        coupl(nGC_346)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl( &
                        nGC_346)*coupl(nGC_382)*coupl(nGC_384) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_382)**2d0 + 2d0*Nc*cMS*coupl( &
                        nGC_334)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_334&
                        )*coupl(nGC_336)*coupl(nGC_364) + 2d0*Nc*cMS*coupl(    &
                        nGC_364)**2d0*coupl(nGC_366) + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_343)*coupl(nGC_370) + 2d0*Nc*cMT*coupl(    &
                        nGC_343)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_370&
                        )**2d0*coupl(nGC_372) + 2d0*Nc*cMU*coupl(nGC_346)**2d0*&
                        coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_346)*coupl(      &
                        nGC_348)*coupl(nGC_382) + 2d0*Nc*cMU*coupl(nGC_382)**  &
                        2d0*coupl(nGC_384) + 2d0*cME*coupl(nGC_352)**2d0*coupl(&
                        nGC_354) + 2d0*cMM*coupl(nGC_358)**2d0*coupl(nGC_360   &
                        ) + 2d0*cMTA*coupl(nGC_376)**2d0*coupl(nGC_378) + 2d0* &
                        cima*coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(   &
                        nGC_175)*coupl(nGC_321) + 4d0*cima*coupl(nGC_22)*coupl(&
                        nGC_231) + cima*coupl(nGC_229)*coupl(nGC_332))/(16d0*pi&
                        **2d0)
      coupl(nGC_2706) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0*  &
                        coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl(  &
                        nGC_847) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2712) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3096) = coupl(nGC_1328)*db_QED2 + coupl(nGC_1329)*dyd13x3_QED3 &
                         + coupl(nGC_1330)*dyb2_QED3
      coupl(nGC_3613) = coupl(nGC_3095) + coupl(nGC_365)*dZsL_QCD2/2d0 + coupl(&
                        nGC_365)*dZsR_QCD2/2d0
      coupl(nGC_2749) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_206)**2d0 - coupl(nGC_345)**2d0 - coupl(nGC_346)** &
                        2d0 - coupl(nGC_347)*coupl(nGC_853) - coupl(nGC_348)** &
                        2d0 - coupl(nGC_349)**2d0 - coupl(nGC_350)*coupl(      &
                        nGC_843))/(64d0*pi**2d0)
      coupl(nGC_4008) = coupl(nGC_200)*dZZA_QED2/4d0 + coupl(nGC_3043)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_3756) = -coupl(nGC_173)*dZHMinus_QED2/2d0 - coupl(nGC_173)*    &
                        dZHh_QED2/2d0 - coupl(nGC_173)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_179)*       &
                        dZGMinusHMinus_QED2/2d0 - coupl(nGC_3147)
      coupl(nGC_3347) = coupl(nGC_3073) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                        nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_3617) = coupl(nGC_2995) + coupl(nGC_52)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_52)*dZHa_QED2/2d0 + coupl(nGC_52)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZHhHl_QED2/2d0 + coupl(nGC_63)*   &
                        dZG0Ha_QED2/2d0
      coupl(nGC_3731) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_3733) = coupl(nGC_67)*(dZG0 + dZGMinus)
      coupl(nGC_3732) = coupl(nGC_3003) + 3d0*coupl(nGC_56)*dZHMinus_QED2/2d0  &
                         + coupl(nGC_65)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_71&
                        )*dZGMinusHMinus_QED2 + coupl(nGC_74)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_3734) = coupl(nGC_2959) + coupl(nGC_55)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZHaG0_QED2
      coupl(nGC_3737) = coupl(nGC_13)*dZbL_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_4038) = -coupl(nGC_2701)
      coupl(nGC_3739) = coupl(nGC_13)*dZbR_QCD2 + coupl(nGC_13)*dZg_QCD2/2d0 + &
                        coupl(nGC_3181)
      coupl(nGC_3738) = coupl(nGC_13)*dZbL_QED2
      coupl(nGC_3776) = coupl(nGC_3087) + coupl(nGC_345)*dZdL_QCD2/2d0 + coupl(&
                        nGC_345)*dZdR_QCD2/2d0
      coupl(nGC_3615) = -coupl(nGC_3095) - coupl(nGC_365)*dZsL_QCD2/2d0 - coupl&
                        (nGC_365)*dZsR_QCD2/2d0
      coupl(nGC_4033) = -coupl(nGC_2598)
      coupl(nGC_4032) = -coupl(nGC_2470)
      coupl(nGC_4031) = -coupl(nGC_2496)
      coupl(nGC_4030) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*     &
                        dZHh_QED2 + coupl(nGC_2963)
      coupl(nGC_4020) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
      coupl(nGC_3947) = coupl(nGC_3130) + coupl(nGC_333)*dZHl_QED2/2d0 + coupl(&
                        nGC_333)*dZcL_QED2/2d0 + coupl(nGC_333)*dZcR_QED2/2d0  &
                         + coupl(nGC_336)*dZHhHl_QED2/2d0
      coupl(nGC_2577) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_376)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2586) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335 &
                        )*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl(&
                        nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(nGC_364 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_3829) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtR_QCD2 + &
                        coupl(nGC_3181)
      coupl(nGC_3943) = coupl(nGC_241)*dZHlHh_QED2/2d0 + coupl(nGC_244)*       &
                        dZHMinusGMinus_QED2 + coupl(nGC_249)*dZHh_QED2/2d0 +   &
                        coupl(nGC_3015) + coupl(nGC_TS_GC_33_Hl) + coupl(      &
                        nGC_TS_GC_42_Hh)
      coupl(nGC_2823) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_337)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_340)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_349)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_367)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_373)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_385)**2d0 &
                         + 6d0*cima*coupl(nGC_100)*coupl(nGC_909) + 3d0*cima*  &
                        coupl(nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197 &
                        )**2d0*coupl(nGC_355)**2d0 - 4d0*cima*coupl(nGC_197)** &
                        2d0*coupl(nGC_361)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*&
                        coupl(nGC_379)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(   &
                        nGC_221) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*  &
                        coupl(nGC_100)*coupl(nGC_198)*coupl(nGC_847) + 6d0*    &
                        coupl(nGC_100)*coupl(nGC_4)*coupl(nGC_817) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_221)*coupl(nGC_877) + 6d0*coupl(    &
                        nGC_199)*coupl(nGC_229)*coupl(nGC_883) + 6d0*coupl(    &
                        nGC_221)*coupl(nGC_3)*coupl(nGC_883) + 6d0*coupl(nGC_29&
                        )*coupl(nGC_3)*coupl(nGC_877))/(48d0*pi**2d0)
      coupl(nGC_3828) = coupl(nGC_13)*dZtL_QED2
      coupl(nGC_2523) = coupl(nGC_197)*(-Nc*coupl(nGC_337)*coupl(nGC_338) + Nc*&
                        coupl(nGC_340)*coupl(nGC_895) + Nc*coupl(nGC_349)*coupl&
                        (nGC_843) + Nc*coupl(nGC_367)*coupl(nGC_785) - Nc*coupl&
                        (nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)*coupl(    &
                        nGC_386) + coupl(nGC_355)*coupl(nGC_809) + coupl(      &
                        nGC_361)*coupl(nGC_865) + coupl(nGC_379)*coupl(nGC_793 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2522) = (Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343) + &
                        Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_895) +  &
                        Nc*cMB*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_827) +  &
                        Nc*cMB*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) +  &
                        Nc*cMB*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_374) +  &
                        Nc*cMB*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_895) +  &
                        Nc*cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) +  &
                        Nc*cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_897) +  &
                        Nc*cMC*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_785) +  &
                        Nc*cMC*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_368) +  &
                        Nc*cMC*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) +  &
                        Nc*cMC*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_897) +  &
                        Nc*cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_350) +  &
                        Nc*cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_843) +  &
                        Nc*cMD*coupl(nGC_346)*coupl(nGC_385)*coupl(nGC_386) +  &
                        Nc*cMD*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_805) +  &
                        Nc*cMD*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385) +  &
                        Nc*cMD*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_843) +  &
                        Nc*cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368) +  &
                        Nc*cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_785) +  &
                        Nc*cMS*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_897) +  &
                        Nc*cMS*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364) +  &
                        Nc*cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) +  &
                        Nc*cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_785) +  &
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) +  &
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_827) +  &
                        Nc*cMT*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_895) +  &
                        Nc*cMT*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_373) +  &
                        Nc*cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) +  &
                        Nc*cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_827) +  &
                        Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386) +  &
                        Nc*cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_805) +  &
                        Nc*cMU*coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_385) +  &
                        Nc*cMU*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_843) +  &
                        Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386) +  &
                        Nc*cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_805) +  &
                        cME*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356) + cME*&
                        coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_809) + cMM*    &
                        coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362) + cMM*    &
                        coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_865) + cMTA*   &
                        coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380) + cMTA*   &
                        coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_793) + 2d0*cima&
                        *coupl(nGC_187)*coupl(nGC_321) + 2d0*cima*coupl(nGC_231&
                        )*coupl(nGC_31))/(16d0*pi**2d0)
      coupl(nGC_2648) = coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2649) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333 &
                        )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)* &
                        coupl(nGC_366) - coupl(nGC_336)**3d0 - coupl(nGC_336)* &
                        coupl(nGC_881)**2d0 - coupl(nGC_336)*coupl(nGC_897)**  &
                        2d0 - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3940) = coupl(nGC_199)*dZWMinus_QED2 + coupl(nGC_199)*dZZ_QED2/&
                        2d0 + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3160)
      coupl(nGC_2525) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc*&
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) + coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) + coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) + coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_2642) = (12d0*Nc*cMB*coupl(nGC_339)**2d0*coupl(nGC_342) + 12d0*&
                        Nc*cMC*coupl(nGC_333)*coupl(nGC_336)**2d0 + 12d0*Nc*cMD&
                        *coupl(nGC_345)*coupl(nGC_348)**2d0 + 12d0*Nc*cMS*coupl&
                        (nGC_363)*coupl(nGC_366)**2d0 + 12d0*Nc*cMT*coupl(     &
                        nGC_369)*coupl(nGC_372)**2d0 + 12d0*Nc*cMU*coupl(      &
                        nGC_381)*coupl(nGC_384)**2d0 + 12d0*cME*coupl(nGC_351)*&
                        coupl(nGC_354)**2d0 + 12d0*cMM*coupl(nGC_357)*coupl(   &
                        nGC_360)**2d0 + 12d0*cMTA*coupl(nGC_375)*coupl(nGC_378 &
                        )**2d0 + cima*coupl(nGC_224)*coupl(nGC_329) + 2d0*cima*&
                        coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_2643) = (12d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_342)**2d0 + 12d0*&
                        Nc*cMC*coupl(nGC_333)**2d0*coupl(nGC_336) + 12d0*Nc*cMD&
                        *coupl(nGC_345)**2d0*coupl(nGC_348) + 12d0*Nc*cMS*coupl&
                        (nGC_363)**2d0*coupl(nGC_366) + 12d0*Nc*cMT*coupl(     &
                        nGC_369)**2d0*coupl(nGC_372) + 12d0*Nc*cMU*coupl(      &
                        nGC_381)**2d0*coupl(nGC_384) + 12d0*cME*coupl(nGC_351  &
                        )**2d0*coupl(nGC_354) + 12d0*cMM*coupl(nGC_357)**2d0*  &
                        coupl(nGC_360) + 12d0*cMTA*coupl(nGC_375)**2d0*coupl(  &
                        nGC_378) + cima*coupl(nGC_224)*coupl(nGC_332) + 2d0*   &
                        cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**2d0)
      coupl(nGC_2640) = coupl(nGC_13)**2d0*coupl(nGC_383)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2641) = 3d0*(4d0*Nc*cMB*coupl(nGC_339)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_336)**3d0 + 4d0*Nc*cMD*coupl(nGC_348)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_366)**3d0 + 4d0*Nc*cMT*coupl(nGC_372)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_384)**3d0 + 4d0*cME*coupl(  &
                        nGC_354)**3d0 + 4d0*cMM*coupl(nGC_360)**3d0 + 4d0*cMTA*&
                        coupl(nGC_378)**3d0 + cima*coupl(nGC_224)*coupl(nGC_332&
                        ) + 2d0*cima*coupl(nGC_272)*coupl(nGC_77))/(16d0*pi**  &
                        2d0)
      coupl(nGC_2646) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339 &
                        )**3d0 - coupl(nGC_339)*coupl(nGC_342)**2d0 - coupl(   &
                        nGC_339)*coupl(nGC_863)**2d0 - coupl(nGC_339)*coupl(   &
                        nGC_895)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(   &
                        nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2647) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339 &
                        )**3d0 - coupl(nGC_339)*coupl(nGC_341)**2d0 - coupl(   &
                        nGC_339)*coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(   &
                        nGC_344)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(   &
                        nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2644) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0* &
                        Nc*cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*&
                        coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl( &
                        nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_197&
                        )**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_197)**2d0*&
                        coupl(nGC_384) - 2d0*cME*coupl(nGC_197)**2d0*coupl(    &
                        nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_360   &
                        ) - 2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_378) + cima*&
                        coupl(nGC_195)*coupl(nGC_332) + 2d0*cima*coupl(nGC_272 &
                        )*coupl(nGC_909) + 2d0*coupl(nGC_198)*coupl(nGC_272)*  &
                        coupl(nGC_847) + 2d0*coupl(nGC_199)*coupl(nGC_332)*    &
                        coupl(nGC_883) + 2d0*coupl(nGC_272)*coupl(nGC_4)*coupl(&
                        nGC_817))/(16d0*pi**2d0)
      coupl(nGC_2645) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_339) + 2d0* &
                        Nc*cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339) -  &
                        2d0*Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_339) - 2d0*Nc*&
                        cMC*coupl(nGC_207)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*   &
                        coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_336) - 2d0*Nc* &
                        cMC*coupl(nGC_210)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*   &
                        coupl(nGC_206)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl( &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - 2d0*Nc*cMD*   &
                        coupl(nGC_209)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl( &
                        nGC_206)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_206&
                        )*coupl(nGC_209)*coupl(nGC_366) - 2d0*Nc*cMS*coupl(    &
                        nGC_209)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_207&
                        )**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_207)*coupl&
                        (nGC_210)*coupl(nGC_372) - 2d0*Nc*cMT*coupl(nGC_210)** &
                        2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_207)**2d0*   &
                        coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_207)*coupl(      &
                        nGC_210)*coupl(nGC_384) - 2d0*Nc*cMU*coupl(nGC_210)**  &
                        2d0*coupl(nGC_384) - 2d0*cME*coupl(nGC_208)**2d0*coupl(&
                        nGC_354) + 2d0*cME*coupl(nGC_208)*coupl(nGC_211)*coupl(&
                        nGC_354) - 2d0*cME*coupl(nGC_211)**2d0*coupl(nGC_354   &
                        ) - 2d0*cMM*coupl(nGC_208)**2d0*coupl(nGC_360) + 2d0*  &
                        cMM*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_360) - 2d0*&
                        cMM*coupl(nGC_211)**2d0*coupl(nGC_360) - 2d0*cMTA*coupl&
                        (nGC_208)**2d0*coupl(nGC_378) + 2d0*cMTA*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_378) - 2d0*cMTA*coupl(      &
                        nGC_211)**2d0*coupl(nGC_378) + cima*coupl(nGC_195)*    &
                        coupl(nGC_272) + coupl(nGC_199)**2d0*coupl(nGC_272) +  &
                        coupl(nGC_272)*coupl(nGC_847)**2d0)/(8d0*pi**2d0)
      coupl(nGC_2779) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_342)**2d0 -  &
                        2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_345)**2d0 - 2d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_363)**2d0 - 2d0*Nc&
                        *cima*coupl(nGC_2)**2d0*coupl(nGC_333)**2d0 - 2d0*Nc*  &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_369)**2d0 - 2d0*Nc*   &
                        cima*coupl(nGC_2)**2d0*coupl(nGC_381)**2d0 - 2d0*cima* &
                        coupl(nGC_351)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(&
                        nGC_357)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(      &
                        nGC_375)**2d0*coupl(nGC_4)**2d0 + cima*coupl(nGC_77)*  &
                        coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77) + coupl(&
                        nGC_77)*coupl(nGC_817)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3824) = -coupl(nGC_173)*dZHl_QED2/2d0 - coupl(nGC_173)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 - coupl(nGC_179)*dZHhHl_QED2/2d0 - coupl(nGC_3147)
      coupl(nGC_3827) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZtL_QCD2 + &
                        coupl(nGC_3181)
      coupl(nGC_2733) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(  &
                        nGC_197)**2d0*coupl(nGC_212) + coupl(nGC_208)*coupl(   &
                        nGC_375)**2d0 + coupl(nGC_208)*coupl(nGC_377)*coupl(   &
                        nGC_819) + coupl(nGC_208)*coupl(nGC_378)**2d0 + coupl( &
                        nGC_208)*coupl(nGC_380)*coupl(nGC_793) + 4d0*coupl(    &
                        nGC_211)**3d0 + 4d0*coupl(nGC_211)*coupl(nGC_4)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_2589) = coupl(nGC_13)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3820) = -coupl(nGC_3121) - coupl(nGC_374)*dZtL_QCD2/2d0 - coupl&
                        (nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_3796) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_178)*dZHMinusGMinus_QED2/&
                        2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 + coupl(nGC_3147)
      coupl(nGC_3822) = -coupl(nGC_173)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_173&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_179)*dZHh_QED2/2d0 +     &
                        coupl(nGC_179)*dZWMinus_QED2/2d0 + coupl(nGC_3146)
      coupl(nGC_2486) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_209&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1&
                        )*coupl(nGC_365)*coupl(nGC_891) + coupl(nGC_1)*coupl(  &
                        nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(     &
                        nGC_785) + 4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + 2d0* &
                        coupl(nGC_197)**2d0*coupl(nGC_817) + coupl(nGC_2)*coupl&
                        (nGC_334)**2d0 + coupl(nGC_2)*coupl(nGC_337)**2d0)/(   &
                        32d0*pi**2d0)
      coupl(nGC_2736) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_197)**2d0 + 4d0*coupl(nGC_209)**2d0 + coupl(nGC_339&
                        )**2d0 + coupl(nGC_341)*coupl(nGC_895) + coupl(nGC_342 &
                        )**2d0 + coupl(nGC_344)*coupl(nGC_863) + coupl(nGC_370 &
                        )**2d0 + coupl(nGC_373)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2737) = -coupl(nGC_13)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(      &
                        nGC_885) - 2d0*coupl(nGC_13))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_3609) = coupl(nGC_324)*dZGMinus/2d0
      coupl(nGC_3608) = coupl(nGC_237)*dZZA_QED2/2d0 + coupl(nGC_3143) + coupl(&
                        nGC_321)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_324)*     &
                        dZA_QED2/2d0 + coupl(nGC_324)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_TS_GC_174_Hl) + coupl(nGC_TS_GC_180_Hh)
      coupl(nGC_3359) = coupl(nGC_28)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2731) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(     &
                        nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_370)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_373)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_369)**2d0 + coupl(nGC_210)*coupl(nGC_371)*   &
                        coupl(nGC_795) + coupl(nGC_210)*coupl(nGC_372)**2d0 +  &
                        coupl(nGC_210)*coupl(nGC_374)*coupl(nGC_827))/(32d0*pi &
                        **2d0)
      coupl(nGC_3605) = coupl(nGC_16)*dZHh_QED2/2d0 + 3d0*coupl(nGC_16)*       &
                        dZHl_QED2/2d0 + coupl(nGC_18)*dZHlHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_20)*dZHhHl_QED2/2d0 + coupl(nGC_2990)
      coupl(nGC_3354) = coupl(nGC_3125) + coupl(nGC_336)*dZcL_QCD2/2d0 + coupl(&
                        nGC_336)*dZcR_QCD2/2d0
      coupl(nGC_3601) = coupl(nGC_3062) + coupl(nGC_346)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_346)*dZdR_QED2/2d0 + coupl(nGC_346)*dZuL_QED2&
                        /2d0 + coupl(nGC_349)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3600) = coupl(nGC_3065) + coupl(nGC_382)*dZdL_QCD2/2d0 + coupl(&
                        nGC_382)*dZuR_QCD2/2d0
      coupl(nGC_3351) = coupl(nGC_174)*dZHlHh_QED2/2d0 + coupl(nGC_175)*       &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0  &
                         + coupl(nGC_180)*dZHh_QED2/2d0 + coupl(nGC_180)*      &
                        dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZA_QED2/2d0 + coupl&
                        (nGC_3142)
      coupl(nGC_3350) = coupl(nGC_180)*dZGMinus/2d0
      coupl(nGC_3810) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_3811) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2 +   &
                        coupl(nGC_207)*dZZA_QED2/2d0 + coupl(nGC_3179)
      coupl(nGC_3812) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_3814) = coupl(nGC_2971) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_3815) = -coupl(nGC_3042)/2d0 - coupl(nGC_5)*dZWMinus_QED2/4d0
      coupl(nGC_3816) = coupl(nGC_3120) + coupl(nGC_371)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_374)*dZtL_QED2/2d0 + coupl(nGC_374)*dZtR_QED2&
                        /2d0
      coupl(nGC_3817) = coupl(nGC_3121) + coupl(nGC_374)*dZtL_QCD2/2d0 + coupl(&
                        nGC_374)*dZtR_QCD2/2d0
      coupl(nGC_3818) = coupl(nGC_374)*dZG0/2d0
      coupl(nGC_3819) = -coupl(nGC_3120) - coupl(nGC_371)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_374)*dZtL_QED2/2d0 - coupl(nGC_374)*dZtR_QED2&
                        /2d0
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
