!******************************************************************************!
!                                                                              !
!    vertices_info20.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info20.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info20
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl20()
      allocate(vertices(3603)%branchCT(0:1))
      call avCT(3603, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_3338/))

      call avCT(3603, 1, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3339/))

      allocate(vertices(8652)%branchCT(0:1))
      call avCT(8652, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_3350/))

      call avCT(8652, 1, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3351/))

      allocate(vertices(4097)%branchCT(0:0))
      call avCT(4097, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_3753/))

      allocate(vertices(10406)%branchCT(0:0))
      call avCT(10406, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3491/))

      allocate(vertices(10407)%branchCT(0:0))
      call avCT(10407, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3404/))

      allocate(vertices(8655)%branchCT(0:0))
      call avCT(8655, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(10408)%branchCT(0:0))
      call avCT(10408, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3409/))

      allocate(vertices(10409)%branchCT(0:0))
      call avCT(10409, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_3951, nGC_3952,      &
      nGC_3952, nGC_3953/))

      allocate(vertices(10410)%branchCT(0:0))
      call avCT(10410, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3567/))

      allocate(vertices(10411)%branchCT(0:0))
      call avCT(10411, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3342/))

      allocate(vertices(4962)%branchCT(0:0))
      call avCT(4962, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3455/))

      allocate(vertices(10412)%branchCT(0:0))
      call avCT(10412, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3397/))

      allocate(vertices(10413)%branchCT(0:0))
      call avCT(10413, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3392/))

      allocate(vertices(10414)%branchCT(0:0))
      call avCT(10414, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3454/))

      allocate(vertices(4104)%branchCT(0:1))
      call avCT(4104, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_3888/))

      call avCT(4104, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_3889/))

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_3413/))

      allocate(vertices(8664)%branchCT(0:0))
      call avCT(8664, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(4106)%branchCT(0:1))
      call avCT(4106, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_3943/))

      call avCT(4106, 1, 1, 1, 0, SSS0, (/0, 1/), (/nGC_3944/))

      allocate(vertices(10415)%branchCT(0:0))
      call avCT(10415, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3388/))

      allocate(vertices(10416)%branchCT(0:0))
      call avCT(10416, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3426/))

      allocate(vertices(10417)%branchCT(0:0))
      call avCT(10417, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_3735/))

      allocate(vertices(4108)%branchCT(0:1))
      call avCT(4108, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_3461/))

      call avCT(4108, 1, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3462/))

      allocate(vertices(4109)%branchCT(0:1))
      call avCT(4109, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_3645/))

      call avCT(4109, 1, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_3631/))

      allocate(vertices(7834)%branchCT(0:1))
      call avCT(7834, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3415/))

      call avCT(7834, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3416/))

      allocate(vertices(10418)%branchCT(0:0))
      call avCT(10418, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3359/))

      allocate(vertices(4111)%branchCT(0:1))
      call avCT(4111, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_3419/))

      call avCT(4111, 1, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3420/))

      allocate(vertices(8669)%branchCT(0:0))
      call avCT(8669, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_3472, nGC_3473/))

      allocate(vertices(3031)%branchCT(0:0))
      call avCT(3031, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3604/))

      allocate(vertices(8670)%branchCT(0:0))
      call avCT(8670, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_3642/))

      allocate(vertices(7859)%branchCT(0:1))
      call avCT(7859, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_3526/))

      call avCT(7859, 1, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(8672)%branchCT(0:1))
      call avCT(8672, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_3508, nGC_3510/))

      call avCT(8672, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_3509, nGC_3511/))

      allocate(vertices(4474)%branchCT(0:1))
      call avCT(4474, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_3338/))

      call avCT(4474, 1, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3339/))

      allocate(vertices(4113)%branchCT(0:0))
      call avCT(4113, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_3335, nGC_3336/))

      allocate(vertices(7430)%branchCT(0:1))
      call avCT(7430, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_3514/))

      call avCT(7430, 1, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2955/))

      allocate(vertices(7871)%branchCT(0:0))
      call avCT(7871, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_3436/))

      allocate(vertices(4116)%branchCT(0:0))
      call avCT(4116, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_3832, nGC_3832/))

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_4008/))

      allocate(vertices(10419)%branchCT(0:0))
      call avCT(10419, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3388/))

      allocate(vertices(10420)%branchCT(0:0))
      call avCT(10420, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_3736/))

      allocate(vertices(4118)%branchCT(0:0))
      call avCT(4118, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_3660/))

      allocate(vertices(4119)%branchCT(0:1))
      call avCT(4119, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_3645/))

      call avCT(4119, 1, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3631/))

      allocate(vertices(5697)%branchCT(0:0))
      call avCT(5697, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3422/))

      allocate(vertices(3538)%branchCT(0:0))
      call avCT(3538, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_3422/))

      allocate(vertices(10421)%branchCT(0:0))
      call avCT(10421, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3593/))

      allocate(vertices(2929)%branchCT(0:0))
      call avCT(2929, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3800/))

      allocate(vertices(4122)%branchCT(0:5))
      call avCT(4122, 0, 91, 2, 0, VUaVU0, (/4, 0/), (/nGC_3890/))

      call avCT(4122, 1, 89, 3, 0, VUaVU0, (/4, 0/), (/nGC_3891/))

      call avCT(4122, 2, 87, 3, 0, VUaVU0, (/4, 0/), (/nGC_3891/))

      call avCT(4122, 3, 88, 3, 0, VUaVU0, (/4, 0/), (/nGC_3891/))

      call avCT(4122, 4, 86, 3, 0, VUaVU0, (/4, 0/), (/nGC_3891/))

      call avCT(4122, 5, 90, 2, 0, VUaVU0, (/4, 0/), (/nGC_3890/))

      allocate(vertices(4123)%branchCT(0:0))
      call avCT(4123, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3641/))

      allocate(vertices(8683)%branchCT(0:1))
      call avCT(8683, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_3494/))

      call avCT(8683, 1, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2954/))

      allocate(vertices(10422)%branchCT(0:0))
      call avCT(10422, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3399/))

      allocate(vertices(10423)%branchCT(0:0))
      call avCT(10423, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3498/))

      allocate(vertices(8685)%branchCT(0:0))
      call avCT(8685, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_3393/))

      allocate(vertices(4126)%branchCT(0:5))
      call avCT(4126, 0, 54, 2, 0, UUaVV0, (/4, 0/), (/nGC_3890/))

      call avCT(4126, 1, 53, 3, 0, UUaVV0, (/4, 0/), (/nGC_3891/))

      call avCT(4126, 2, 52, 3, 0, UUaVV0, (/4, 0/), (/nGC_3891/))

      call avCT(4126, 3, 51, 3, 0, UUaVV0, (/4, 0/), (/nGC_3891/))

      call avCT(4126, 4, 50, 3, 0, UUaVV0, (/4, 0/), (/nGC_3891/))

      call avCT(4126, 5, 55, 2, 0, UUaVV0, (/4, 0/), (/nGC_3890/))

      allocate(vertices(7173)%branchCT(0:0))
      call avCT(7173, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3331/))

      allocate(vertices(10424)%branchCT(0:0))
      call avCT(10424, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3404/))

      allocate(vertices(4128)%branchCT(0:0))
      call avCT(4128, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3428/))

      allocate(vertices(10425)%branchCT(0:0))
      call avCT(10425, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3408/))

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_3724/))

      allocate(vertices(8690)%branchCT(0:1))
      call avCT(8690, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_3836/))

      call avCT(8690, 1, 1, 1, 0, SSS0, (/0, 1/), (/nGC_3837/))

      allocate(vertices(10426)%branchCT(0:0))
      call avCT(10426, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_3643, nGC_3644/))

      allocate(vertices(8691)%branchCT(0:0))
      call avCT(8691, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3441/))

      allocate(vertices(7200)%branchCT(0:1))
      call avCT(7200, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_3526/))

      call avCT(7200, 1, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(7968)%branchCT(0:1))
      call avCT(7968, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_3320/))

      call avCT(7968, 1, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_3321/))

      allocate(vertices(8693)%branchCT(0:0))
      call avCT(8693, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(4131)%branchCT(0:1))
      call avCT(4131, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_3437, nGC_3439/))

      call avCT(4131, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_3438, nGC_3440/))

      allocate(vertices(8694)%branchCT(0:0))
      call avCT(8694, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3723/))

      allocate(vertices(7550)%branchCT(0:1))
      call avCT(7550, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_3645/))

      call avCT(7550, 1, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3631/))

      allocate(vertices(8697)%branchCT(0:1))
      call avCT(8697, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_3526/))

      call avCT(8697, 1, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(8699)%branchCT(0:0))
      call avCT(8699, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(4134)%branchCT(0:1))
      call avCT(4134, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_3471/))

      call avCT(4134, 1, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_3006/))

      allocate(vertices(4135)%branchCT(0:0))
      call avCT(4135, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_3725/))

      allocate(vertices(10427)%branchCT(0:0))
      call avCT(10427, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3699/))

      allocate(vertices(4136)%branchCT(0:1))
      call avCT(4136, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_3461/))

      call avCT(4136, 1, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3462/))

      allocate(vertices(8019)%branchCT(0:0))
      call avCT(8019, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_3517/))

      allocate(vertices(7925)%branchCT(0:1))
      call avCT(7925, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_3713, nGC_3715/))

      call avCT(7925, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_3714, nGC_3716/))

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(10428)%branchCT(0:0))
      call avCT(10428, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3384/))

      allocate(vertices(8702)%branchCT(0:0))
      call avCT(8702, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_3492/))

      allocate(vertices(10429)%branchCT(0:0))
      call avCT(10429, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_3423/))

      allocate(vertices(8704)%branchCT(0:0))
      call avCT(8704, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3400/))

      allocate(vertices(1895)%branchCT(0:1))
      call avCT(1895, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_3443/))

      call avCT(1895, 1, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_3444/))

      allocate(vertices(8705)%branchCT(0:1))
      call avCT(8705, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_3471/))

      call avCT(8705, 1, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3586/))

      allocate(vertices(8706)%branchCT(0:1))
      call avCT(8706, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_3461/))

      call avCT(8706, 1, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3462/))

      allocate(vertices(8085)%branchCT(0:1))
      call avCT(8085, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3938/))

      call avCT(8085, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3939/))

      allocate(vertices(8481)%branchCT(0:0))
      call avCT(8481, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_3754/))

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3337/))

      allocate(vertices(5510)%branchCT(0:0))
      call avCT(5510, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_3835/))

      allocate(vertices(8070)%branchCT(0:0))
      call avCT(8070, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(10430)%branchCT(0:1))
      call avCT(10430, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_3689, nGC_3691,     &
      nGC_3691, nGC_3693/))

      call avCT(10430, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_3690, nGC_3692,     &
      nGC_3692, nGC_3694/))

      allocate(vertices(10431)%branchCT(0:0))
      call avCT(10431, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3408/))

      allocate(vertices(8711)%branchCT(0:0))
      call avCT(8711, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_3401/))

      allocate(vertices(4144)%branchCT(0:1))
      call avCT(4144, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_3899, nGC_3901/))

      call avCT(4144, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_3900, nGC_3902/))

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_4018/))

      allocate(vertices(8714)%branchCT(0:0))
      call avCT(8714, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_3445/))

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_3642/))

      allocate(vertices(4146)%branchCT(0:1))
      call avCT(4146, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3405/))

      call avCT(4146, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3406/))

      allocate(vertices(8716)%branchCT(0:0))
      call avCT(8716, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3337/))

      allocate(vertices(4147)%branchCT(0:0))
      call avCT(4147, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3465/))

      allocate(vertices(3462)%branchCT(0:0))
      call avCT(3462, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_3413/))

      allocate(vertices(5142)%branchCT(0:1))
      call avCT(5142, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3623/))

      call avCT(5142, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3624/))

      allocate(vertices(10432)%branchCT(0:0))
      call avCT(10432, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_3392/))

      allocate(vertices(8707)%branchCT(0:1))
      call avCT(8707, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3623/))

      call avCT(8707, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3624/))

      allocate(vertices(10433)%branchCT(0:0))
      call avCT(10433, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3426/))

      allocate(vertices(6603)%branchCT(0:0))
      call avCT(6603, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_3345/))

      allocate(vertices(10434)%branchCT(0:0))
      call avCT(10434, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3397/))

      allocate(vertices(10435)%branchCT(0:0))
      call avCT(10435, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3387/))

      allocate(vertices(8722)%branchCT(0:1))
      call avCT(8722, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3485/))

      call avCT(8722, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3486/))

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3709/))

      allocate(vertices(4151)%branchCT(0:2))
      call avCT(4151, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_3917, nGC_3920/))

      call avCT(4151, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_3918, nGC_3921/))

      call avCT(4151, 2, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_3919, nGC_3922/))

      allocate(vertices(4152)%branchCT(0:0))
      call avCT(4152, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_3548/))

      allocate(vertices(10436)%branchCT(0:0))
      call avCT(10436, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3378/))

      allocate(vertices(8724)%branchCT(0:0))
      call avCT(8724, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3520/))

      allocate(vertices(8725)%branchCT(0:1))
      call avCT(8725, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_3338/))

      call avCT(8725, 1, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3339/))

      allocate(vertices(6061)%branchCT(0:1))
      call avCT(6061, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_3514/))

      call avCT(6061, 1, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2955/))

      allocate(vertices(10437)%branchCT(0:0))
      call avCT(10437, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_3399/))

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3465/))

      allocate(vertices(10438)%branchCT(0:0))
      call avCT(10438, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3342/))

      allocate(vertices(692)%branchCT(0:0))
      call avCT(692, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_3414/))

      allocate(vertices(10439)%branchCT(0:0))
      call avCT(10439, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3323/))

      allocate(vertices(10440)%branchCT(0:0))
      call avCT(10440, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3454/))

      allocate(vertices(6363)%branchCT(0:1))
      call avCT(6363, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_3522/))

      call avCT(6363, 1, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3008/))

      allocate(vertices(8291)%branchCT(0:0))
      call avCT(8291, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3483/))

      allocate(vertices(10441)%branchCT(0:0))
      call avCT(10441, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3404/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_3436/))

      allocate(vertices(8218)%branchCT(0:1))
      call avCT(8218, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3405/))

      call avCT(8218, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3406/))

      allocate(vertices(10442)%branchCT(0:0))
      call avCT(10442, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3399/))

      allocate(vertices(10443)%branchCT(0:0))
      call avCT(10443, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_3735/))

      allocate(vertices(5708)%branchCT(0:0))
      call avCT(5708, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3445/))

      allocate(vertices(8734)%branchCT(0:0))
      call avCT(8734, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_3555/))

      allocate(vertices(4160)%branchCT(0:1))
      call avCT(4160, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_3350/))

      call avCT(4160, 1, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3351/))

      allocate(vertices(8475)%branchCT(0:0))
      call avCT(8475, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_3436/))

      allocate(vertices(10444)%branchCT(0:0))
      call avCT(10444, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3449/))

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3400/))

      allocate(vertices(4164)%branchCT(0:1))
      call avCT(4164, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_3338/))

      call avCT(4164, 1, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3339/))

      allocate(vertices(8270)%branchCT(0:0))
      call avCT(8270, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_3445/))

      allocate(vertices(4165)%branchCT(0:1))
      call avCT(4165, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_3892, nGC_3894/))

      call avCT(4165, 1, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_3893, nGC_3895/))

      allocate(vertices(4032)%branchCT(0:0))
      call avCT(4032, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_3610/))

      allocate(vertices(4166)%branchCT(0:0))
      call avCT(4166, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3465/))

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_3413/))

      allocate(vertices(8284)%branchCT(0:1))
      call avCT(8284, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_3645/))

      call avCT(8284, 1, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3631/))

      allocate(vertices(4169)%branchCT(0:0))
      call avCT(4169, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3723/))

      allocate(vertices(4988)%branchCT(0:1))
      call avCT(4988, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3523/))

      call avCT(4988, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3524/))

      allocate(vertices(10445)%branchCT(0:0))
      call avCT(10445, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3404/))

      allocate(vertices(10446)%branchCT(0:0))
      call avCT(10446, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3388/))

      allocate(vertices(10447)%branchCT(0:0))
      call avCT(10447, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_3735/))

      allocate(vertices(1349)%branchCT(0:0))
      call avCT(1349, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_3413/))

      allocate(vertices(10448)%branchCT(0:0))
      call avCT(10448, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3491/))

      allocate(vertices(10449)%branchCT(0:0))
      call avCT(10449, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3384/))

      allocate(vertices(4173)%branchCT(0:0))
      call avCT(4173, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_3589/))

      allocate(vertices(8745)%branchCT(0:0))
      call avCT(8745, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3441/))

      allocate(vertices(4174)%branchCT(0:1))
      call avCT(4174, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_3419/))

      call avCT(4174, 1, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3420/))

      allocate(vertices(4175)%branchCT(0:3))
      call avCT(4175, 0, 22, 4, 0, FVFa0, (/1, 2/), (/nGC_3686, nGC_3688/))

      call avCT(4175, 1, 22, 4, 0, FVFa0, (/3, 0/), (/nGC_3685, nGC_3687/))

      call avCT(4175, 2, 23, 5, 0, FVFa0, (/1, 2/), (/nGC_3686, nGC_3688/))

      call avCT(4175, 3, 23, 5, 0, FVFa0, (/3, 0/), (/nGC_3685, nGC_3687/))

      allocate(vertices(4176)%branchCT(0:0))
      call avCT(4176, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_3401/))

      allocate(vertices(4177)%branchCT(0:0))
      call avCT(4177, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3381/))

      allocate(vertices(10450)%branchCT(0:0))
      call avCT(10450, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3399/))

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_3782/))

      allocate(vertices(4179)%branchCT(0:1))
      call avCT(4179, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_3350/))

      call avCT(4179, 1, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3351/))

      allocate(vertices(4180)%branchCT(0:0))
      call avCT(4180, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_3764/))

      allocate(vertices(10451)%branchCT(0:0))
      call avCT(10451, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3384/))

      allocate(vertices(4181)%branchCT(0:1))
      call avCT(4181, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3733/))

      call avCT(4181, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3734/))

      allocate(vertices(8751)%branchCT(0:1))
      call avCT(8751, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3532/))

      call avCT(8751, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3533/))

      allocate(vertices(3045)%branchCT(0:0))
      call avCT(3045, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3428/))

      allocate(vertices(4242)%branchCT(0:1))
      call avCT(4242, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_3325/))

      call avCT(4242, 1, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(4182)%branchCT(0:0))
      call avCT(4182, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_3345/))

      allocate(vertices(4183)%branchCT(0:0))
      call avCT(4183, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_3407/))

      allocate(vertices(4184)%branchCT(0:1))
      call avCT(4184, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3360/))

      call avCT(4184, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3361/))

      allocate(vertices(8757)%branchCT(0:0))
      call avCT(8757, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_3792, nGC_3792/))

      allocate(vertices(7722)%branchCT(0:1))
      call avCT(7722, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3370/))

      call avCT(7722, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3371/))

      allocate(vertices(8390)%branchCT(0:0))
      call avCT(8390, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3337/))

      allocate(vertices(8758)%branchCT(0:0))
      call avCT(8758, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3331/))

      allocate(vertices(8759)%branchCT(0:0))
      call avCT(8759, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_3748/))

      allocate(vertices(6266)%branchCT(0:0))
      call avCT(6266, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3445/))

      allocate(vertices(7699)%branchCT(0:0))
      call avCT(7699, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3331/))

      allocate(vertices(1081)%branchCT(0:1))
      call avCT(1081, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_3514/))

      call avCT(1081, 1, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2955/))

      allocate(vertices(6453)%branchCT(0:1))
      call avCT(6453, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_3526/))

      call avCT(6453, 1, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(10452)%branchCT(0:0))
      call avCT(10452, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_3498/))

      allocate(vertices(4188)%branchCT(0:1))
      call avCT(4188, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_3778, nGC_3780/))

      call avCT(4188, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_3779, nGC_3781/))

      allocate(vertices(8763)%branchCT(0:1))
      call avCT(8763, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_3522/))

      call avCT(8763, 1, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3008/))

      allocate(vertices(8764)%branchCT(0:0))
      call avCT(8764, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3517/))

      allocate(vertices(10453)%branchCT(0:0))
      call avCT(10453, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3409/))

      allocate(vertices(778)%branchCT(0:1))
      call avCT(778, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_3630/))

      call avCT(778, 1, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3631/))

      allocate(vertices(10454)%branchCT(0:0))
      call avCT(10454, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3498/))

      allocate(vertices(8766)%branchCT(0:1))
      call avCT(8766, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_3461/))

      call avCT(8766, 1, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3462/))

      allocate(vertices(10455)%branchCT(0:0))
      call avCT(10455, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3397/))

      allocate(vertices(3736)%branchCT(0:1))
      call avCT(3736, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_3488/))

      call avCT(3736, 1, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3489/))

      allocate(vertices(4192)%branchCT(0:1))
      call avCT(4192, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_3320/))

      call avCT(4192, 1, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3321/))

      allocate(vertices(4246)%branchCT(0:1))
      call avCT(4246, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_3419/))

      call avCT(4246, 1, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3420/))

      allocate(vertices(10456)%branchCT(0:0))
      call avCT(10456, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3392/))

      allocate(vertices(2123)%branchCT(0:1))
      call avCT(2123, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_3637, nGC_3639/))

      call avCT(2123, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_3638, nGC_3640/))

      allocate(vertices(10457)%branchCT(0:0))
      call avCT(10457, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3343/))

      allocate(vertices(10458)%branchCT(0:0))
      call avCT(10458, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3397/))

      allocate(vertices(10459)%branchCT(0:0))
      call avCT(10459, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3426/))

      allocate(vertices(8774)%branchCT(0:0))
      call avCT(8774, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3465/))

      allocate(vertices(10460)%branchCT(0:0))
      call avCT(10460, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3593/))

      allocate(vertices(4198)%branchCT(0:0))
      call avCT(4198, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_3455/))

      allocate(vertices(8776)%branchCT(0:0))
      call avCT(8776, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_3345/))

      allocate(vertices(4200)%branchCT(0:2))
      call avCT(4200, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_3785, nGC_3788/))

      call avCT(4200, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_3786, nGC_3789/))

      call avCT(4200, 2, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_3787, nGC_3790/))

      allocate(vertices(10461)%branchCT(0:1))
      call avCT(10461, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_3874, nGC_3876,      &
      nGC_3876, nGC_3878/))

      call avCT(10461, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_3875, nGC_3877,      &
      nGC_3877, nGC_3879/))

      allocate(vertices(8499)%branchCT(0:0))
      call avCT(8499, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_3428/))

      allocate(vertices(10462)%branchCT(0:0))
      call avCT(10462, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3426/))

      allocate(vertices(4202)%branchCT(0:1))
      call avCT(4202, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3565/))

      call avCT(4202, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3566/))

      allocate(vertices(10463)%branchCT(0:0))
      call avCT(10463, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3426/))

      allocate(vertices(4981)%branchCT(0:0))
      call avCT(4981, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_4030/))

      allocate(vertices(4203)%branchCT(0:1))
      call avCT(4203, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_3749/))

      call avCT(4203, 1, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3750/))

      allocate(vertices(8782)%branchCT(0:1))
      call avCT(8782, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_3798/))

      call avCT(8782, 1, 1, 1, 0, SSS0, (/0, 1/), (/nGC_3799/))

      allocate(vertices(8301)%branchCT(0:0))
      call avCT(8301, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_3375/))

      allocate(vertices(2088)%branchCT(0:0))
      call avCT(2088, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_3407/))

      allocate(vertices(4205)%branchCT(0:1))
      call avCT(4205, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_3672, nGC_3674/))

      call avCT(4205, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_3673, nGC_3675/))

      allocate(vertices(10464)%branchCT(0:0))
      call avCT(10464, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3383/))

      allocate(vertices(10465)%branchCT(0:0))
      call avCT(10465, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3399/))

      allocate(vertices(10466)%branchCT(0:0))
      call avCT(10466, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_3363/))

      allocate(vertices(4249)%branchCT(0:1))
      call avCT(4249, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_3484/))

      call avCT(4249, 1, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3007/))

      allocate(vertices(4210)%branchCT(0:1))
      call avCT(4210, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3539/))

      call avCT(4210, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3540/))

      allocate(vertices(4633)%branchCT(0:1))
      call avCT(4633, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_3668/))

      call avCT(4633, 1, 1, 1, 0, SSS0, (/0, 1/), (/nGC_3669/))

      allocate(vertices(3265)%branchCT(0:1))
      call avCT(3265, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_3463/))

      call avCT(3265, 1, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2953/))

      allocate(vertices(4211)%branchCT(0:0))
      call avCT(4211, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3322/))

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3400/))

      allocate(vertices(3513)%branchCT(0:1))
      call avCT(3513, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3326/))

      call avCT(3513, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3327/))

      allocate(vertices(5714)%branchCT(0:1))
      call avCT(5714, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_3417/))

      call avCT(5714, 1, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3418/))

      allocate(vertices(10467)%branchCT(0:0))
      call avCT(10467, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_3399/))

      allocate(vertices(10468)%branchCT(0:0))
      call avCT(10468, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3359/))

      allocate(vertices(4215)%branchCT(0:0))
      call avCT(4215, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_3914/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3337/))

      allocate(vertices(4218)%branchCT(0:0))
      call avCT(4218, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3422/))

      allocate(vertices(3175)%branchCT(0:1))
      call avCT(3175, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3733/))

      call avCT(3175, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3734/))

      allocate(vertices(8790)%branchCT(0:0))
      call avCT(8790, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3445/))

      allocate(vertices(10469)%branchCT(0:0))
      call avCT(10469, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3530/))

      allocate(vertices(8792)%branchCT(0:0))
      call avCT(8792, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_3840, nGC_3840/))

      allocate(vertices(8793)%branchCT(0:1))
      call avCT(8793, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_3325/))

      call avCT(8793, 1, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(10470)%branchCT(0:0))
      call avCT(10470, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3359/))

      allocate(vertices(5610)%branchCT(0:0))
      call avCT(5610, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_3376/))

      allocate(vertices(8643)%branchCT(0:1))
      call avCT(8643, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_3325/))

      call avCT(8643, 1, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3004/))

      allocate(vertices(701)%branchCT(0:1))
      call avCT(701, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_3427/))

      call avCT(701, 1, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2952/))

      allocate(vertices(8649)%branchCT(0:1))
      call avCT(8649, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3616/))

      call avCT(8649, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3617/))

      allocate(vertices(4227)%branchCT(0:0))
      call avCT(4227, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_3393/))

      allocate(vertices(8657)%branchCT(0:0))
      call avCT(8657, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_3413/))

      allocate(vertices(4229)%branchCT(0:1))
      call avCT(4229, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3680/))

      call avCT(4229, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3681/))

      allocate(vertices(4230)%branchCT(0:1))
      call avCT(4230, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_3338/))

      call avCT(4230, 1, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_3339/))

      allocate(vertices(4231)%branchCT(0:1))
      call avCT(4231, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_3508, nGC_3510/))

      call avCT(4231, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_3509, nGC_3511/))

      allocate(vertices(10471)%branchCT(0:0))
      call avCT(10471, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3426/))

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_3469, nGC_3470/))

      allocate(vertices(4232)%branchCT(0:0))
      call avCT(4232, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_3436/))

      allocate(vertices(8800)%branchCT(0:1))
      call avCT(8800, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3415/))

      call avCT(8800, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3416/))

      allocate(vertices(8802)%branchCT(0:0))
      call avCT(8802, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3641/))

      allocate(vertices(10472)%branchCT(0:0))
      call avCT(10472, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3491/))

      allocate(vertices(10473)%branchCT(0:0))
      call avCT(10473, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_3498/))

      allocate(vertices(8806)%branchCT(0:1))
      call avCT(8806, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_3463/))

      call avCT(8806, 1, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3575/))

      allocate(vertices(8808)%branchCT(0:1))
      call avCT(8808, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_3340/))

      call avCT(8808, 1, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_3341/))

      allocate(vertices(7941)%branchCT(0:1))
      call avCT(7941, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3415/))

      call avCT(7941, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3416/))

      allocate(vertices(4747)%branchCT(0:1))
      call avCT(4747, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_3419/))

      call avCT(4747, 1, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_3420/))

      allocate(vertices(10474)%branchCT(0:0))
      call avCT(10474, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_3423/))

      allocate(vertices(4236)%branchCT(0:0))
      call avCT(4236, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3396/))

      allocate(vertices(8813)%branchCT(0:2))
      call avCT(8813, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_3816, nGC_3819/))

      call avCT(8813, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_3817, nGC_3820/))

      call avCT(8813, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_3818, nGC_3821/))

      allocate(vertices(3099)%branchCT(0:0))
      call avCT(3099, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_3436/))

      allocate(vertices(5520)%branchCT(0:0))
      call avCT(5520, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3428/))

      allocate(vertices(8737)%branchCT(0:0))
      call avCT(8737, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_3935/))

      allocate(vertices(8816)%branchCT(0:0))
      call avCT(8816, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3774/))

      allocate(vertices(10475)%branchCT(0:0))
      call avCT(10475, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_3684/))

      allocate(vertices(8817)%branchCT(0:1))
      call avCT(8817, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_3419/))

      call avCT(8817, 1, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_3420/))

      allocate(vertices(8581)%branchCT(0:0))
      call avCT(8581, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_3401/))

      allocate(vertices(4240)%branchCT(0:1))
      call avCT(4240, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_3461/))

      call avCT(4240, 1, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_3462/))

      allocate(vertices(4241)%branchCT(0:0))
      call avCT(4241, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_3923/))

      allocate(vertices(10476)%branchCT(0:0))
      call avCT(10476, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3530/))

      allocate(vertices(8818)%branchCT(0:1))
      call avCT(8818, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3326/))

      call avCT(8818, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3327/))

      allocate(vertices(8819)%branchCT(0:1))
      call avCT(8819, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_3535, nGC_3537/))

      call avCT(8819, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_3536, nGC_3538/))

      allocate(vertices(4244)%branchCT(0:0))
      call avCT(4244, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_3606/))

      allocate(vertices(4245)%branchCT(0:0))
      call avCT(4245, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_3332/))

      allocate(vertices(2382)%branchCT(0:0))
      call avCT(2382, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_3400/))

      allocate(vertices(10477)%branchCT(0:0))
      call avCT(10477, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3363/))

      allocate(vertices(4990)%branchCT(0:1))
      call avCT(4990, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_3833/))

      call avCT(4990, 1, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3834/))

      allocate(vertices(8824)%branchCT(0:0))
      call avCT(8824, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3460/))

      allocate(vertices(8784)%branchCT(0:1))
      call avCT(8784, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_3443/))

      call avCT(8784, 1, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3444/))

      allocate(vertices(10478)%branchCT(0:0))
      call avCT(10478, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_3323/))

      allocate(vertices(8828)%branchCT(0:0))
      call avCT(8828, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_3935/))

      allocate(vertices(10479)%branchCT(0:0))
      call avCT(10479, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_3384/))

      allocate(vertices(4252)%branchCT(0:1))
      call avCT(4252, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_3584/))

      call avCT(4252, 1, 1, 1, 0, SVV0, (/0, 1/), (/nGC_3585/))

      allocate(vertices(10480)%branchCT(0:0))
      call avCT(10480, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_3409/))

      allocate(vertices(8830)%branchCT(0:0))
      call avCT(8830, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_3610/))

      allocate(vertices(8831)%branchCT(0:0))
      call avCT(8831, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_3413/))

      allocate(vertices(10481)%branchCT(0:0))
      call avCT(10481, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_3388/))

      allocate(vertices(10482)%branchCT(0:0))
      call avCT(10482, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3323/))

      allocate(vertices(10483)%branchCT(0:0))
      call avCT(10483, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_3567/))

      allocate(vertices(10484)%branchCT(0:0))
      call avCT(10484, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_3363/))

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_3395/))

      allocate(vertices(10485)%branchCT(0:0))
      call avCT(10485, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_3342/))

      allocate(vertices(10486)%branchCT(0:0))
      call avCT(10486, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_3409/))

      allocate(vertices(6235)%branchR2(0:0))
      call avR2(6235, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10487)%branchR2(0:0))
      call avR2(10487, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(6761)%branchR2(0:0))
      call avR2(6761, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(6541)%branchR2(0:1))
      call avR2(6541, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2509, nGC_2507/))

      call avR2(6541, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2510, nGC_2508/))

      allocate(vertices(9381)%branchR2(0:0))
      call avR2(9381, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(10488)%branchR2(0:0))
      call avR2(10488, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(5808)%branchR2(0:0))
      call avR2(5808, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2816/))

      allocate(vertices(4602)%branchR2(0:0))
      call avR2(4602, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2522/))

      allocate(vertices(9991)%branchR2(0:0))
      call avR2(9991, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(8702)%branchR2(0:0))
      call avR2(8702, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(9954)%branchR2(0:0))
      call avR2(9954, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10049)%branchR2(0:1))
      call avR2(10049, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_2437, nGC_2434,      &
      nGC_2435, nGC_2435/))

      call avR2(10049, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_2429, nGC_2429,      &
      nGC_2436, nGC_2436/))

      allocate(vertices(9234)%branchR2(0:0))
      call avR2(9234, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2502/))

      allocate(vertices(3280)%branchR2(0:0))
      call avR2(3280, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(7919)%branchR2(0:0))
      call avR2(7919, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(5725)%branchR2(0:0))
      call avR2(5725, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4031/))

      allocate(vertices(4647)%branchR2(0:0))
      call avR2(4647, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(3324)%branchR2(0:0))
      call avR2(3324, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10489)%branchR2(0:0))
      call avR2(10489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2735)%branchR2(0:1))
      call avR2(2735, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(2735, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(8736)%branchR2(0:0))
      call avR2(8736, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(8757)%branchR2(0:0))
      call avR2(8757, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2657, nGC_2658/))

      allocate(vertices(2865)%branchR2(0:0))
      call avR2(2865, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(5510)%branchR2(0:0))
      call avR2(5510, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(4901)%branchR2(0:0))
      call avR2(4901, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9942)%branchR2(0:0))
      call avR2(9942, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(9039)%branchR2(0:0))
      call avR2(9039, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(5663)%branchR2(0:0))
      call avR2(5663, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2645/))

      allocate(vertices(2551)%branchR2(0:0))
      call avR2(2551, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2496/))

      allocate(vertices(8334)%branchR2(0:0))
      call avR2(8334, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2596/))

      allocate(vertices(10490)%branchR2(0:1))
      call avR2(10490, 0, 145, 1, 0, VVVV1, (/2, 2/), (/nGC_2928, nGC_2928,    &
      nGC_2928/))

      call avR2(10490, 1, 146, 1, 0, VVVV1, (/2, 2/), (/nGC_2927, nGC_2927,    &
      nGC_2927/))

      allocate(vertices(8692)%branchR2(0:0))
      call avR2(8692, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(10491)%branchR2(0:0))
      call avR2(10491, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(10068)%branchR2(0:0))
      call avR2(10068, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(4385)%branchR2(0:0))
      call avR2(4385, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(8406)%branchR2(0:0))
      call avR2(8406, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(5670)%branchR2(0:0))
      call avR2(5670, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(7247)%branchR2(0:0))
      call avR2(7247, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(9800)%branchR2(0:0))
      call avR2(9800, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(7054)%branchR2(0:0))
      call avR2(7054, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(9754)%branchR2(0:0))
      call avR2(9754, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2403, nGC_2401,        &
      nGC_2402/))

      allocate(vertices(1750)%branchR2(0:0))
      call avR2(1750, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2575/))

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(7415)%branchR2(0:0))
      call avR2(7415, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(6616)%branchR2(0:1))
      call avR2(6616, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(6616, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(9432)%branchR2(0:0))
      call avR2(9432, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10449)%branchR2(0:0))
      call avR2(10449, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(8652)%branchR2(0:0))
      call avR2(8652, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(10420)%branchR2(0:0))
      call avR2(10420, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(8453)%branchR2(0:0))
      call avR2(8453, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2912/))

      allocate(vertices(7007)%branchR2(0:0))
      call avR2(7007, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(429)%branchR2(0:0))
      call avR2(429, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7805)%branchR2(0:1))
      call avR2(7805, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2708/))

      call avR2(7805, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(8417)%branchR2(0:1))
      call avR2(8417, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2702/))

      call avR2(8417, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2703/))

      allocate(vertices(6215)%branchR2(0:0))
      call avR2(6215, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4766)%branchR2(0:0))
      call avR2(4766, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(10492)%branchR2(0:0))
      call avR2(10492, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(2564)%branchR2(0:1))
      call avR2(2564, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(2564, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(556)%branchR2(0:1))
      call avR2(556, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2670, nGC_2669/))

      call avR2(556, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2671, nGC_2671/))

      allocate(vertices(9650)%branchR2(0:0))
      call avR2(9650, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2469/))

      allocate(vertices(8632)%branchR2(0:0))
      call avR2(8632, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(3108)%branchR2(0:0))
      call avR2(3108, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(5482)%branchR2(0:0))
      call avR2(5482, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(7390)%branchR2(0:1))
      call avR2(7390, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2530, nGC_2531/))

      call avR2(7390, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2508, nGC_2510/))

      allocate(vertices(10425)%branchR2(0:0))
      call avR2(10425, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(934)%branchR2(0:1))
      call avR2(934, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(934, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(8758)%branchR2(0:0))
      call avR2(8758, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4727)%branchR2(0:0))
      call avR2(4727, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(4861)%branchR2(0:1))
      call avR2(4861, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2647, nGC_2646/))

      call avR2(4861, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2648, nGC_2648/))

      allocate(vertices(6691)%branchR2(0:1))
      call avR2(6691, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(6691, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(10493)%branchR2(0:0))
      call avR2(10493, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2820, nGC_2820,      &
      nGC_2820/))

      allocate(vertices(9708)%branchR2(0:0))
      call avR2(9708, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(4528)%branchR2(0:0))
      call avR2(4528, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2709/))

      allocate(vertices(10494)%branchR2(0:1))
      call avR2(10494, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2841, nGC_2841,    &
      nGC_2841/))

      call avR2(10494, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2840, nGC_2840,    &
      nGC_2840/))

      allocate(vertices(6298)%branchR2(0:0))
      call avR2(6298, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(6816)%branchR2(0:0))
      call avR2(6816, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(3864)%branchR2(0:0))
      call avR2(3864, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4032/))

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2805, nGC_2803,        &
      nGC_2804/))

      allocate(vertices(9711)%branchR2(0:0))
      call avR2(9711, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(10495)%branchR2(0:0))
      call avR2(10495, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(10496)%branchR2(0:1))
      call avR2(10496, 0, 139, 1, 0, SVSV0, (/2, 2/), (/nGC_2833/))

      call avR2(10496, 1, 140, 1, 0, SVSV0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(4620)%branchR2(0:0))
      call avR2(4620, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(5952)%branchR2(0:0))
      call avR2(5952, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(7317)%branchR2(0:1))
      call avR2(7317, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2633, nGC_2631/))

      call avR2(7317, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2634, nGC_2632/))

      allocate(vertices(9112)%branchR2(0:0))
      call avR2(9112, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(2795)%branchR2(0:0))
      call avR2(2795, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(1683)%branchR2(0:0))
      call avR2(1683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2506/))

      allocate(vertices(5498)%branchR2(0:0))
      call avR2(5498, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(10497)%branchR2(0:1))
      call avR2(10497, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2901/))

      call avR2(10497, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2900/))

      allocate(vertices(7385)%branchR2(0:1))
      call avR2(7385, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2699, nGC_2698/))

      call avR2(7385, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2700, nGC_2700/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(4844)%branchR2(0:0))
      call avR2(4844, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(10430)%branchR2(0:1))
      call avR2(10430, 0, 124, 1, 0, FaF2, (/0, 2/), (/nGC_2433, nGC_2430,     &
      nGC_2451, nGC_2451/))

      call avR2(10430, 1, 124, 1, 0, FaF2, (/2, 0/), (/nGC_2429, nGC_2429,     &
      nGC_2452, nGC_2452/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(10294)%branchR2(0:0))
      call avR2(10294, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2539/))

      allocate(vertices(3783)%branchR2(0:1))
      call avR2(3783, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(3783, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(6854)%branchR2(0:0))
      call avR2(6854, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3518)%branchR2(0:0))
      call avR2(3518, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2889/))

      allocate(vertices(393)%branchR2(0:1))
      call avR2(393, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2477, nGC_2478/))

      call avR2(393, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2473, nGC_2473/))

      allocate(vertices(7346)%branchR2(0:0))
      call avR2(7346, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(10498)%branchR2(0:1))
      call avR2(10498, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_2932/))

      call avR2(10498, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(4381)%branchR2(0:0))
      call avR2(4381, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(6053)%branchR2(0:0))
      call avR2(6053, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2519/))

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8179)%branchR2(0:0))
      call avR2(8179, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2498/))

      allocate(vertices(7979)%branchR2(0:1))
      call avR2(7979, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2586, nGC_2588/))

      call avR2(7979, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2587, nGC_2589/))

      allocate(vertices(7682)%branchR2(0:0))
      call avR2(7682, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(9846)%branchR2(0:0))
      call avR2(9846, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8289)%branchR2(0:0))
      call avR2(8289, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(6954)%branchR2(0:0))
      call avR2(6954, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(5031)%branchR2(0:0))
      call avR2(5031, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(8451)%branchR2(0:0))
      call avR2(8451, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(9333)%branchR2(0:0))
      call avR2(9333, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2408, nGC_2406,        &
      nGC_2407/))

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2521/))

      allocate(vertices(1905)%branchR2(0:0))
      call avR2(1905, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(10499)%branchR2(0:0))
      call avR2(10499, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2788,      &
      nGC_2787/))

      allocate(vertices(5532)%branchR2(0:0))
      call avR2(5532, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(7753)%branchR2(0:0))
      call avR2(7753, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(2591)%branchR2(0:0))
      call avR2(2591, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2727/))

      allocate(vertices(9968)%branchR2(0:0))
      call avR2(9968, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10500)%branchR2(0:0))
      call avR2(10500, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2868/))

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(10501)%branchR2(0:1))
      call avR2(10501, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_2659/))

      call avR2(10501, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_2660/))

      allocate(vertices(10243)%branchR2(0:0))
      call avR2(10243, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(9403)%branchR2(0:0))
      call avR2(9403, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(10292)%branchR2(0:0))
      call avR2(10292, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(7369)%branchR2(0:0))
      call avR2(7369, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(10502)%branchR2(0:0))
      call avR2(10502, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(8077)%branchR2(0:0))
      call avR2(8077, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(4753)%branchR2(0:0))
      call avR2(4753, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2686, nGC_2687/))

      allocate(vertices(8397)%branchR2(0:0))
      call avR2(8397, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2803,       &
      nGC_2805/))

      allocate(vertices(9577)%branchR2(0:0))
      call avR2(9577, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(10503)%branchR2(0:0))
      call avR2(10503, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(7384)%branchR2(0:0))
      call avR2(7384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(8892)%branchR2(0:0))
      call avR2(8892, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2410, nGC_2409/))

      allocate(vertices(10480)%branchR2(0:0))
      call avR2(10480, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(7686)%branchR2(0:0))
      call avR2(7686, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(6478)%branchR2(0:0))
      call avR2(6478, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(3247)%branchR2(0:0))
      call avR2(3247, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4033/))

      allocate(vertices(5211)%branchR2(0:0))
      call avR2(5211, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(5178)%branchR2(0:0))
      call avR2(5178, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(4568)%branchR2(0:0))
      call avR2(4568, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(10477)%branchR2(0:0))
      call avR2(10477, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2806/))

      allocate(vertices(5103)%branchR2(0:0))
      call avR2(5103, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(8039)%branchR2(0:0))
      call avR2(8039, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2823/))

      allocate(vertices(8046)%branchR2(0:0))
      call avR2(8046, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2614/))

      allocate(vertices(5921)%branchR2(0:0))
      call avR2(5921, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(4452)%branchR2(0:0))
      call avR2(4452, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(3887)%branchR2(0:0))
      call avR2(3887, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(4166)%branchR2(0:0))
      call avR2(4166, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10321)%branchR2(0:0))
      call avR2(10321, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10166)%branchR2(0:0))
      call avR2(10166, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2914/))

      allocate(vertices(10504)%branchR2(0:0))
      call avR2(10504, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2846)%branchR2(0:0))
      call avR2(2846, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2705/))

      allocate(vertices(8514)%branchR2(0:0))
      call avR2(8514, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9631)%branchR2(0:0))
      call avR2(9631, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8375)%branchR2(0:0))
      call avR2(8375, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6044)%branchR2(0:0))
      call avR2(6044, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(8524)%branchR2(0:0))
      call avR2(8524, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(6791)%branchR2(0:1))
      call avR2(6791, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2601, nGC_2602/))

      call avR2(6791, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2583, nGC_2585/))

      allocate(vertices(8735)%branchR2(0:0))
      call avR2(8735, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(4281)%branchR2(0:0))
      call avR2(4281, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3761)%branchR2(0:0))
      call avR2(3761, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(8038)%branchR2(0:0))
      call avR2(8038, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2321)%branchR2(0:0))
      call avR2(2321, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(10256)%branchR2(0:0))
      call avR2(10256, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2485/))

      allocate(vertices(10505)%branchR2(0:0))
      call avR2(10505, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2778, nGC_2778,      &
      nGC_2778/))

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2679, nGC_2678/))

      call avR2(1644, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2680, nGC_2680/))

      allocate(vertices(5579)%branchR2(0:0))
      call avR2(5579, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(7799)%branchR2(0:0))
      call avR2(7799, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(7305)%branchR2(0:0))
      call avR2(7305, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(10506)%branchR2(0:1))
      call avR2(10506, 0, 141, 1, 0, VSVS0, (/2, 2/), (/nGC_2885/))

      call avR2(10506, 1, 142, 1, 0, VSVS0, (/2, 2/), (/nGC_2884/))

      allocate(vertices(3118)%branchR2(0:1))
      call avR2(3118, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2533, nGC_2532/))

      call avR2(3118, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2514, nGC_2512/))

      allocate(vertices(1733)%branchR2(0:0))
      call avR2(1733, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(10507)%branchR2(0:0))
      call avR2(10507, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(9130)%branchR2(0:0))
      call avR2(9130, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(5721)%branchR2(0:1))
      call avR2(5721, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(5721, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(6567)%branchR2(0:0))
      call avR2(6567, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(3023)%branchR2(0:0))
      call avR2(3023, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(6161)%branchR2(0:0))
      call avR2(6161, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(10096)%branchR2(0:0))
      call avR2(10096, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(10298)%branchR2(0:0))
      call avR2(10298, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(2520)%branchR2(0:1))
      call avR2(2520, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(2520, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(7629)%branchR2(0:0))
      call avR2(7629, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(5787)%branchR2(0:0))
      call avR2(5787, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(8448)%branchR2(0:0))
      call avR2(8448, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8376)%branchR2(0:0))
      call avR2(8376, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(9248)%branchR2(0:0))
      call avR2(9248, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(876)%branchR2(0:1))
      call avR2(876, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2567, nGC_2565/))

      call avR2(876, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2568, nGC_2566/))

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2852/))

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2521/))

      allocate(vertices(2274)%branchR2(0:1))
      call avR2(2274, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(2274, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(2811)%branchR2(0:0))
      call avR2(2811, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2683)%branchR2(0:0))
      call avR2(2683, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(6862)%branchR2(0:0))
      call avR2(6862, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2598/))

      allocate(vertices(5812)%branchR2(0:0))
      call avR2(5812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4291)%branchR2(0:0))
      call avR2(4291, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4792)%branchR2(0:1))
      call avR2(4792, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2707/))

      call avR2(4792, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(10508)%branchR2(0:1))
      call avR2(10508, 0, 129, 1, 0, VSV0, (/2, 1/), (/nGC_2688/))

      call avR2(10508, 1, 130, 1, 0, VSV0, (/2, 1/), (/nGC_2689/))

      allocate(vertices(5513)%branchR2(0:0))
      call avR2(5513, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(6613)%branchR2(0:0))
      call avR2(6613, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2543/))

      allocate(vertices(6924)%branchR2(0:0))
      call avR2(6924, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(6734)%branchR2(0:0))
      call avR2(6734, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(3941)%branchR2(0:0))
      call avR2(3941, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4033/))

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2888/))

      allocate(vertices(8385)%branchR2(0:0))
      call avR2(8385, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(7107)%branchR2(0:0))
      call avR2(7107, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(5928)%branchR2(0:0))
      call avR2(5928, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(10509)%branchR2(0:0))
      call avR2(10509, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(8824)%branchR2(0:0))
      call avR2(8824, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(5794)%branchR2(0:0))
      call avR2(5794, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(7511)%branchR2(0:0))
      call avR2(7511, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(9193)%branchR2(0:0))
      call avR2(9193, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_4034/))

      allocate(vertices(8384)%branchR2(0:0))
      call avR2(8384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(7417)%branchR2(0:0))
      call avR2(7417, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(9552)%branchR2(0:0))
      call avR2(9552, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(485)%branchR2(0:0))
      call avR2(485, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(9289)%branchR2(0:0))
      call avR2(9289, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(3384)%branchR2(0:1))
      call avR2(3384, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2728, nGC_2729/))

      call avR2(3384, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2716, nGC_2718/))

      allocate(vertices(3776)%branchR2(0:0))
      call avR2(3776, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(9223)%branchR2(0:0))
      call avR2(9223, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(10510)%branchR2(0:1))
      call avR2(10510, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2850/))

      call avR2(10510, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(4640)%branchR2(0:0))
      call avR2(4640, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(9613)%branchR2(0:0))
      call avR2(9613, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(9517)%branchR2(0:0))
      call avR2(9517, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(3823)%branchR2(0:1))
      call avR2(3823, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2605, nGC_2606/))

      call avR2(3823, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2591, nGC_2593/))

      allocate(vertices(8920)%branchR2(0:0))
      call avR2(8920, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(8005)%branchR2(0:0))
      call avR2(8005, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(7758)%branchR2(0:0))
      call avR2(7758, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(2144)%branchR2(0:1))
      call avR2(2144, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2629, nGC_2627/))

      call avR2(2144, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2630, nGC_2628/))

      allocate(vertices(7588)%branchR2(0:0))
      call avR2(7588, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2909/))

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2804, nGC_2805,       &
      nGC_2803/))

      allocate(vertices(8871)%branchR2(0:0))
      call avR2(8871, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2503/))

      allocate(vertices(10511)%branchR2(0:0))
      call avR2(10511, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(8851)%branchR2(0:0))
      call avR2(8851, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(4798)%branchR2(0:0))
      call avR2(4798, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(3975)%branchR2(0:0))
      call avR2(3975, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2829/))

      allocate(vertices(4557)%branchR2(0:0))
      call avR2(4557, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2520/))

      allocate(vertices(5849)%branchR2(0:0))
      call avR2(5849, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(10004)%branchR2(0:0))
      call avR2(10004, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(7557)%branchR2(0:0))
      call avR2(7557, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2725/))

      allocate(vertices(6624)%branchR2(0:1))
      call avR2(6624, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2474, nGC_2475/))

      call avR2(6624, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(4094)%branchR2(0:0))
      call avR2(4094, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(4543)%branchR2(0:0))
      call avR2(4543, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2505/))

      allocate(vertices(5456)%branchR2(0:0))
      call avR2(5456, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2505/))

      allocate(vertices(6969)%branchR2(0:0))
      call avR2(6969, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9311)%branchR2(0:0))
      call avR2(9311, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2891/))

      allocate(vertices(5557)%branchR2(0:0))
      call avR2(5557, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(5217)%branchR2(0:0))
      call avR2(5217, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2461/))

      allocate(vertices(9813)%branchR2(0:0))
      call avR2(9813, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7040)%branchR2(0:0))
      call avR2(7040, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(5213)%branchR2(0:0))
      call avR2(5213, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(5625)%branchR2(0:0))
      call avR2(5625, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(6309)%branchR2(0:0))
      call avR2(6309, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(4833)%branchR2(0:0))
      call avR2(4833, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(8253)%branchR2(0:0))
      call avR2(8253, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(10186)%branchR2(0:0))
      call avR2(10186, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(4090)%branchR2(0:0))
      call avR2(4090, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4035/))

      allocate(vertices(5501)%branchR2(0:0))
      call avR2(5501, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(8332)%branchR2(0:0))
      call avR2(8332, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(4691)%branchR2(0:0))
      call avR2(4691, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2500/))

      allocate(vertices(10512)%branchR2(0:5))
      call avR2(10512, 0, 160, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10512, 1, 163, 1, 0, VVVV1, (/3, 1/), (/nGC_2864, nGC_2864,    &
      nGC_2864/))

      call avR2(10512, 2, 162, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10512, 3, 164, 1, 0, VVVV1, (/3, 1/), (/nGC_2862, nGC_2862,    &
      nGC_2862/))

      call avR2(10512, 4, 161, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      call avR2(10512, 5, 159, 1, 0, VVVV1, (/3, 1/), (/nGC_2863, nGC_2863,    &
      nGC_2863/))

      allocate(vertices(5714)%branchR2(0:0))
      call avR2(5714, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(4361)%branchR2(0:0))
      call avR2(4361, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2796/))

      allocate(vertices(4787)%branchR2(0:0))
      call avR2(4787, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(3615)%branchR2(0:0))
      call avR2(3615, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(4481)%branchR2(0:0))
      call avR2(4481, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2576/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(8631)%branchR2(0:0))
      call avR2(8631, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2803, nGC_2805,       &
      nGC_2804/))

      allocate(vertices(10513)%branchR2(0:1))
      call avR2(10513, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2884/))

      call avR2(10513, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2885/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2595/))

      allocate(vertices(10514)%branchR2(0:0))
      call avR2(10514, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(2537)%branchR2(0:0))
      call avR2(2537, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2559, nGC_2560/))

      allocate(vertices(10515)%branchR2(0:1))
      call avR2(10515, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2850/))

      call avR2(10515, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2849/))

      allocate(vertices(2982)%branchR2(0:0))
      call avR2(2982, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(5817)%branchR2(0:0))
      call avR2(5817, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(7548)%branchR2(0:0))
      call avR2(7548, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2674/))

      allocate(vertices(7820)%branchR2(0:0))
      call avR2(7820, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(8052)%branchR2(0:0))
      call avR2(8052, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(2685)%branchR2(0:0))
      call avR2(2685, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2906/))

      allocate(vertices(10516)%branchR2(0:0))
      call avR2(10516, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(2904)%branchR2(0:0))
      call avR2(2904, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2733, nGC_2732/))

      allocate(vertices(10517)%branchR2(0:0))
      call avR2(10517, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(6577)%branchR2(0:1))
      call avR2(6577, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2694, nGC_2693/))

      call avR2(6577, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2695, nGC_2695/))

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2855/))

      allocate(vertices(10518)%branchR2(0:0))
      call avR2(10518, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2775/))

      allocate(vertices(2235)%branchR2(0:0))
      call avR2(2235, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2892/))

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10519)%branchR2(0:0))
      call avR2(10519, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(9256)%branchR2(0:0))
      call avR2(9256, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2870/))

      allocate(vertices(9262)%branchR2(0:0))
      call avR2(9262, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(9313)%branchR2(0:0))
      call avR2(9313, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(2934)%branchR2(0:0))
      call avR2(2934, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2926, nGC_2926,       &
      nGC_2925/))

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9002)%branchR2(0:0))
      call avR2(9002, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(10520)%branchR2(0:1))
      call avR2(10520, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_2833/))

      call avR2(10520, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_2832/))

      allocate(vertices(10177)%branchR2(0:0))
      call avR2(10177, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10215)%branchR2(0:0))
      call avR2(10215, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(7287)%branchR2(0:0))
      call avR2(7287, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2498/))

      allocate(vertices(6973)%branchR2(0:0))
      call avR2(6973, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(8085)%branchR2(0:0))
      call avR2(8085, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2876/))

      allocate(vertices(10088)%branchR2(0:0))
      call avR2(10088, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(3596)%branchR2(0:0))
      call avR2(3596, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2899/))

      allocate(vertices(9637)%branchR2(0:0))
      call avR2(9637, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2921/))

      allocate(vertices(268)%branchR2(0:1))
      call avR2(268, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2534, nGC_2535/))

      call avR2(268, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2516, nGC_2518/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4036/))

      allocate(vertices(8808)%branchR2(0:0))
      call avR2(8808, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2521/))

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2480, nGC_2479/))

      allocate(vertices(3388)%branchR2(0:0))
      call avR2(3388, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(10435)%branchR2(0:0))
      call avR2(10435, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2878/))

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2595/))

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(5414)%branchR2(0:0))
      call avR2(5414, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2463/))

      allocate(vertices(8416)%branchR2(0:0))
      call avR2(8416, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(9623)%branchR2(0:0))
      call avR2(9623, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_2458/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(10521)%branchR2(0:0))
      call avR2(10521, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2907/))

      allocate(vertices(9015)%branchR2(0:0))
      call avR2(9015, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7925)%branchR2(0:1))
      call avR2(7925, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(7925, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(10314)%branchR2(0:0))
      call avR2(10314, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(10522)%branchR2(0:1))
      call avR2(10522, 0, 136, 1, 0, SSVV0, (/2, 2/), (/nGC_2932/))

      call avR2(10522, 1, 135, 1, 0, SSVV0, (/2, 2/), (/nGC_2931/))

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(4359)%branchR2(0:0))
      call avR2(4359, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2986)%branchR2(0:0))
      call avR2(2986, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2467/))

      allocate(vertices(4423)%branchR2(0:0))
      call avR2(4423, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(10099)%branchR2(0:0))
      call avR2(10099, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2450/))

      allocate(vertices(7416)%branchR2(0:0))
      call avR2(7416, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2786/))

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2877/))

      allocate(vertices(765)%branchR2(0:0))
      call avR2(765, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2594/))

      allocate(vertices(6307)%branchR2(0:0))
      call avR2(6307, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(8774)%branchR2(0:0))
      call avR2(8774, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(7932)%branchR2(0:0))
      call avR2(7932, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2491, nGC_2490/))

      allocate(vertices(10523)%branchR2(0:0))
      call avR2(10523, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2465/))

      allocate(vertices(3982)%branchR2(0:0))
      call avR2(3982, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2581/))

      allocate(vertices(2318)%branchR2(0:0))
      call avR2(2318, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(4028)%branchR2(0:0))
      call avR2(4028, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2916/))

      allocate(vertices(7037)%branchR2(0:0))
      call avR2(7037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2872/))

      allocate(vertices(6805)%branchR2(0:0))
      call avR2(6805, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2462/))

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2667, nGC_2668/))

      allocate(vertices(10178)%branchR2(0:0))
      call avR2(10178, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(8522)%branchR2(0:0))
      call avR2(8522, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2882/))

      allocate(vertices(8075)%branchR2(0:0))
      call avR2(8075, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2499/))

      allocate(vertices(1358)%branchR2(0:0))
      call avR2(1358, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2851/))

      allocate(vertices(3191)%branchR2(0:1))
      call avR2(3191, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(3191, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(4273)%branchR2(0:1))
      call avR2(4273, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2650, nGC_2649/))

      call avR2(4273, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2651, nGC_2651/))

      allocate(vertices(5938)%branchR2(0:0))
      call avR2(5938, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2923, nGC_2922,       &
      nGC_2923/))

      allocate(vertices(8939)%branchR2(0:0))
      call avR2(8939, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4037/))

      allocate(vertices(6612)%branchR2(0:0))
      call avR2(6612, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(9901)%branchR2(0:0))
      call avR2(9901, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(2127)%branchR2(0:0))
      call avR2(2127, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(4943)%branchR2(0:0))
      call avR2(4943, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(3072)%branchR2(0:0))
      call avR2(3072, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(9925)%branchR2(0:0))
      call avR2(9925, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(3879)%branchR2(0:0))
      call avR2(3879, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(2711)%branchR2(0:0))
      call avR2(2711, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2780/))

      allocate(vertices(9903)%branchR2(0:0))
      call avR2(9903, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2843/))

      allocate(vertices(10324)%branchR2(0:0))
      call avR2(10324, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2873/))

      allocate(vertices(10424)%branchR2(0:0))
      call avR2(10424, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(1977)%branchR2(0:1))
      call avR2(1977, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2511, nGC_2513/))

      call avR2(1977, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2512, nGC_2514/))

      allocate(vertices(10524)%branchR2(0:1))
      call avR2(10524, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_2933/))

      call avR2(10524, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_2934/))

      allocate(vertices(6781)%branchR2(0:1))
      call avR2(6781, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2621, nGC_2619/))

      call avR2(6781, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2622, nGC_2620/))

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_2701/))

      allocate(vertices(10525)%branchR2(0:0))
      call avR2(10525, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2774/))

      allocate(vertices(1487)%branchR2(0:1))
      call avR2(1487, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2653, nGC_2652/))

      call avR2(1487, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2654, nGC_2654/))

      allocate(vertices(9442)%branchR2(0:0))
      call avR2(9442, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(6107)%branchR2(0:0))
      call avR2(6107, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(7856)%branchR2(0:0))
      call avR2(7856, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(9345)%branchR2(0:0))
      call avR2(9345, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9555)%branchR2(0:0))
      call avR2(9555, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(158)%branchR2(0:1))
      call avR2(158, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2604, nGC_2603/))

      call avR2(158, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2589, nGC_2587/))

      allocate(vertices(2542)%branchR2(0:1))
      call avR2(2542, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2592, nGC_2590/))

      call avR2(2542, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2593, nGC_2591/))

      allocate(vertices(1844)%branchR2(0:1))
      call avR2(1844, 0, 20, 1, 0, SFFa1, (/0, 3/), (/nGC_2662, nGC_2661/))

      call avR2(1844, 1, 20, 1, 0, SFFa1, (/2, 1/), (/nGC_2663, nGC_2663/))

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(10225)%branchR2(0:0))
      call avR2(10225, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(8613)%branchR2(0:0))
      call avR2(8613, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_4038/))

      allocate(vertices(9183)%branchR2(0:0))
      call avR2(9183, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(7423)%branchR2(0:0))
      call avR2(7423, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2915/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(6380)%branchR2(0:0))
      call avR2(6380, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(10526)%branchR2(0:1))
      call avR2(10526, 0, 139, 1, 0, VVVV1, (/2, 2/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10526, 1, 140, 1, 0, VVVV1, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2853/))

      allocate(vertices(4990)%branchR2(0:0))
      call avR2(4990, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(2787)%branchR2(0:0))
      call avR2(2787, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(10347)%branchR2(0:0))
      call avR2(10347, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4039/))

      allocate(vertices(9022)%branchR2(0:0))
      call avR2(9022, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(4406)%branchR2(0:0))
      call avR2(4406, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(6667)%branchR2(0:0))
      call avR2(6667, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(10527)%branchR2(0:1))
      call avR2(10527, 0, 141, 1, 0, VVVV1, (/2, 2/), (/nGC_2937, nGC_2937,    &
      nGC_2937/))

      call avR2(10527, 1, 142, 1, 0, VVVV1, (/2, 2/), (/nGC_2936, nGC_2936,    &
      nGC_2936/))

      allocate(vertices(10528)%branchR2(0:0))
      call avR2(10528, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(9655)%branchR2(0:0))
      call avR2(9655, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_4040/))

      allocate(vertices(9481)%branchR2(0:0))
      call avR2(9481, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(7009)%branchR2(0:0))
      call avR2(7009, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2922, nGC_2923,       &
      nGC_2923/))

      allocate(vertices(9238)%branchR2(0:0))
      call avR2(9238, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(7865)%branchR2(0:0))
      call avR2(7865, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2710/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2822/))

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2835/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2890/))

      allocate(vertices(5925)%branchR2(0:0))
      call avR2(5925, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2791/))

      allocate(vertices(2947)%branchR2(0:0))
      call avR2(2947, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(7516)%branchR2(0:0))
      call avR2(7516, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(5161)%branchR2(0:0))
      call avR2(5161, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2825/))

      allocate(vertices(10213)%branchR2(0:0))
      call avR2(10213, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(8325)%branchR2(0:0))
      call avR2(8325, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(9308)%branchR2(0:0))
      call avR2(9308, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2856/))

      allocate(vertices(7786)%branchR2(0:1))
      call avR2(7786, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2665, nGC_2664/))

      call avR2(7786, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2666, nGC_2666/))

      allocate(vertices(7991)%branchR2(0:0))
      call avR2(7991, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2910/))

      allocate(vertices(8888)%branchR2(0:0))
      call avR2(8888, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(9998)%branchR2(0:0))
      call avR2(9998, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2767/))

      allocate(vertices(1010)%branchR2(0:1))
      call avR2(1010, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2492, nGC_2493/))

      call avR2(1010, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2476, nGC_2476/))

      allocate(vertices(10306)%branchR2(0:0))
      call avR2(10306, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2792/))

      allocate(vertices(9421)%branchR2(0:0))
      call avR2(9421, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(7877)%branchR2(0:1))
      call avR2(7877, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_2707/))

      call avR2(7877, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(1432)%branchR2(0:0))
      call avR2(1432, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(4444)%branchR2(0:0))
      call avR2(4444, 0, 1, 1, 0, VSS1, (/0, 3/), (/nGC_4037/))

      allocate(vertices(4893)%branchR2(0:0))
      call avR2(4893, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(8219)%branchR2(0:0))
      call avR2(8219, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2896/))

      allocate(vertices(10529)%branchR2(0:0))
      call avR2(10529, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2866/))

      allocate(vertices(7531)%branchR2(0:0))
      call avR2(7531, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2893/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2795/))

      allocate(vertices(9213)%branchR2(0:0))
      call avR2(9213, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2484/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2831/))

      allocate(vertices(8466)%branchR2(0:1))
      call avR2(8466, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2702/))

      call avR2(8466, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2703/))

      allocate(vertices(4076)%branchR2(0:0))
      call avR2(4076, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(3406)%branchR2(0:0))
      call avR2(3406, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(6371)%branchR2(0:1))
      call avR2(6371, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2682, nGC_2681/))

      call avR2(6371, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2683, nGC_2683/))

      allocate(vertices(5356)%branchR2(0:0))
      call avR2(5356, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2830/))

      allocate(vertices(196)%branchR2(0:0))
      call avR2(196, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2821/))

      allocate(vertices(2348)%branchR2(0:0))
      call avR2(2348, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2844/))

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2837/))

      allocate(vertices(6811)%branchR2(0:0))
      call avR2(6811, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2625, nGC_2626/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(3085)%branchR2(0:0))
      call avR2(3085, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2894/))

      allocate(vertices(6150)%branchR2(0:0))
      call avR2(6150, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2773, nGC_2772,       &
      nGC_2771/))

      allocate(vertices(7945)%branchR2(0:0))
      call avR2(7945, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(7097)%branchR2(0:3))
      call avR2(7097, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2739, nGC_2741/))

      call avR2(7097, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(7097, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(7097, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2736, nGC_2738/))

      allocate(vertices(10530)%branchR2(0:0))
      call avR2(10530, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2224)%branchR2(0:1))
      call avR2(2224, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(2224, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(3003)%branchR2(0:0))
      call avR2(3003, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(8978)%branchR2(0:0))
      call avR2(8978, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(5167)%branchR2(0:0))
      call avR2(5167, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2781/))

      allocate(vertices(9644)%branchR2(0:0))
      call avR2(9644, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(7226)%branchR2(0:0))
      call avR2(7226, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2879/))

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2904/))

      allocate(vertices(9134)%branchR2(0:0))
      call avR2(9134, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(8100)%branchR2(0:0))
      call avR2(8100, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2727/))

      allocate(vertices(9547)%branchR2(0:0))
      call avR2(9547, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2809/))

      allocate(vertices(7834)%branchR2(0:0))
      call avR2(7834, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(9865)%branchR2(0:0))
      call avR2(9865, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2793/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2706/))

      allocate(vertices(9910)%branchR2(0:0))
      call avR2(9910, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2783/))

      allocate(vertices(6884)%branchR2(0:0))
      call avR2(6884, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2854/))

      allocate(vertices(9768)%branchR2(0:0))
      call avR2(9768, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(8217)%branchR2(0:0))
      call avR2(8217, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(7571)%branchR2(0:0))
      call avR2(7571, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(8866)%branchR2(0:0))
      call avR2(8866, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(7830)%branchR2(0:0))
      call avR2(7830, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2529/))

      allocate(vertices(5799)%branchR2(0:0))
      call avR2(5799, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(9180)%branchR2(0:0))
      call avR2(9180, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2874/))

      allocate(vertices(7857)%branchR2(0:1))
      call avR2(7857, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2639, nGC_2637/))

      call avR2(7857, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2640, nGC_2638/))

      allocate(vertices(5943)%branchR2(0:0))
      call avR2(5943, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2826/))

      allocate(vertices(5561)%branchR2(0:3))
      call avR2(5561, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_2744, nGC_2745/))

      call avR2(5561, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_2740, nGC_2740/))

      call avR2(5561, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_2737, nGC_2737/))

      call avR2(5561, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_2742, nGC_2743/))

      allocate(vertices(10531)%branchR2(0:0))
      call avR2(10531, 0, 0, 1, 0, VVVV1, (/0, 4/), (/nGC_2788, nGC_2787,      &
      nGC_2788/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2858/))

      allocate(vertices(3980)%branchR2(0:0))
      call avR2(3980, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2501/))

      allocate(vertices(4411)%branchR2(0:0))
      call avR2(4411, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2538/))

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(2895)%branchR2(0:1))
      call avR2(2895, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2730, nGC_2731/))

      call avR2(2895, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2712, nGC_2714/))

      allocate(vertices(6785)%branchR2(0:0))
      call avR2(6785, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2541/))

      allocate(vertices(10423)%branchR2(0:0))
      call avR2(10423, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2842/))

    end subroutine fill_vertices_mdl20
end module vertices_info20
