!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(4000)%branch(0:0))
      call av(4000, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4001)%branch(0:1))
      call av(4001, 0, 22, 4, 0, FVFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4001, 1, 23, 5, 0, FVFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4002)%branch(0:0))
      call av(4002, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_237/))

      allocate(vertices(4003)%branch(0:0))
      call av(4003, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_196/))

      allocate(vertices(4004)%branch(0:0))
      call av(4004, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4005)%branch(0:0))
      call av(4005, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4006)%branch(0:0))
      call av(4006, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_226/))

      allocate(vertices(4007)%branch(0:0))
      call av(4007, 0, 1, 1, 0, UVUa0, (/0, 1/), (/nGC_915/))

      allocate(vertices(4008)%branch(0:0))
      call av(4008, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(4009)%branch(0:0))
      call av(4009, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4010)%branch(0:0))
      call av(4010, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4011)%branch(0:0))
      call av(4011, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_167/))

      allocate(vertices(4012)%branch(0:0))
      call av(4012, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_787/))

      allocate(vertices(4013)%branch(0:0))
      call av(4013, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(4014)%branch(0:0))
      call av(4014, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_326/))

      allocate(vertices(4015)%branch(0:0))
      call av(4015, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_384, nGC_384/))

      allocate(vertices(4016)%branch(0:0))
      call av(4016, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4017)%branch(0:1))
      call av(4017, 0, 28, 4, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4017, 1, 29, 5, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4018)%branch(0:0))
      call av(4018, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4019)%branch(0:0))
      call av(4019, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_300/))

      allocate(vertices(4020)%branch(0:0))
      call av(4020, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4021)%branch(0:0))
      call av(4021, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4022)%branch(0:0))
      call av(4022, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4023)%branch(0:0))
      call av(4023, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_382, nGC_346/))

      allocate(vertices(4024)%branch(0:0))
      call av(4024, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4025)%branch(0:1))
      call av(4025, 0, 27, 5, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4025, 1, 26, 4, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4026)%branch(0:0))
      call av(4026, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4027)%branch(0:0))
      call av(4027, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4028)%branch(0:0))
      call av(4028, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4029)%branch(0:0))
      call av(4029, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_143/))

      allocate(vertices(4030)%branch(0:0))
      call av(4030, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4031)%branch(0:0))
      call av(4031, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4032)%branch(0:0))
      call av(4032, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(4033)%branch(0:0))
      call av(4033, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4034)%branch(0:0))
      call av(4034, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4035)%branch(0:0))
      call av(4035, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_813/))

      allocate(vertices(4036)%branch(0:0))
      call av(4036, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_85/))

      allocate(vertices(4037)%branch(0:0))
      call av(4037, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4038)%branch(0:0))
      call av(4038, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_377, nGC_819/))

      allocate(vertices(4039)%branch(0:0))
      call av(4039, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4040)%branch(0:0))
      call av(4040, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_227/))

      allocate(vertices(4041)%branch(0:0))
      call av(4041, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4042)%branch(0:0))
      call av(4042, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_847/))

      allocate(vertices(4043)%branch(0:0))
      call av(4043, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_69/))

      allocate(vertices(4044)%branch(0:0))
      call av(4044, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_359, nGC_905/))

      allocate(vertices(4045)%branch(0:0))
      call av(4045, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4046)%branch(0:0))
      call av(4046, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4047)%branch(0:0))
      call av(4047, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4048)%branch(0:0))
      call av(4048, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4049)%branch(0:0))
      call av(4049, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4050)%branch(0:0))
      call av(4050, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4051)%branch(0:0))
      call av(4051, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4052)%branch(0:0))
      call av(4052, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4053)%branch(0:0))
      call av(4053, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_829/))

      allocate(vertices(4054)%branch(0:0))
      call av(4054, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(4055)%branch(0:0))
      call av(4055, 0, 1, 1, 0, VUUa0, (/0, 1/), (/nGC_817/))

      allocate(vertices(4056)%branch(0:0))
      call av(4056, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4057)%branch(0:0))
      call av(4057, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_219/))

      allocate(vertices(4058)%branch(0:0))
      call av(4058, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_167/))

      allocate(vertices(4059)%branch(0:0))
      call av(4059, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4060)%branch(0:0))
      call av(4060, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_232/))

      allocate(vertices(4061)%branch(0:0))
      call av(4061, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_76/))

      allocate(vertices(4062)%branch(0:0))
      call av(4062, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4063)%branch(0:0))
      call av(4063, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_378, nGC_378/))

      allocate(vertices(4064)%branch(0:0))
      call av(4064, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_276/))

      allocate(vertices(4065)%branch(0:0))
      call av(4065, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_238/))

      allocate(vertices(4066)%branch(0:0))
      call av(4066, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4067)%branch(0:0))
      call av(4067, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4068)%branch(0:0))
      call av(4068, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4069)%branch(0:0))
      call av(4069, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4070)%branch(0:0))
      call av(4070, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4071)%branch(0:0))
      call av(4071, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4072)%branch(0:0))
      call av(4072, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4073)%branch(0:0))
      call av(4073, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4074)%branch(0:0))
      call av(4074, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_851/))

      allocate(vertices(4075)%branch(0:0))
      call av(4075, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4076)%branch(0:0))
      call av(4076, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4077)%branch(0:0))
      call av(4077, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4078)%branch(0:0))
      call av(4078, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4079)%branch(0:0))
      call av(4079, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4080)%branch(0:0))
      call av(4080, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4081)%branch(0:0))
      call av(4081, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_362, nGC_865/))

      allocate(vertices(4082)%branch(0:0))
      call av(4082, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4083)%branch(0:0))
      call av(4083, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4084)%branch(0:0))
      call av(4084, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_155/))

      allocate(vertices(4085)%branch(0:0))
      call av(4085, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_218/))

      allocate(vertices(4086)%branch(0:0))
      call av(4086, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4087)%branch(0:0))
      call av(4087, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_210, nGC_207/))

      allocate(vertices(4088)%branch(0:0))
      call av(4088, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_354, nGC_354/))

      allocate(vertices(4089)%branch(0:0))
      call av(4089, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4090)%branch(0:0))
      call av(4090, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_855/))

      allocate(vertices(4091)%branch(0:0))
      call av(4091, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_246/))

      allocate(vertices(4092)%branch(0:0))
      call av(4092, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4093)%branch(0:0))
      call av(4093, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4094)%branch(0:0))
      call av(4094, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_229/))

      allocate(vertices(4095)%branch(0:0))
      call av(4095, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4096)%branch(0:0))
      call av(4096, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(4097)%branch(0:0))
      call av(4097, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_889/))

      allocate(vertices(4098)%branch(0:0))
      call av(4098, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4099)%branch(0:0))
      call av(4099, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4100)%branch(0:0))
      call av(4100, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4101)%branch(0:0))
      call av(4101, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_272/))

      allocate(vertices(4102)%branch(0:0))
      call av(4102, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4103)%branch(0:0))
      call av(4103, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4104)%branch(0:0))
      call av(4104, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4105)%branch(0:0))
      call av(4105, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4106)%branch(0:0))
      call av(4106, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_249/))

      allocate(vertices(4107)%branch(0:0))
      call av(4107, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4108)%branch(0:0))
      call av(4108, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4109)%branch(0:0))
      call av(4109, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(4110)%branch(0:0))
      call av(4110, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(4111)%branch(0:0))
      call av(4111, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4112)%branch(0:0))
      call av(4112, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4113)%branch(0:0))
      call av(4113, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_211, nGC_208/))

      allocate(vertices(4114)%branch(0:0))
      call av(4114, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_117/))

      allocate(vertices(4115)%branch(0:0))
      call av(4115, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4116)%branch(0:0))
      call av(4116, 0, 1, 1, 0, FaSF0, (/0, 1/), (/nGC_354, nGC_354/))

      allocate(vertices(4117)%branch(0:0))
      call av(4117, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4118)%branch(0:0))
      call av(4118, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_197/))

      allocate(vertices(4119)%branch(0:0))
      call av(4119, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(4120)%branch(0:0))
      call av(4120, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4121)%branch(0:0))
      call av(4121, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_325/))

      allocate(vertices(4122)%branch(0:5))
      call av(4122, 0, 91, 2, 0, VUaVU0, (/2, 0/), (/nGC_797/))

      call av(4122, 1, 89, 3, 0, VUaVU0, (/2, 0/), (/nGC_15/))

      call av(4122, 2, 87, 3, 0, VUaVU0, (/2, 0/), (/nGC_15/))

      call av(4122, 3, 88, 3, 0, VUaVU0, (/2, 0/), (/nGC_15/))

      call av(4122, 4, 86, 3, 0, VUaVU0, (/2, 0/), (/nGC_15/))

      call av(4122, 5, 90, 2, 0, VUaVU0, (/2, 0/), (/nGC_797/))

      allocate(vertices(4123)%branch(0:0))
      call av(4123, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(4124)%branch(0:0))
      call av(4124, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_294/))

      allocate(vertices(4125)%branch(0:0))
      call av(4125, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4126)%branch(0:5))
      call av(4126, 0, 54, 2, 0, UUaVV0, (/2, 0/), (/nGC_797/))

      call av(4126, 1, 53, 3, 0, UUaVV0, (/2, 0/), (/nGC_15/))

      call av(4126, 2, 52, 3, 0, UUaVV0, (/2, 0/), (/nGC_15/))

      call av(4126, 3, 51, 3, 0, UUaVV0, (/2, 0/), (/nGC_15/))

      call av(4126, 4, 50, 3, 0, UUaVV0, (/2, 0/), (/nGC_15/))

      call av(4126, 5, 55, 2, 0, UUaVV0, (/2, 0/), (/nGC_797/))

      allocate(vertices(4127)%branch(0:0))
      call av(4127, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_821, nGC_10, nGC_823/))

      allocate(vertices(4128)%branch(0:0))
      call av(4128, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4129)%branch(0:0))
      call av(4129, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4130)%branch(0:0))
      call av(4130, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_79/))

      allocate(vertices(4131)%branch(0:0))
      call av(4131, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(4132)%branch(0:0))
      call av(4132, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4133)%branch(0:0))
      call av(4133, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4134)%branch(0:0))
      call av(4134, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4135)%branch(0:0))
      call av(4135, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_791/))

      allocate(vertices(4136)%branch(0:0))
      call av(4136, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4137)%branch(0:0))
      call av(4137, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(4138)%branch(0:0))
      call av(4138, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_223/))

      allocate(vertices(4139)%branch(0:0))
      call av(4139, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4140)%branch(0:0))
      call av(4140, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4141)%branch(0:0))
      call av(4141, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_202, nGC_205, nGC_204/))

      allocate(vertices(4142)%branch(0:0))
      call av(4142, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4143)%branch(0:0))
      call av(4143, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_226/))

      allocate(vertices(4144)%branch(0:0))
      call av(4144, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(4145)%branch(0:0))
      call av(4145, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_196/))

      allocate(vertices(4146)%branch(0:0))
      call av(4146, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(4147)%branch(0:0))
      call av(4147, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4148)%branch(0:0))
      call av(4148, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(4149)%branch(0:0))
      call av(4149, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4150)%branch(0:0))
      call av(4150, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_224/))

      allocate(vertices(4151)%branch(0:0))
      call av(4151, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_368, nGC_785/))

      allocate(vertices(4152)%branch(0:0))
      call av(4152, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_196/))

      allocate(vertices(4153)%branch(0:0))
      call av(4153, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_229/))

      allocate(vertices(4154)%branch(0:0))
      call av(4154, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_871/))

      allocate(vertices(4155)%branch(0:0))
      call av(4155, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4156)%branch(0:0))
      call av(4156, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_102/))

      allocate(vertices(4157)%branch(0:0))
      call av(4157, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_177/))

      allocate(vertices(4158)%branch(0:0))
      call av(4158, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4159)%branch(0:0))
      call av(4159, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4160)%branch(0:0))
      call av(4160, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4161)%branch(0:0))
      call av(4161, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4162)%branch(0:0))
      call av(4162, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4163)%branch(0:0))
      call av(4163, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_329/))

      allocate(vertices(4164)%branch(0:0))
      call av(4164, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4165)%branch(0:0))
      call av(4165, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_362, nGC_865/))

      allocate(vertices(4166)%branch(0:0))
      call av(4166, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4167)%branch(0:0))
      call av(4167, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4168)%branch(0:0))
      call av(4168, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4169)%branch(0:0))
      call av(4169, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4170)%branch(0:0))
      call av(4170, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_129/))

      allocate(vertices(4171)%branch(0:0))
      call av(4171, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4172)%branch(0:0))
      call av(4172, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4173)%branch(0:0))
      call av(4173, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_811/))

      allocate(vertices(4174)%branch(0:0))
      call av(4174, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4175)%branch(0:1))
      call av(4175, 0, 22, 4, 0, FVFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4175, 1, 23, 5, 0, FVFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4176)%branch(0:0))
      call av(4176, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4177)%branch(0:0))
      call av(4177, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4178)%branch(0:0))
      call av(4178, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_170/))

      allocate(vertices(4179)%branch(0:0))
      call av(4179, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4180)%branch(0:0))
      call av(4180, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_321/))

      allocate(vertices(4181)%branch(0:0))
      call av(4181, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(4182)%branch(0:0))
      call av(4182, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4183)%branch(0:0))
      call av(4183, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4184)%branch(0:0))
      call av(4184, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(4185)%branch(0:0))
      call av(4185, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4186)%branch(0:0))
      call av(4186, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_291/))

      allocate(vertices(4187)%branch(0:0))
      call av(4187, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_182/))

      allocate(vertices(4188)%branch(0:0))
      call av(4188, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_347, nGC_853/))

      allocate(vertices(4189)%branch(0:0))
      call av(4189, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4190)%branch(0:0))
      call av(4190, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4191)%branch(0:0))
      call av(4191, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4192)%branch(0:0))
      call av(4192, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4193)%branch(0:0))
      call av(4193, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_248/))

      allocate(vertices(4194)%branch(0:0))
      call av(4194, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_167/))

      allocate(vertices(4195)%branch(0:0))
      call av(4195, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4196)%branch(0:0))
      call av(4196, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4197)%branch(0:0))
      call av(4197, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_215/))

      allocate(vertices(4198)%branch(0:0))
      call av(4198, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_76/))

      allocate(vertices(4199)%branch(0:0))
      call av(4199, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4200)%branch(0:0))
      call av(4200, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_341, nGC_895/))

      allocate(vertices(4201)%branch(0:0))
      call av(4201, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4202)%branch(0:0))
      call av(4202, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(4203)%branch(0:0))
      call av(4203, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4204)%branch(0:0))
      call av(4204, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4205)%branch(0:0))
      call av(4205, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4206)%branch(0:0))
      call av(4206, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4207)%branch(0:0))
      call av(4207, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(4208)%branch(0:0))
      call av(4208, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4209)%branch(0:0))
      call av(4209, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4210)%branch(0:0))
      call av(4210, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4211)%branch(0:0))
      call av(4211, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4212)%branch(0:0))
      call av(4212, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4213)%branch(0:0))
      call av(4213, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4214)%branch(0:0))
      call av(4214, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4215)%branch(0:0))
      call av(4215, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_889/))

      allocate(vertices(4216)%branch(0:0))
      call av(4216, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4217)%branch(0:0))
      call av(4217, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_80/))

      allocate(vertices(4218)%branch(0:0))
      call av(4218, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4219)%branch(0:0))
      call av(4219, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4220)%branch(0:0))
      call av(4220, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4221)%branch(0:0))
      call av(4221, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_328/))

      allocate(vertices(4222)%branch(0:0))
      call av(4222, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4223)%branch(0:0))
      call av(4223, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(4224)%branch(0:0))
      call av(4224, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_125/))

      allocate(vertices(4225)%branch(0:0))
      call av(4225, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_103/))

      allocate(vertices(4226)%branch(0:0))
      call av(4226, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_219/))

      allocate(vertices(4227)%branch(0:0))
      call av(4227, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_232/))

      allocate(vertices(4228)%branch(0:0))
      call av(4228, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(4229)%branch(0:0))
      call av(4229, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4230)%branch(0:0))
      call av(4230, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4231)%branch(0:0))
      call av(4231, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_364, nGC_334/))

      allocate(vertices(4232)%branch(0:0))
      call av(4232, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4233)%branch(0:0))
      call av(4233, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_334, nGC_364/))

      allocate(vertices(4234)%branch(0:0))
      call av(4234, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_223/))

      allocate(vertices(4235)%branch(0:0))
      call av(4235, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4236)%branch(0:0))
      call av(4236, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4237)%branch(0:0))
      call av(4237, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4238)%branch(0:0))
      call av(4238, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_887/))

      allocate(vertices(4239)%branch(0:0))
      call av(4239, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4240)%branch(0:0))
      call av(4240, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4241)%branch(0:0))
      call av(4241, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_329/))

      allocate(vertices(4242)%branch(0:0))
      call av(4242, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4243)%branch(0:0))
      call av(4243, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4244)%branch(0:0))
      call av(4244, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4245)%branch(0:0))
      call av(4245, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4246)%branch(0:0))
      call av(4246, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4247)%branch(0:0))
      call av(4247, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_266/))

      allocate(vertices(4248)%branch(0:0))
      call av(4248, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4249)%branch(0:0))
      call av(4249, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4250)%branch(0:0))
      call av(4250, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_333, nGC_333/))

      allocate(vertices(4251)%branch(0:0))
      call av(4251, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_105/))

      allocate(vertices(4252)%branch(0:0))
      call av(4252, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_237/))

      allocate(vertices(4253)%branch(0:0))
      call av(4253, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_142/))

      allocate(vertices(4254)%branch(0:0))
      call av(4254, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_333, nGC_333/))

      allocate(vertices(4255)%branch(0:0))
      call av(4255, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4256)%branch(0:0))
      call av(4256, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(4257)%branch(0:1))
      call av(4257, 0, 11, 4, 0, FFaV0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4257, 1, 12, 5, 0, FFaV0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4258)%branch(0:0))
      call av(4258, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4259)%branch(0:0))
      call av(4259, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4260)%branch(0:0))
      call av(4260, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_224/))

      allocate(vertices(4261)%branch(0:0))
      call av(4261, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4262)%branch(0:0))
      call av(4262, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4263)%branch(0:0))
      call av(4263, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4264)%branch(0:0))
      call av(4264, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4265)%branch(0:0))
      call av(4265, 0, 1, 1, 0, FVFa0, (/0, 1/), (/nGC_211, nGC_208/))

      allocate(vertices(4266)%branch(0:0))
      call av(4266, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_159/))

      allocate(vertices(4267)%branch(0:0))
      call av(4267, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4268)%branch(0:0))
      call av(4268, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(4269)%branch(0:0))
      call av(4269, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4270)%branch(0:0))
      call av(4270, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4271)%branch(0:0))
      call av(4271, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4272)%branch(0:0))
      call av(4272, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_222/))

      allocate(vertices(4273)%branch(0:0))
      call av(4273, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_336, nGC_336/))

      allocate(vertices(4274)%branch(0:0))
      call av(4274, 0, 1, 1, 0, FaSF2, (/0, 1/), (/nGC_361/))

      allocate(vertices(4275)%branch(0:0))
      call av(4275, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_68/))

      allocate(vertices(4276)%branch(0:0))
      call av(4276, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4277)%branch(0:0))
      call av(4277, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4278)%branch(0:0))
      call av(4278, 0, 1, 1, 0, SFFa2, (/0, 1/), (/nGC_376/))

      allocate(vertices(4279)%branch(0:0))
      call av(4279, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4280)%branch(0:0))
      call av(4280, 0, 1, 1, 0, SFFa1, (/0, 1/), (/nGC_353, nGC_801/))

      allocate(vertices(4281)%branch(0:0))
      call av(4281, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4282)%branch(0:0))
      call av(4282, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4283)%branch(0:0))
      call av(4283, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_345, nGC_345/))

      allocate(vertices(4284)%branch(0:0))
      call av(4284, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(4285)%branch(0:0))
      call av(4285, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_159/))

      allocate(vertices(4286)%branch(0:0))
      call av(4286, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4287)%branch(0:0))
      call av(4287, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4288)%branch(0:0))
      call av(4288, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4289)%branch(0:0))
      call av(4289, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4290)%branch(0:0))
      call av(4290, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4291)%branch(0:0))
      call av(4291, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4292)%branch(0:0))
      call av(4292, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4293)%branch(0:0))
      call av(4293, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_260/))

      allocate(vertices(4294)%branch(0:0))
      call av(4294, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_325/))

      allocate(vertices(4295)%branch(0:0))
      call av(4295, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4296)%branch(0:0))
      call av(4296, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4297)%branch(0:0))
      call av(4297, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_116/))

      allocate(vertices(4298)%branch(0:0))
      call av(4298, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_205/))

      allocate(vertices(4299)%branch(0:0))
      call av(4299, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4300)%branch(0:0))
      call av(4300, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4301)%branch(0:0))
      call av(4301, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4302)%branch(0:0))
      call av(4302, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(4303)%branch(0:0))
      call av(4303, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4304)%branch(0:0))
      call av(4304, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4305)%branch(0:0))
      call av(4305, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_222/))

      allocate(vertices(4306)%branch(0:0))
      call av(4306, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_8, nGC_8, nGC_807/))

      allocate(vertices(4307)%branch(0:0))
      call av(4307, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_915/))

      allocate(vertices(4308)%branch(0:0))
      call av(4308, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4309)%branch(0:0))
      call av(4309, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_260/))

      allocate(vertices(4310)%branch(0:0))
      call av(4310, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4311)%branch(0:0))
      call av(4311, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4312)%branch(0:0))
      call av(4312, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4313)%branch(0:0))
      call av(4313, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_344, nGC_863/))

      allocate(vertices(4314)%branch(0:0))
      call av(4314, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4315)%branch(0:0))
      call av(4315, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4316)%branch(0:0))
      call av(4316, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_85/))

      allocate(vertices(4317)%branch(0:0))
      call av(4317, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4318)%branch(0:0))
      call av(4318, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4319)%branch(0:0))
      call av(4319, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_219/))

      allocate(vertices(4320)%branch(0:0))
      call av(4320, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_215/))

      allocate(vertices(4321)%branch(0:0))
      call av(4321, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4322)%branch(0:0))
      call av(4322, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_325/))

      allocate(vertices(4323)%branch(0:0))
      call av(4323, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4324)%branch(0:3))
      call av(4324, 0, 64, 3, 0, UaVUV0, (/2, 0/), (/nGC_15/))

      call av(4324, 1, 67, 2, 0, UaVUV0, (/2, 0/), (/nGC_15/))

      call av(4324, 2, 65, 3, 0, UaVUV0, (/2, 0/), (/nGC_15/))

      call av(4324, 3, 66, 2, 0, UaVUV0, (/2, 0/), (/nGC_15/))

      allocate(vertices(4325)%branch(0:0))
      call av(4325, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_163/))

      allocate(vertices(4326)%branch(0:0))
      call av(4326, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4327)%branch(0:0))
      call av(4327, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4328)%branch(0:0))
      call av(4328, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4329)%branch(0:0))
      call av(4329, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4330)%branch(0:0))
      call av(4330, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_212/))

      allocate(vertices(4331)%branch(0:0))
      call av(4331, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4332)%branch(0:0))
      call av(4332, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4333)%branch(0:0))
      call av(4333, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_252/))

      allocate(vertices(4334)%branch(0:0))
      call av(4334, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_85/))

      allocate(vertices(4335)%branch(0:0))
      call av(4335, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4336)%branch(0:0))
      call av(4336, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4337)%branch(0:0))
      call av(4337, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4338)%branch(0:0))
      call av(4338, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4339)%branch(0:0))
      call av(4339, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4340)%branch(0:0))
      call av(4340, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_142/))

      allocate(vertices(4341)%branch(0:0))
      call av(4341, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4342)%branch(0:0))
      call av(4342, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4343)%branch(0:0))
      call av(4343, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4344)%branch(0:0))
      call av(4344, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4345)%branch(0:0))
      call av(4345, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_322/))

      allocate(vertices(4346)%branch(0:0))
      call av(4346, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4347)%branch(0:0))
      call av(4347, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(4348)%branch(0:0))
      call av(4348, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4349)%branch(0:0))
      call av(4349, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4350)%branch(0:0))
      call av(4350, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_899/))

      allocate(vertices(4351)%branch(0:0))
      call av(4351, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4352)%branch(0:0))
      call av(4352, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4353)%branch(0:0))
      call av(4353, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(4354)%branch(0:0))
      call av(4354, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_284/))

      allocate(vertices(4355)%branch(0:0))
      call av(4355, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_194, nGC_789, nGC_194/))

      allocate(vertices(4356)%branch(0:0))
      call av(4356, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_152/))

      allocate(vertices(4357)%branch(0:0))
      call av(4357, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_383, nGC_841/))

      allocate(vertices(4358)%branch(0:0))
      call av(4358, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4359)%branch(0:0))
      call av(4359, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(4360)%branch(0:0))
      call av(4360, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_380, nGC_793/))

      allocate(vertices(4361)%branch(0:0))
      call av(4361, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4362)%branch(0:0))
      call av(4362, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_91/))

      allocate(vertices(4363)%branch(0:0))
      call av(4363, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_321/))

      allocate(vertices(4364)%branch(0:0))
      call av(4364, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4365)%branch(0:0))
      call av(4365, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_245/))

      allocate(vertices(4366)%branch(0:0))
      call av(4366, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_64/))

      allocate(vertices(4367)%branch(0:0))
      call av(4367, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4368)%branch(0:0))
      call av(4368, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4369)%branch(0:0))
      call av(4369, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4370)%branch(0:0))
      call av(4370, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4371)%branch(0:0))
      call av(4371, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4372)%branch(0:0))
      call av(4372, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4373)%branch(0:0))
      call av(4373, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_907/))

      allocate(vertices(4374)%branch(0:0))
      call av(4374, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4375)%branch(0:0))
      call av(4375, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4376)%branch(0:0))
      call av(4376, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_194, nGC_195, nGC_196/))

      allocate(vertices(4377)%branch(0:0))
      call av(4377, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4378)%branch(0:0))
      call av(4378, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4379)%branch(0:0))
      call av(4379, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4380)%branch(0:0))
      call av(4380, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4381)%branch(0:0))
      call av(4381, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4382)%branch(0:0))
      call av(4382, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_158/))

      allocate(vertices(4383)%branch(0:0))
      call av(4383, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4384)%branch(0:0))
      call av(4384, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(4385)%branch(0:0))
      call av(4385, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_359, nGC_905/))

      allocate(vertices(4386)%branch(0:0))
      call av(4386, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4387)%branch(0:0))
      call av(4387, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4388)%branch(0:0))
      call av(4388, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_210, nGC_207/))

      allocate(vertices(4389)%branch(0:0))
      call av(4389, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4390)%branch(0:0))
      call av(4390, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4391)%branch(0:0))
      call av(4391, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_75/))

      allocate(vertices(4392)%branch(0:0))
      call av(4392, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4393)%branch(0:0))
      call av(4393, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_118/))

      allocate(vertices(4394)%branch(0:0))
      call av(4394, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_117/))

      allocate(vertices(4395)%branch(0:0))
      call av(4395, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_188/))

      allocate(vertices(4396)%branch(0:1))
      call av(4396, 0, 30, 4, 0, VFaF0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4396, 1, 31, 5, 0, VFaF0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4397)%branch(0:0))
      call av(4397, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4398)%branch(0:0))
      call av(4398, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(4399)%branch(0:0))
      call av(4399, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4400)%branch(0:0))
      call av(4400, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(4401)%branch(0:0))
      call av(4401, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4402)%branch(0:0))
      call av(4402, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_308/))

      allocate(vertices(4403)%branch(0:0))
      call av(4403, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(4404)%branch(0:0))
      call av(4404, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_85/))

      allocate(vertices(4405)%branch(0:0))
      call av(4405, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4406)%branch(0:0))
      call av(4406, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4407)%branch(0:0))
      call av(4407, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4408)%branch(0:0))
      call av(4408, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4409)%branch(0:0))
      call av(4409, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(4410)%branch(0:0))
      call av(4410, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4411)%branch(0:0))
      call av(4411, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_242/))

      allocate(vertices(4412)%branch(0:0))
      call av(4412, 0, 1, 1, 0, VVV0, (/0, 1/), (/nGC_199/))

      allocate(vertices(4413)%branch(0:0))
      call av(4413, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(4414)%branch(0:0))
      call av(4414, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(4415)%branch(0:0))
      call av(4415, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4416)%branch(0:0))
      call av(4416, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_372, nGC_372/))

      allocate(vertices(4417)%branch(0:0))
      call av(4417, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4418)%branch(0:0))
      call av(4418, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4419)%branch(0:0))
      call av(4419, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4420)%branch(0:0))
      call av(4420, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4421)%branch(0:0))
      call av(4421, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4422)%branch(0:0))
      call av(4422, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4423)%branch(0:0))
      call av(4423, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4424)%branch(0:0))
      call av(4424, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4425)%branch(0:0))
      call av(4425, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_202/))

      allocate(vertices(4426)%branch(0:0))
      call av(4426, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_224/))

      allocate(vertices(4427)%branch(0:0))
      call av(4427, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4428)%branch(0:0))
      call av(4428, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_383, nGC_841/))

      allocate(vertices(4429)%branch(0:0))
      call av(4429, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4430)%branch(0:0))
      call av(4430, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4431)%branch(0:0))
      call av(4431, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_129/))

      allocate(vertices(4432)%branch(0:0))
      call av(4432, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_128/))

      allocate(vertices(4433)%branch(0:0))
      call av(4433, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4434)%branch(0:0))
      call av(4434, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_232/))

      allocate(vertices(4435)%branch(0:0))
      call av(4435, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4436)%branch(0:0))
      call av(4436, 0, 1, 1, 0, VUaU0, (/0, 1/), (/nGC_877/))

      allocate(vertices(4437)%branch(0:0))
      call av(4437, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4438)%branch(0:0))
      call av(4438, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4439)%branch(0:0))
      call av(4439, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4440)%branch(0:0))
      call av(4440, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_98/))

      allocate(vertices(4441)%branch(0:0))
      call av(4441, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4442)%branch(0:0))
      call av(4442, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_87/))

      allocate(vertices(4443)%branch(0:0))
      call av(4443, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4444)%branch(0:0))
      call av(4444, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_179/))

      allocate(vertices(4445)%branch(0:0))
      call av(4445, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_188/))

      allocate(vertices(4446)%branch(0:0))
      call av(4446, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4447)%branch(0:0))
      call av(4447, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4448)%branch(0:0))
      call av(4448, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4449)%branch(0:0))
      call av(4449, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4450)%branch(0:0))
      call av(4450, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(4451)%branch(0:0))
      call av(4451, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4452)%branch(0:0))
      call av(4452, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_236/))

      allocate(vertices(4453)%branch(0:0))
      call av(4453, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_155/))

      allocate(vertices(4454)%branch(0:0))
      call av(4454, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_81/))

      allocate(vertices(4455)%branch(0:0))
      call av(4455, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4456)%branch(0:0))
      call av(4456, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_322/))

      allocate(vertices(4457)%branch(0:0))
      call av(4457, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4458)%branch(0:0))
      call av(4458, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4459)%branch(0:0))
      call av(4459, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4460)%branch(0:0))
      call av(4460, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_803/))

      allocate(vertices(4461)%branch(0:0))
      call av(4461, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(4462)%branch(0:0))
      call av(4462, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4463)%branch(0:0))
      call av(4463, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4464)%branch(0:0))
      call av(4464, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_85/))

      allocate(vertices(4465)%branch(0:0))
      call av(4465, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4466)%branch(0:0))
      call av(4466, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_385, nGC_349/))

      allocate(vertices(4467)%branch(0:0))
      call av(4467, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4468)%branch(0:0))
      call av(4468, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_344, nGC_863/))

      allocate(vertices(4469)%branch(0:0))
      call av(4469, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4470)%branch(0:0))
      call av(4470, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_342, nGC_342/))

      allocate(vertices(4471)%branch(0:0))
      call av(4471, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_223/))

      allocate(vertices(4472)%branch(0:0))
      call av(4472, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_847/))

      allocate(vertices(4473)%branch(0:0))
      call av(4473, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4474)%branch(0:0))
      call av(4474, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4475)%branch(0:0))
      call av(4475, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4476)%branch(0:0))
      call av(4476, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_202/))

      allocate(vertices(4477)%branch(0:0))
      call av(4477, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4478)%branch(0:0))
      call av(4478, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4479)%branch(0:0))
      call av(4479, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_248/))

      allocate(vertices(4480)%branch(0:0))
      call av(4480, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_137/))

      allocate(vertices(4481)%branch(0:0))
      call av(4481, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_243/))

      allocate(vertices(4482)%branch(0:0))
      call av(4482, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4483)%branch(0:0))
      call av(4483, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4484)%branch(0:0))
      call av(4484, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_176/))

      allocate(vertices(4485)%branch(0:0))
      call av(4485, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_159/))

      allocate(vertices(4486)%branch(0:0))
      call av(4486, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_915/))

      allocate(vertices(4487)%branch(0:0))
      call av(4487, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_77/))

      allocate(vertices(4488)%branch(0:0))
      call av(4488, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_371, nGC_795/))

      allocate(vertices(4489)%branch(0:0))
      call av(4489, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_151/))

      allocate(vertices(4490)%branch(0:0))
      call av(4490, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_77/))

      allocate(vertices(4491)%branch(0:0))
      call av(4491, 0, 1, 1, 0, FFaS2, (/0, 1/), (/nGC_358/))

      allocate(vertices(4492)%branch(0:0))
      call av(4492, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4493)%branch(0:0))
      call av(4493, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4494)%branch(0:0))
      call av(4494, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_163/))

      allocate(vertices(4495)%branch(0:0))
      call av(4495, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4496)%branch(0:0))
      call av(4496, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4497)%branch(0:0))
      call av(4497, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4498)%branch(0:0))
      call av(4498, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_245/))

      allocate(vertices(4499)%branch(0:0))
      call av(4499, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4500)%branch(0:0))
      call av(4500, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4501)%branch(0:0))
      call av(4501, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_339, nGC_339/))

      allocate(vertices(4502)%branch(0:0))
      call av(4502, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_79/))

      allocate(vertices(4503)%branch(0:0))
      call av(4503, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4504)%branch(0:0))
      call av(4504, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_230/))

      allocate(vertices(4505)%branch(0:0))
      call av(4505, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(4506)%branch(0:0))
      call av(4506, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_229/))

      allocate(vertices(4507)%branch(0:0))
      call av(4507, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_283/))

      allocate(vertices(4508)%branch(0:0))
      call av(4508, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4509)%branch(0:0))
      call av(4509, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_325/))

      allocate(vertices(4510)%branch(0:0))
      call av(4510, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4511)%branch(0:0))
      call av(4511, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_159/))

      allocate(vertices(4512)%branch(0:0))
      call av(4512, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4513)%branch(0:0))
      call av(4513, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_223/))

      allocate(vertices(4514)%branch(0:0))
      call av(4514, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_283/))

      allocate(vertices(4515)%branch(0:0))
      call av(4515, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4516)%branch(0:0))
      call av(4516, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_128/))

      allocate(vertices(4517)%branch(0:0))
      call av(4517, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4518)%branch(0:0))
      call av(4518, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4519)%branch(0:0))
      call av(4519, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4520)%branch(0:0))
      call av(4520, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4521)%branch(0:0))
      call av(4521, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_84/))

      allocate(vertices(4522)%branch(0:0))
      call av(4522, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_75/))

      allocate(vertices(4523)%branch(0:0))
      call av(4523, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_350, nGC_843/))

      allocate(vertices(4524)%branch(0:0))
      call av(4524, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4525)%branch(0:0))
      call av(4525, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4526)%branch(0:0))
      call av(4526, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4527)%branch(0:0))
      call av(4527, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_124/))

      allocate(vertices(4528)%branch(0:0))
      call av(4528, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4529)%branch(0:0))
      call av(4529, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4530)%branch(0:0))
      call av(4530, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_799/))

      allocate(vertices(4531)%branch(0:0))
      call av(4531, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4532)%branch(0:0))
      call av(4532, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_296/))

      allocate(vertices(4533)%branch(0:0))
      call av(4533, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4534)%branch(0:0))
      call av(4534, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_155/))

      allocate(vertices(4535)%branch(0:0))
      call av(4535, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_202/))

      allocate(vertices(4536)%branch(0:0))
      call av(4536, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_322/))

      allocate(vertices(4537)%branch(0:0))
      call av(4537, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_164/))

      allocate(vertices(4538)%branch(0:0))
      call av(4538, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_367, nGC_337/))

      allocate(vertices(4539)%branch(0:0))
      call av(4539, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4540)%branch(0:0))
      call av(4540, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_237/))

      allocate(vertices(4541)%branch(0:0))
      call av(4541, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4542)%branch(0:0))
      call av(4542, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(4543)%branch(0:0))
      call av(4543, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_172/))

      allocate(vertices(4544)%branch(0:0))
      call av(4544, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4545)%branch(0:0))
      call av(4545, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_811/))

      allocate(vertices(4546)%branch(0:0))
      call av(4546, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4547)%branch(0:0))
      call av(4547, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4548)%branch(0:0))
      call av(4548, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4549)%branch(0:0))
      call av(4549, 0, 1, 1, 0, VUUa1, (/0, 1/), (/nGC_857/))

      allocate(vertices(4550)%branch(0:0))
      call av(4550, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4551)%branch(0:0))
      call av(4551, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_253/))

      allocate(vertices(4552)%branch(0:0))
      call av(4552, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_230/))

      allocate(vertices(4553)%branch(0:0))
      call av(4553, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_302/))

      allocate(vertices(4554)%branch(0:0))
      call av(4554, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4555)%branch(0:0))
      call av(4555, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(4556)%branch(0:0))
      call av(4556, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_366, nGC_366/))

      allocate(vertices(4557)%branch(0:0))
      call av(4557, 0, 1, 1, 0, FaSF1, (/0, 1/), (/nGC_361/))

      allocate(vertices(4558)%branch(0:0))
      call av(4558, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_79/))

      allocate(vertices(4559)%branch(0:0))
      call av(4559, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_382, nGC_346/))

      allocate(vertices(4560)%branch(0:0))
      call av(4560, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4561)%branch(0:0))
      call av(4561, 0, 1, 1, 0, FaFS0, (/0, 1/), (/nGC_358/))

      allocate(vertices(4562)%branch(0:0))
      call av(4562, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_787/))

      allocate(vertices(4563)%branch(0:0))
      call av(4563, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4564)%branch(0:0))
      call av(4564, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_212/))

      allocate(vertices(4565)%branch(0:0))
      call av(4565, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_154/))

      allocate(vertices(4566)%branch(0:0))
      call av(4566, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4567)%branch(0:0))
      call av(4567, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_375, nGC_375/))

      allocate(vertices(4568)%branch(0:0))
      call av(4568, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_324/))

      allocate(vertices(4569)%branch(0:0))
      call av(4569, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4570)%branch(0:0))
      call av(4570, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4571)%branch(0:0))
      call av(4571, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4572)%branch(0:0))
      call av(4572, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4573)%branch(0:0))
      call av(4573, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_233/))

      allocate(vertices(4574)%branch(0:0))
      call av(4574, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4575)%branch(0:0))
      call av(4575, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_227/))

      allocate(vertices(4576)%branch(0:0))
      call av(4576, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4577)%branch(0:0))
      call av(4577, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_851/))

      allocate(vertices(4578)%branch(0:0))
      call av(4578, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4579)%branch(0:0))
      call av(4579, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(4580)%branch(0:0))
      call av(4580, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_230/))

      allocate(vertices(4581)%branch(0:0))
      call av(4581, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4582)%branch(0:0))
      call av(4582, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_367, nGC_337/))

      allocate(vertices(4583)%branch(0:0))
      call av(4583, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4584)%branch(0:0))
      call av(4584, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4585)%branch(0:0))
      call av(4585, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4586)%branch(0:0))
      call av(4586, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(4587)%branch(0:0))
      call av(4587, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(4588)%branch(0:0))
      call av(4588, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_364, nGC_334/))

      allocate(vertices(4589)%branch(0:0))
      call av(4589, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4590)%branch(0:0))
      call av(4590, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4591)%branch(0:0))
      call av(4591, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_219/))

      allocate(vertices(4592)%branch(0:0))
      call av(4592, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_833, nGC_837, nGC_205/))

      allocate(vertices(4593)%branch(0:0))
      call av(4593, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4594)%branch(0:0))
      call av(4594, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_283/))

      allocate(vertices(4595)%branch(0:0))
      call av(4595, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4596)%branch(0:0))
      call av(4596, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_226/))

      allocate(vertices(4597)%branch(0:0))
      call av(4597, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4598)%branch(0:0))
      call av(4598, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_87/))

      allocate(vertices(4599)%branch(0:0))
      call av(4599, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4600)%branch(0:0))
      call av(4600, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4601)%branch(0:0))
      call av(4601, 0, 1, 1, 0, FaSF0, (/0, 1/), (/nGC_380, nGC_793/))

      allocate(vertices(4602)%branch(0:0))
      call av(4602, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_247/))

      allocate(vertices(4603)%branch(0:0))
      call av(4603, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_117/))

      allocate(vertices(4604)%branch(0:0))
      call av(4604, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4605)%branch(0:0))
      call av(4605, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4606)%branch(0:0))
      call av(4606, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_232/))

      allocate(vertices(4607)%branch(0:0))
      call av(4607, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4608)%branch(0:0))
      call av(4608, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4609)%branch(0:0))
      call av(4609, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(4610)%branch(0:0))
      call av(4610, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_302/))

      allocate(vertices(4611)%branch(0:0))
      call av(4611, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_251/))

      allocate(vertices(4612)%branch(0:0))
      call av(4612, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_346, nGC_382/))

      allocate(vertices(4613)%branch(0:0))
      call av(4613, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_386, nGC_805/))

      allocate(vertices(4614)%branch(0:0))
      call av(4614, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4615)%branch(0:0))
      call av(4615, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_210, nGC_207/))

      allocate(vertices(4616)%branch(0:0))
      call av(4616, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4617)%branch(0:0))
      call av(4617, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4618)%branch(0:0))
      call av(4618, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4619)%branch(0:0))
      call av(4619, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4620)%branch(0:0))
      call av(4620, 0, 1, 1, 0, FVFa1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4621)%branch(0:0))
      call av(4621, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_353, nGC_801/))

      allocate(vertices(4622)%branch(0:0))
      call av(4622, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4623)%branch(0:0))
      call av(4623, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4624)%branch(0:0))
      call av(4624, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4625)%branch(0:0))
      call av(4625, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_260/))

      allocate(vertices(4626)%branch(0:0))
      call av(4626, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_196/))

      allocate(vertices(4627)%branch(0:0))
      call av(4627, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_366, nGC_366/))

      allocate(vertices(4628)%branch(0:0))
      call av(4628, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4629)%branch(0:0))
      call av(4629, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(4630)%branch(0:0))
      call av(4630, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4631)%branch(0:0))
      call av(4631, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4632)%branch(0:0))
      call av(4632, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4633)%branch(0:0))
      call av(4633, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_244/))

      allocate(vertices(4634)%branch(0:0))
      call av(4634, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4635)%branch(0:0))
      call av(4635, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_322/))

      allocate(vertices(4636)%branch(0:0))
      call av(4636, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4637)%branch(0:0))
      call av(4637, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4638)%branch(0:0))
      call av(4638, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4639)%branch(0:0))
      call av(4639, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(4640)%branch(0:0))
      call av(4640, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4641)%branch(0:0))
      call av(4641, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4642)%branch(0:0))
      call av(4642, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_166/))

      allocate(vertices(4643)%branch(0:0))
      call av(4643, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4644)%branch(0:0))
      call av(4644, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4645)%branch(0:0))
      call av(4645, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_85/))

      allocate(vertices(4646)%branch(0:0))
      call av(4646, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4647)%branch(0:0))
      call av(4647, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(4648)%branch(0:0))
      call av(4648, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4649)%branch(0:0))
      call av(4649, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4650)%branch(0:0))
      call av(4650, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4651)%branch(0:0))
      call av(4651, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4652)%branch(0:0))
      call av(4652, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4653)%branch(0:0))
      call av(4653, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_219/))

      allocate(vertices(4654)%branch(0:0))
      call av(4654, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4655)%branch(0:0))
      call av(4655, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4656)%branch(0:0))
      call av(4656, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4657)%branch(0:0))
      call av(4657, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(4658)%branch(0:0))
      call av(4658, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_322/))

      allocate(vertices(4659)%branch(0:0))
      call av(4659, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4660)%branch(0:0))
      call av(4660, 0, 1, 1, 0, FaFS2, (/0, 1/), (/nGC_358/))

      allocate(vertices(4661)%branch(0:0))
      call av(4661, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4662)%branch(0:0))
      call av(4662, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4663)%branch(0:0))
      call av(4663, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_907/))

      allocate(vertices(4664)%branch(0:0))
      call av(4664, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_156/))

      allocate(vertices(4665)%branch(0:0))
      call av(4665, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_238/))

      allocate(vertices(4666)%branch(0:0))
      call av(4666, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_194/))

      allocate(vertices(4667)%branch(0:0))
      call av(4667, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4668)%branch(0:0))
      call av(4668, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4669)%branch(0:0))
      call av(4669, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_98/))

      allocate(vertices(4670)%branch(0:0))
      call av(4670, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_813/))

      allocate(vertices(4671)%branch(0:0))
      call av(4671, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4672)%branch(0:0))
      call av(4672, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(4673)%branch(0:0))
      call av(4673, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4674)%branch(0:0))
      call av(4674, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_224/))

      allocate(vertices(4675)%branch(0:0))
      call av(4675, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4676)%branch(0:0))
      call av(4676, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_857/))

      allocate(vertices(4677)%branch(0:0))
      call av(4677, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4678)%branch(0:0))
      call av(4678, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(4679)%branch(0:0))
      call av(4679, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_109/))

      allocate(vertices(4680)%branch(0:0))
      call av(4680, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4681)%branch(0:0))
      call av(4681, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_815/))

      allocate(vertices(4682)%branch(0:0))
      call av(4682, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(4683)%branch(0:0))
      call av(4683, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_325/))

      allocate(vertices(4684)%branch(0:0))
      call av(4684, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4685)%branch(0:0))
      call av(4685, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_197/))

      allocate(vertices(4686)%branch(0:0))
      call av(4686, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4687)%branch(0:0))
      call av(4687, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4688)%branch(0:0))
      call av(4688, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_367, nGC_337/))

      allocate(vertices(4689)%branch(0:0))
      call av(4689, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4690)%branch(0:0))
      call av(4690, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(4691)%branch(0:0))
      call av(4691, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_244/))

      allocate(vertices(4692)%branch(0:0))
      call av(4692, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(4693)%branch(0:0))
      call av(4693, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4694)%branch(0:0))
      call av(4694, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4695)%branch(0:0))
      call av(4695, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(4696)%branch(0:0))
      call av(4696, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(4697)%branch(0:0))
      call av(4697, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_363, nGC_363/))

      allocate(vertices(4698)%branch(0:0))
      call av(4698, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_169/))

      allocate(vertices(4699)%branch(0:0))
      call av(4699, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_328/))

      allocate(vertices(4700)%branch(0:0))
      call av(4700, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_101/))

      allocate(vertices(4701)%branch(0:0))
      call av(4701, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(4702)%branch(0:0))
      call av(4702, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4703)%branch(0:0))
      call av(4703, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4704)%branch(0:0))
      call av(4704, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4705)%branch(0:0))
      call av(4705, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4706)%branch(0:0))
      call av(4706, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4707)%branch(0:0))
      call av(4707, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_80/))

      allocate(vertices(4708)%branch(0:0))
      call av(4708, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(4709)%branch(0:0))
      call av(4709, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4710)%branch(0:0))
      call av(4710, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4711)%branch(0:0))
      call av(4711, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_213/))

      allocate(vertices(4712)%branch(0:0))
      call av(4712, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4713)%branch(0:0))
      call av(4713, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4714)%branch(0:0))
      call av(4714, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4715)%branch(0:0))
      call av(4715, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_143/))

      allocate(vertices(4716)%branch(0:0))
      call av(4716, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_276/))

      allocate(vertices(4717)%branch(0:0))
      call av(4717, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4718)%branch(0:0))
      call av(4718, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(4719)%branch(0:0))
      call av(4719, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_93/))

      allocate(vertices(4720)%branch(0:0))
      call av(4720, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_116/))

      allocate(vertices(4721)%branch(0:0))
      call av(4721, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_299/))

      allocate(vertices(4722)%branch(0:0))
      call av(4722, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(4723)%branch(0:3))
      call av(4723, 0, 104, 3, 0, VVUUa0, (/2, 0/), (/nGC_15/))

      call av(4723, 1, 107, 2, 0, VVUUa0, (/2, 0/), (/nGC_15/))

      call av(4723, 2, 105, 2, 0, VVUUa0, (/2, 0/), (/nGC_15/))

      call av(4723, 3, 106, 3, 0, VVUUa0, (/2, 0/), (/nGC_15/))

      allocate(vertices(4724)%branch(0:0))
      call av(4724, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4725)%branch(0:0))
      call av(4725, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4726)%branch(0:0))
      call av(4726, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4727)%branch(0:0))
      call av(4727, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4728)%branch(0:0))
      call av(4728, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4729)%branch(0:0))
      call av(4729, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(4730)%branch(0:0))
      call av(4730, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(4731)%branch(0:0))
      call av(4731, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4732)%branch(0:0))
      call av(4732, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_226/))

      allocate(vertices(4733)%branch(0:0))
      call av(4733, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4734)%branch(0:0))
      call av(4734, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(4735)%branch(0:0))
      call av(4735, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_149/))

      allocate(vertices(4736)%branch(0:0))
      call av(4736, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4737)%branch(0:0))
      call av(4737, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_102/))

      allocate(vertices(4738)%branch(0:0))
      call av(4738, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(4739)%branch(0:0))
      call av(4739, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_833, nGC_833, nGC_205/))

      allocate(vertices(4740)%branch(0:0))
      call av(4740, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(4741)%branch(0:0))
      call av(4741, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_228/))

      allocate(vertices(4742)%branch(0:0))
      call av(4742, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4743)%branch(0:0))
      call av(4743, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4744)%branch(0:0))
      call av(4744, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4745)%branch(0:0))
      call av(4745, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4746)%branch(0:0))
      call av(4746, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_202/))

      allocate(vertices(4747)%branch(0:0))
      call av(4747, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4748)%branch(0:0))
      call av(4748, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4749)%branch(0:0))
      call av(4749, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_220/))

      allocate(vertices(4750)%branch(0:0))
      call av(4750, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(4751)%branch(0:5))
      call av(4751, 0, 99, 3, 0, VUUaV0, (/2, 0/), (/nGC_15/))

      call av(4751, 1, 98, 3, 0, VUUaV0, (/2, 0/), (/nGC_15/))

      call av(4751, 2, 103, 2, 0, VUUaV0, (/2, 0/), (/nGC_797/))

      call av(4751, 3, 102, 2, 0, VUUaV0, (/2, 0/), (/nGC_797/))

      call av(4751, 4, 101, 3, 0, VUUaV0, (/2, 0/), (/nGC_15/))

      call av(4751, 5, 100, 3, 0, VUUaV0, (/2, 0/), (/nGC_15/))

      allocate(vertices(4752)%branch(0:0))
      call av(4752, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_261/))

      allocate(vertices(4753)%branch(0:0))
      call av(4753, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_357, nGC_357/))

      allocate(vertices(4754)%branch(0:0))
      call av(4754, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_98/))

      allocate(vertices(4755)%branch(0:0))
      call av(4755, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4756)%branch(0:0))
      call av(4756, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(4757)%branch(0:0))
      call av(4757, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_299/))

      allocate(vertices(4758)%branch(0:0))
      call av(4758, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4759)%branch(0:0))
      call av(4759, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4760)%branch(0:0))
      call av(4760, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_340, nGC_373/))

      allocate(vertices(4761)%branch(0:0))
      call av(4761, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_340, nGC_373/))

      allocate(vertices(4762)%branch(0:0))
      call av(4762, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_328/))

      allocate(vertices(4763)%branch(0:0))
      call av(4763, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_378, nGC_378/))

      allocate(vertices(4764)%branch(0:0))
      call av(4764, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4765)%branch(0:0))
      call av(4765, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_125/))

      allocate(vertices(4766)%branch(0:0))
      call av(4766, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4767)%branch(0:1))
      call av(4767, 0, 28, 4, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4767, 1, 29, 5, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4768)%branch(0:0))
      call av(4768, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4769)%branch(0:0))
      call av(4769, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4770)%branch(0:0))
      call av(4770, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_239/))

      allocate(vertices(4771)%branch(0:0))
      call av(4771, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_817/))

      allocate(vertices(4772)%branch(0:0))
      call av(4772, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_153/))

      allocate(vertices(4773)%branch(0:0))
      call av(4773, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_204/))

      allocate(vertices(4774)%branch(0:0))
      call av(4774, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(4775)%branch(0:0))
      call av(4775, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_190/))

      allocate(vertices(4776)%branch(0:0))
      call av(4776, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(4777)%branch(0:0))
      call av(4777, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_791/))

      allocate(vertices(4778)%branch(0:0))
      call av(4778, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_353, nGC_801/))

      allocate(vertices(4779)%branch(0:0))
      call av(4779, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_184/))

      allocate(vertices(4780)%branch(0:0))
      call av(4780, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4781)%branch(0:0))
      call av(4781, 0, 1, 1, 0, FaSF2, (/0, 1/), (/nGC_376/))

      allocate(vertices(4782)%branch(0:0))
      call av(4782, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(4783)%branch(0:0))
      call av(4783, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(4784)%branch(0:0))
      call av(4784, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_122/))

      allocate(vertices(4785)%branch(0:0))
      call av(4785, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4786)%branch(0:0))
      call av(4786, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_81/))

      allocate(vertices(4787)%branch(0:0))
      call av(4787, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(4788)%branch(0:0))
      call av(4788, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_227/))

      allocate(vertices(4789)%branch(0:0))
      call av(4789, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4790)%branch(0:0))
      call av(4790, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(4791)%branch(0:0))
      call av(4791, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(4792)%branch(0:0))
      call av(4792, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_197/))

      allocate(vertices(4793)%branch(0:0))
      call av(4793, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_377, nGC_819/))

      allocate(vertices(4794)%branch(0:0))
      call av(4794, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_211, nGC_208/))

      allocate(vertices(4795)%branch(0:0))
      call av(4795, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_123/))

      allocate(vertices(4796)%branch(0:0))
      call av(4796, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4797)%branch(0:1))
      call av(4797, 0, 30, 4, 0, VFaF0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(4797, 1, 31, 5, 0, VFaF0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(4798)%branch(0:0))
      call av(4798, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(4799)%branch(0:0))
      call av(4799, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_293/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
