!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:39             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(6400)%branch(0:0))
      call av(6400, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6401)%branch(0:0))
      call av(6401, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6402)%branch(0:0))
      call av(6402, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6403)%branch(0:0))
      call av(6403, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_219/))

      allocate(vertices(6404)%branch(0:0))
      call av(6404, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6405)%branch(0:0))
      call av(6405, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6406)%branch(0:0))
      call av(6406, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_158/))

      allocate(vertices(6407)%branch(0:0))
      call av(6407, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_29/))

      allocate(vertices(6408)%branch(0:0))
      call av(6408, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_369, nGC_369/))

      allocate(vertices(6409)%branch(0:0))
      call av(6409, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_137/))

      allocate(vertices(6410)%branch(0:0))
      call av(6410, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(6411)%branch(0:0))
      call av(6411, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(6412)%branch(0:0))
      call av(6412, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6413)%branch(0:0))
      call av(6413, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6414)%branch(0:0))
      call av(6414, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_369, nGC_369/))

      allocate(vertices(6415)%branch(0:0))
      call av(6415, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6416)%branch(0:0))
      call av(6416, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_366, nGC_366/))

      allocate(vertices(6417)%branch(0:0))
      call av(6417, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6418)%branch(0:0))
      call av(6418, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6419)%branch(0:0))
      call av(6419, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_369, nGC_369/))

      allocate(vertices(6420)%branch(0:0))
      call av(6420, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6421)%branch(0:0))
      call av(6421, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6422)%branch(0:0))
      call av(6422, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6423)%branch(0:0))
      call av(6423, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(6424)%branch(0:0))
      call av(6424, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6425)%branch(0:0))
      call av(6425, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6426)%branch(0:1))
      call av(6426, 0, 27, 5, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      call av(6426, 1, 26, 4, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(6427)%branch(0:0))
      call av(6427, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_122/))

      allocate(vertices(6428)%branch(0:0))
      call av(6428, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6429)%branch(0:0))
      call av(6429, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_857/))

      allocate(vertices(6430)%branch(0:0))
      call av(6430, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_103/))

      allocate(vertices(6431)%branch(0:0))
      call av(6431, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_322/))

      allocate(vertices(6432)%branch(0:0))
      call av(6432, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_91/))

      allocate(vertices(6433)%branch(0:0))
      call av(6433, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_104/))

      allocate(vertices(6434)%branch(0:0))
      call av(6434, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6435)%branch(0:0))
      call av(6435, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_256/))

      allocate(vertices(6436)%branch(0:0))
      call av(6436, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6437)%branch(0:0))
      call av(6437, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6438)%branch(0:0))
      call av(6438, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(6439)%branch(0:0))
      call av(6439, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_286/))

      allocate(vertices(6440)%branch(0:0))
      call av(6440, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6441)%branch(0:0))
      call av(6441, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6442)%branch(0:0))
      call av(6442, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6443)%branch(0:0))
      call av(6443, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6444)%branch(0:0))
      call av(6444, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_231/))

      allocate(vertices(6445)%branch(0:0))
      call av(6445, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6446)%branch(0:0))
      call av(6446, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(6447)%branch(0:0))
      call av(6447, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_851/))

      allocate(vertices(6448)%branch(0:0))
      call av(6448, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_338, nGC_897/))

      allocate(vertices(6449)%branch(0:0))
      call av(6449, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6450)%branch(0:0))
      call av(6450, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_158/))

      allocate(vertices(6451)%branch(0:0))
      call av(6451, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_373, nGC_340/))

      allocate(vertices(6452)%branch(0:0))
      call av(6452, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6453)%branch(0:0))
      call av(6453, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6454)%branch(0:0))
      call av(6454, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6455)%branch(0:0))
      call av(6455, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_238/))

      allocate(vertices(6456)%branch(0:0))
      call av(6456, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6457)%branch(0:0))
      call av(6457, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_88/))

      allocate(vertices(6458)%branch(0:0))
      call av(6458, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6459)%branch(0:0))
      call av(6459, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(6460)%branch(0:0))
      call av(6460, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_154/))

      allocate(vertices(6461)%branch(0:0))
      call av(6461, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_191/))

      allocate(vertices(6462)%branch(0:0))
      call av(6462, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_368, nGC_785/))

      allocate(vertices(6463)%branch(0:0))
      call av(6463, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(6464)%branch(0:0))
      call av(6464, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6465)%branch(0:0))
      call av(6465, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6466)%branch(0:0))
      call av(6466, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(6467)%branch(0:0))
      call av(6467, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6468)%branch(0:0))
      call av(6468, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6469)%branch(0:0))
      call av(6469, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_85/))

      allocate(vertices(6470)%branch(0:0))
      call av(6470, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(6471)%branch(0:0))
      call av(6471, 0, 1, 1, 0, SFFa0, (/0, 1/), (/nGC_376/))

      allocate(vertices(6472)%branch(0:0))
      call av(6472, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_142/))

      allocate(vertices(6473)%branch(0:0))
      call av(6473, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(6474)%branch(0:0))
      call av(6474, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6475)%branch(0:0))
      call av(6475, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6476)%branch(0:0))
      call av(6476, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(6477)%branch(0:0))
      call av(6477, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6478)%branch(0:0))
      call av(6478, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_29/))

      allocate(vertices(6479)%branch(0:0))
      call av(6479, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(6480)%branch(0:0))
      call av(6480, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_326/))

      allocate(vertices(6481)%branch(0:0))
      call av(6481, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6482)%branch(0:0))
      call av(6482, 0, 1, 1, 0, FFaS1, (/0, 1/), (/nGC_376/))

      allocate(vertices(6483)%branch(0:0))
      call av(6483, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6484)%branch(0:0))
      call av(6484, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6485)%branch(0:0))
      call av(6485, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(6486)%branch(0:0))
      call av(6486, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(6487)%branch(0:0))
      call av(6487, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_196/))

      allocate(vertices(6488)%branch(0:0))
      call av(6488, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6489)%branch(0:0))
      call av(6489, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_377, nGC_819/))

      allocate(vertices(6490)%branch(0:0))
      call av(6490, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6491)%branch(0:0))
      call av(6491, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6492)%branch(0:0))
      call av(6492, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6493)%branch(0:0))
      call av(6493, 0, 1, 1, 0, UaVU0, (/0, 1/), (/nGC_803/))

      allocate(vertices(6494)%branch(0:0))
      call av(6494, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6495)%branch(0:0))
      call av(6495, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6496)%branch(0:0))
      call av(6496, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6497)%branch(0:0))
      call av(6497, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6498)%branch(0:0))
      call av(6498, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_223/))

      allocate(vertices(6499)%branch(0:0))
      call av(6499, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6500)%branch(0:0))
      call av(6500, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_789, nGC_194, nGC_194/))

      allocate(vertices(6501)%branch(0:0))
      call av(6501, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_346, nGC_382/))

      allocate(vertices(6502)%branch(0:0))
      call av(6502, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6503)%branch(0:0))
      call av(6503, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6504)%branch(0:0))
      call av(6504, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6505)%branch(0:0))
      call av(6505, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_230/))

      allocate(vertices(6506)%branch(0:0))
      call av(6506, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6507)%branch(0:0))
      call av(6507, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6508)%branch(0:0))
      call av(6508, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6509)%branch(0:0))
      call av(6509, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_286/))

      allocate(vertices(6510)%branch(0:0))
      call av(6510, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6511)%branch(0:0))
      call av(6511, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(6512)%branch(0:0))
      call av(6512, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6513)%branch(0:0))
      call av(6513, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_134/))

      allocate(vertices(6514)%branch(0:0))
      call av(6514, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_210, nGC_207/))

      allocate(vertices(6515)%branch(0:0))
      call av(6515, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6516)%branch(0:0))
      call av(6516, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_273/))

      allocate(vertices(6517)%branch(0:0))
      call av(6517, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_90/))

      allocate(vertices(6518)%branch(0:0))
      call av(6518, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_10/))

      allocate(vertices(6519)%branch(0:0))
      call av(6519, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(6520)%branch(0:0))
      call av(6520, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6521)%branch(0:0))
      call av(6521, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_182/))

      allocate(vertices(6522)%branch(0:0))
      call av(6522, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(6523)%branch(0:0))
      call av(6523, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6524)%branch(0:0))
      call av(6524, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6525)%branch(0:0))
      call av(6525, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(6526)%branch(0:0))
      call av(6526, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6527)%branch(0:0))
      call av(6527, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_883/))

      allocate(vertices(6528)%branch(0:0))
      call av(6528, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6529)%branch(0:0))
      call av(6529, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_112/))

      allocate(vertices(6530)%branch(0:0))
      call av(6530, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_344, nGC_863/))

      allocate(vertices(6531)%branch(0:0))
      call av(6531, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_821, nGC_10, nGC_823/))

      allocate(vertices(6532)%branch(0:0))
      call av(6532, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6533)%branch(0:0))
      call av(6533, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_272/))

      allocate(vertices(6534)%branch(0:0))
      call av(6534, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(6535)%branch(0:0))
      call av(6535, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(6536)%branch(0:0))
      call av(6536, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6537)%branch(0:0))
      call av(6537, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_85/))

      allocate(vertices(6538)%branch(0:0))
      call av(6538, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(6539)%branch(0:0))
      call av(6539, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6540)%branch(0:0))
      call av(6540, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_210, nGC_207/))

      allocate(vertices(6541)%branch(0:0))
      call av(6541, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_373, nGC_340/))

      allocate(vertices(6542)%branch(0:0))
      call av(6542, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6543)%branch(0:0))
      call av(6543, 0, 1, 1, 0, FFaS2, (/0, 1/), (/nGC_358/))

      allocate(vertices(6544)%branch(0:0))
      call av(6544, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6545)%branch(0:0))
      call av(6545, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(6546)%branch(0:0))
      call av(6546, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_322/))

      allocate(vertices(6547)%branch(0:0))
      call av(6547, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_142/))

      allocate(vertices(6548)%branch(0:0))
      call av(6548, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_365, nGC_891/))

      allocate(vertices(6549)%branch(0:0))
      call av(6549, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6550)%branch(0:0))
      call av(6550, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6551)%branch(0:0))
      call av(6551, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(6552)%branch(0:0))
      call av(6552, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6553)%branch(0:0))
      call av(6553, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6554)%branch(0:0))
      call av(6554, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_90/))

      allocate(vertices(6555)%branch(0:0))
      call av(6555, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6556)%branch(0:0))
      call av(6556, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_67/))

      allocate(vertices(6557)%branch(0:0))
      call av(6557, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6558)%branch(0:0))
      call av(6558, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(6559)%branch(0:0))
      call av(6559, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_271/))

      allocate(vertices(6560)%branch(0:0))
      call av(6560, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_381, nGC_381/))

      allocate(vertices(6561)%branch(0:0))
      call av(6561, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6562)%branch(0:0))
      call av(6562, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_829/))

      allocate(vertices(6563)%branch(0:0))
      call av(6563, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_220/))

      allocate(vertices(6564)%branch(0:0))
      call av(6564, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6565)%branch(0:0))
      call av(6565, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6566)%branch(0:0))
      call av(6566, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6567)%branch(0:0))
      call av(6567, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6568)%branch(0:0))
      call av(6568, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6569)%branch(0:0))
      call av(6569, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6570)%branch(0:0))
      call av(6570, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6571)%branch(0:0))
      call av(6571, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_188/))

      allocate(vertices(6572)%branch(0:0))
      call av(6572, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_807, nGC_8, nGC_8/))

      allocate(vertices(6573)%branch(0:0))
      call av(6573, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_92/))

      allocate(vertices(6574)%branch(0:0))
      call av(6574, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_196/))

      allocate(vertices(6575)%branch(0:0))
      call av(6575, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6576)%branch(0:0))
      call av(6576, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6577)%branch(0:0))
      call av(6577, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_369, nGC_369/))

      allocate(vertices(6578)%branch(0:0))
      call av(6578, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6579)%branch(0:0))
      call av(6579, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_28/))

      allocate(vertices(6580)%branch(0:0))
      call av(6580, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6581)%branch(0:0))
      call av(6581, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6582)%branch(0:0))
      call av(6582, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_253/))

      allocate(vertices(6583)%branch(0:0))
      call av(6583, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6584)%branch(0:0))
      call av(6584, 0, 1, 1, 0, UaUV0, (/0, 1/), (/nGC_883/))

      allocate(vertices(6585)%branch(0:0))
      call av(6585, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6586)%branch(0:0))
      call av(6586, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_236/))

      allocate(vertices(6587)%branch(0:0))
      call av(6587, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6588)%branch(0:0))
      call av(6588, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6589)%branch(0:0))
      call av(6589, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6590)%branch(0:0))
      call av(6590, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6591)%branch(0:0))
      call av(6591, 0, 1, 1, 0, SFFa1, (/0, 1/), (/nGC_375, nGC_375/))

      allocate(vertices(6592)%branch(0:0))
      call av(6592, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6593)%branch(0:0))
      call av(6593, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_360, nGC_360/))

      allocate(vertices(6594)%branch(0:0))
      call av(6594, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(6595)%branch(0:0))
      call av(6595, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6596)%branch(0:0))
      call av(6596, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_343, nGC_370/))

      allocate(vertices(6597)%branch(0:0))
      call av(6597, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6598)%branch(0:0))
      call av(6598, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_194/))

      allocate(vertices(6599)%branch(0:0))
      call av(6599, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_197/))

      allocate(vertices(6600)%branch(0:0))
      call av(6600, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_68/))

      allocate(vertices(6601)%branch(0:0))
      call av(6601, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(6602)%branch(0:0))
      call av(6602, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6603)%branch(0:0))
      call av(6603, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6604)%branch(0:0))
      call av(6604, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(6605)%branch(0:0))
      call av(6605, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_849/))

      allocate(vertices(6606)%branch(0:0))
      call av(6606, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6607)%branch(0:0))
      call av(6607, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_229/))

      allocate(vertices(6608)%branch(0:0))
      call av(6608, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_230/))

      allocate(vertices(6609)%branch(0:0))
      call av(6609, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_185/))

      allocate(vertices(6610)%branch(0:0))
      call av(6610, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_77/))

      allocate(vertices(6611)%branch(0:0))
      call av(6611, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(6612)%branch(0:0))
      call av(6612, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(6613)%branch(0:0))
      call av(6613, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_253/))

      allocate(vertices(6614)%branch(0:0))
      call av(6614, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6615)%branch(0:0))
      call av(6615, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(6616)%branch(0:0))
      call av(6616, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_366, nGC_366/))

      allocate(vertices(6617)%branch(0:0))
      call av(6617, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_226/))

      allocate(vertices(6618)%branch(0:0))
      call av(6618, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_225/))

      allocate(vertices(6619)%branch(0:0))
      call av(6619, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6620)%branch(0:0))
      call av(6620, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6621)%branch(0:0))
      call av(6621, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_293/))

      allocate(vertices(6622)%branch(0:0))
      call av(6622, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_191/))

      allocate(vertices(6623)%branch(0:0))
      call av(6623, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(6624)%branch(0:0))
      call av(6624, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(6625)%branch(0:0))
      call av(6625, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6626)%branch(0:0))
      call av(6626, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6627)%branch(0:0))
      call av(6627, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_370, nGC_343/))

      allocate(vertices(6628)%branch(0:0))
      call av(6628, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6629)%branch(0:0))
      call av(6629, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_363, nGC_363/))

      allocate(vertices(6630)%branch(0:1))
      call av(6630, 0, 28, 4, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(6630, 1, 29, 5, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(6631)%branch(0:0))
      call av(6631, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6632)%branch(0:0))
      call av(6632, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_27/))

      allocate(vertices(6633)%branch(0:0))
      call av(6633, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_849/))

      allocate(vertices(6634)%branch(0:0))
      call av(6634, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6635)%branch(0:0))
      call av(6635, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6636)%branch(0:0))
      call av(6636, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(6637)%branch(0:0))
      call av(6637, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_103/))

      allocate(vertices(6638)%branch(0:0))
      call av(6638, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6639)%branch(0:0))
      call av(6639, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_154/))

      allocate(vertices(6640)%branch(0:0))
      call av(6640, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(6641)%branch(0:0))
      call av(6641, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_26/))

      allocate(vertices(6642)%branch(0:0))
      call av(6642, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6643)%branch(0:0))
      call av(6643, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_244/))

      allocate(vertices(6644)%branch(0:0))
      call av(6644, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(6645)%branch(0:0))
      call av(6645, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_847/))

      allocate(vertices(6646)%branch(0:0))
      call av(6646, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_115/))

      allocate(vertices(6647)%branch(0:0))
      call av(6647, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(6648)%branch(0:0))
      call av(6648, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_373, nGC_340/))

      allocate(vertices(6649)%branch(0:0))
      call av(6649, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_196/))

      allocate(vertices(6650)%branch(0:0))
      call av(6650, 0, 1, 1, 0, SFFa1, (/0, 1/), (/nGC_357, nGC_357/))

      allocate(vertices(6651)%branch(0:0))
      call av(6651, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_227/))

      allocate(vertices(6652)%branch(0:0))
      call av(6652, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_88/))

      allocate(vertices(6653)%branch(0:0))
      call av(6653, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_222/))

      allocate(vertices(6654)%branch(0:0))
      call av(6654, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_284/))

      allocate(vertices(6655)%branch(0:0))
      call av(6655, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6656)%branch(0:0))
      call av(6656, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6657)%branch(0:0))
      call av(6657, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6658)%branch(0:0))
      call av(6658, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_76/))

      allocate(vertices(6659)%branch(0:0))
      call av(6659, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_167/))

      allocate(vertices(6660)%branch(0:0))
      call av(6660, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_278/))

      allocate(vertices(6661)%branch(0:0))
      call av(6661, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(6662)%branch(0:0))
      call av(6662, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_356, nGC_809/))

      allocate(vertices(6663)%branch(0:0))
      call av(6663, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(6664)%branch(0:0))
      call av(6664, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(6665)%branch(0:0))
      call av(6665, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_220/))

      allocate(vertices(6666)%branch(0:0))
      call av(6666, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6667)%branch(0:0))
      call av(6667, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6668)%branch(0:0))
      call av(6668, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6669)%branch(0:0))
      call av(6669, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6670)%branch(0:0))
      call av(6670, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(6671)%branch(0:0))
      call av(6671, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6672)%branch(0:0))
      call av(6672, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6673)%branch(0:0))
      call av(6673, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6674)%branch(0:0))
      call av(6674, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6675)%branch(0:0))
      call av(6675, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_149/))

      allocate(vertices(6676)%branch(0:0))
      call av(6676, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6677)%branch(0:0))
      call av(6677, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(6678)%branch(0:0))
      call av(6678, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_191/))

      allocate(vertices(6679)%branch(0:0))
      call av(6679, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(6680)%branch(0:0))
      call av(6680, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6681)%branch(0:0))
      call av(6681, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6682)%branch(0:0))
      call av(6682, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6683)%branch(0:0))
      call av(6683, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(6684)%branch(0:0))
      call av(6684, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6685)%branch(0:0))
      call av(6685, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6686)%branch(0:0))
      call av(6686, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_157/))

      allocate(vertices(6687)%branch(0:0))
      call av(6687, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_213/))

      allocate(vertices(6688)%branch(0:0))
      call av(6688, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_135/))

      allocate(vertices(6689)%branch(0:0))
      call av(6689, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_182/))

      allocate(vertices(6690)%branch(0:0))
      call av(6690, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_230/))

      allocate(vertices(6691)%branch(0:0))
      call av(6691, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(6692)%branch(0:0))
      call av(6692, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6693)%branch(0:0))
      call av(6693, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(6694)%branch(0:0))
      call av(6694, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6695)%branch(0:0))
      call av(6695, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_174/))

      allocate(vertices(6696)%branch(0:0))
      call av(6696, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(6697)%branch(0:0))
      call av(6697, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6698)%branch(0:0))
      call av(6698, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_869/))

      allocate(vertices(6699)%branch(0:0))
      call av(6699, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6700)%branch(0:0))
      call av(6700, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_82/))

      allocate(vertices(6701)%branch(0:0))
      call av(6701, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6702)%branch(0:0))
      call av(6702, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_849/))

      allocate(vertices(6703)%branch(0:0))
      call av(6703, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6704)%branch(0:0))
      call av(6704, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_115/))

      allocate(vertices(6705)%branch(0:0))
      call av(6705, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(6706)%branch(0:0))
      call av(6706, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6707)%branch(0:0))
      call av(6707, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6708)%branch(0:0))
      call av(6708, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_89/))

      allocate(vertices(6709)%branch(0:0))
      call av(6709, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(6710)%branch(0:0))
      call av(6710, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_202, nGC_204, nGC_205/))

      allocate(vertices(6711)%branch(0:0))
      call av(6711, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_228/))

      allocate(vertices(6712)%branch(0:0))
      call av(6712, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6713)%branch(0:0))
      call av(6713, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6714)%branch(0:0))
      call av(6714, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6715)%branch(0:0))
      call av(6715, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(6716)%branch(0:0))
      call av(6716, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(6717)%branch(0:0))
      call av(6717, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_77/))

      allocate(vertices(6718)%branch(0:0))
      call av(6718, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(6719)%branch(0:0))
      call av(6719, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6720)%branch(0:0))
      call av(6720, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_229/))

      allocate(vertices(6721)%branch(0:0))
      call av(6721, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6722)%branch(0:0))
      call av(6722, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6723)%branch(0:0))
      call av(6723, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6724)%branch(0:0))
      call av(6724, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(6725)%branch(0:0))
      call av(6725, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6726)%branch(0:0))
      call av(6726, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_167/))

      allocate(vertices(6727)%branch(0:0))
      call av(6727, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(6728)%branch(0:0))
      call av(6728, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_191/))

      allocate(vertices(6729)%branch(0:0))
      call av(6729, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6730)%branch(0:0))
      call av(6730, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_281/))

      allocate(vertices(6731)%branch(0:0))
      call av(6731, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6732)%branch(0:0))
      call av(6732, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(6733)%branch(0:1))
      call av(6733, 0, 28, 4, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(6733, 1, 29, 5, 0, VFFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(6734)%branch(0:0))
      call av(6734, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6735)%branch(0:0))
      call av(6735, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6736)%branch(0:0))
      call av(6736, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6737)%branch(0:0))
      call av(6737, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_84/))

      allocate(vertices(6738)%branch(0:0))
      call av(6738, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(6739)%branch(0:0))
      call av(6739, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_226/))

      allocate(vertices(6740)%branch(0:0))
      call av(6740, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6741)%branch(0:0))
      call av(6741, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_899/))

      allocate(vertices(6742)%branch(0:0))
      call av(6742, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6743)%branch(0:0))
      call av(6743, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6744)%branch(0:0))
      call av(6744, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6745)%branch(0:0))
      call av(6745, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(6746)%branch(0:0))
      call av(6746, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_228/))

      allocate(vertices(6747)%branch(0:0))
      call av(6747, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_296/))

      allocate(vertices(6748)%branch(0:0))
      call av(6748, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6749)%branch(0:0))
      call av(6749, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6750)%branch(0:0))
      call av(6750, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_304/))

      allocate(vertices(6751)%branch(0:0))
      call av(6751, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6752)%branch(0:0))
      call av(6752, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6753)%branch(0:0))
      call av(6753, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_96/))

      allocate(vertices(6754)%branch(0:0))
      call av(6754, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6755)%branch(0:0))
      call av(6755, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_125/))

      allocate(vertices(6756)%branch(0:0))
      call av(6756, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_163/))

      allocate(vertices(6757)%branch(0:0))
      call av(6757, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_360, nGC_360/))

      allocate(vertices(6758)%branch(0:0))
      call av(6758, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6759)%branch(0:0))
      call av(6759, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_116/))

      allocate(vertices(6760)%branch(0:0))
      call av(6760, 0, 1, 1, 0, UUaV0, (/0, 1/), (/nGC_877/))

      allocate(vertices(6761)%branch(0:0))
      call av(6761, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_230/))

      allocate(vertices(6762)%branch(0:0))
      call av(6762, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6763)%branch(0:0))
      call av(6763, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6764)%branch(0:0))
      call av(6764, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_8/))

      allocate(vertices(6765)%branch(0:0))
      call av(6765, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(6766)%branch(0:0))
      call av(6766, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(6767)%branch(0:0))
      call av(6767, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_831/))

      allocate(vertices(6768)%branch(0:0))
      call av(6768, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_154/))

      allocate(vertices(6769)%branch(0:0))
      call av(6769, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_385, nGC_349/))

      allocate(vertices(6770)%branch(0:0))
      call av(6770, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_76/))

      allocate(vertices(6771)%branch(0:0))
      call av(6771, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_151/))

      allocate(vertices(6772)%branch(0:0))
      call av(6772, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_112/))

      allocate(vertices(6773)%branch(0:0))
      call av(6773, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(6774)%branch(0:0))
      call av(6774, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_210, nGC_207/))

      allocate(vertices(6775)%branch(0:0))
      call av(6775, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6776)%branch(0:0))
      call av(6776, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_839/))

      allocate(vertices(6777)%branch(0:0))
      call av(6777, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_157/))

      allocate(vertices(6778)%branch(0:0))
      call av(6778, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6779)%branch(0:0))
      call av(6779, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6780)%branch(0:0))
      call av(6780, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6781)%branch(0:0))
      call av(6781, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_347, nGC_853/))

      allocate(vertices(6782)%branch(0:0))
      call av(6782, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_80/))

      allocate(vertices(6783)%branch(0:0))
      call av(6783, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_30/))

      allocate(vertices(6784)%branch(0:0))
      call av(6784, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_95/))

      allocate(vertices(6785)%branch(0:0))
      call av(6785, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_245/))

      allocate(vertices(6786)%branch(0:0))
      call av(6786, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6787)%branch(0:0))
      call av(6787, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_921/))

      allocate(vertices(6788)%branch(0:0))
      call av(6788, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_26/))

      allocate(vertices(6789)%branch(0:0))
      call av(6789, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6790)%branch(0:0))
      call av(6790, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6791)%branch(0:0))
      call av(6791, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_343, nGC_370/))

      allocate(vertices(6792)%branch(0:0))
      call av(6792, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6793)%branch(0:0))
      call av(6793, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(6794)%branch(0:0))
      call av(6794, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6795)%branch(0:0))
      call av(6795, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6796)%branch(0:0))
      call av(6796, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(6797)%branch(0:0))
      call av(6797, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6798)%branch(0:0))
      call av(6798, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_188/))

      allocate(vertices(6799)%branch(0:0))
      call av(6799, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6800)%branch(0:0))
      call av(6800, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_127/))

      allocate(vertices(6801)%branch(0:0))
      call av(6801, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(6802)%branch(0:0))
      call av(6802, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_233/))

      allocate(vertices(6803)%branch(0:0))
      call av(6803, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6804)%branch(0:0))
      call av(6804, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_194, nGC_196, nGC_195/))

      allocate(vertices(6805)%branch(0:0))
      call av(6805, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_324/))

      allocate(vertices(6806)%branch(0:0))
      call av(6806, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6807)%branch(0:0))
      call av(6807, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(6808)%branch(0:0))
      call av(6808, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_341, nGC_895/))

      allocate(vertices(6809)%branch(0:0))
      call av(6809, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6810)%branch(0:0))
      call av(6810, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(6811)%branch(0:0))
      call av(6811, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_359, nGC_905/))

      allocate(vertices(6812)%branch(0:0))
      call av(6812, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6813)%branch(0:0))
      call av(6813, 0, 1, 1, 0, FaFS2, (/0, 1/), (/nGC_355/))

      allocate(vertices(6814)%branch(0:0))
      call av(6814, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(6815)%branch(0:0))
      call av(6815, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(6816)%branch(0:0))
      call av(6816, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6817)%branch(0:0))
      call av(6817, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_283/))

      allocate(vertices(6818)%branch(0:0))
      call av(6818, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_94/))

      allocate(vertices(6819)%branch(0:0))
      call av(6819, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_322/))

      allocate(vertices(6820)%branch(0:0))
      call av(6820, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6821)%branch(0:0))
      call av(6821, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6822)%branch(0:0))
      call av(6822, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6823)%branch(0:0))
      call av(6823, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_913/))

      allocate(vertices(6824)%branch(0:0))
      call av(6824, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_80/))

      allocate(vertices(6825)%branch(0:0))
      call av(6825, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_221/))

      allocate(vertices(6826)%branch(0:0))
      call av(6826, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_153/))

      allocate(vertices(6827)%branch(0:0))
      call av(6827, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(6828)%branch(0:0))
      call av(6828, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_191/))

      allocate(vertices(6829)%branch(0:0))
      call av(6829, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6830)%branch(0:0))
      call av(6830, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6831)%branch(0:0))
      call av(6831, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_274/))

      allocate(vertices(6832)%branch(0:0))
      call av(6832, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6833)%branch(0:0))
      call av(6833, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_179/))

      allocate(vertices(6834)%branch(0:0))
      call av(6834, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(6835)%branch(0:0))
      call av(6835, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_815/))

      allocate(vertices(6836)%branch(0:1))
      call av(6836, 0, 22, 4, 0, FVFa0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(6836, 1, 23, 5, 0, FVFa0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(6837)%branch(0:0))
      call av(6837, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_229/))

      allocate(vertices(6838)%branch(0:0))
      call av(6838, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_331/))

      allocate(vertices(6839)%branch(0:0))
      call av(6839, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6840)%branch(0:0))
      call av(6840, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_228/))

      allocate(vertices(6841)%branch(0:0))
      call av(6841, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(6842)%branch(0:0))
      call av(6842, 0, 1, 1, 0, USUa0, (/0, 1/), (/nGC_232/))

      allocate(vertices(6843)%branch(0:0))
      call av(6843, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6844)%branch(0:0))
      call av(6844, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_219/))

      allocate(vertices(6845)%branch(0:0))
      call av(6845, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(6846)%branch(0:0))
      call av(6846, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6847)%branch(0:0))
      call av(6847, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6848)%branch(0:0))
      call av(6848, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6849)%branch(0:0))
      call av(6849, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(6850)%branch(0:0))
      call av(6850, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_861/))

      allocate(vertices(6851)%branch(0:0))
      call av(6851, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(6852)%branch(0:0))
      call av(6852, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6853)%branch(0:0))
      call av(6853, 0, 10, 1, 0, FFaV1, (/0, 1/), (/nGC_197/))

      allocate(vertices(6854)%branch(0:0))
      call av(6854, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6855)%branch(0:0))
      call av(6855, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6856)%branch(0:0))
      call av(6856, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_120/))

      allocate(vertices(6857)%branch(0:0))
      call av(6857, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(6858)%branch(0:0))
      call av(6858, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_811/))

      allocate(vertices(6859)%branch(0:0))
      call av(6859, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6860)%branch(0:0))
      call av(6860, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_322/))

      allocate(vertices(6861)%branch(0:0))
      call av(6861, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6862)%branch(0:0))
      call av(6862, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_845/))

      allocate(vertices(6863)%branch(0:0))
      call av(6863, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_129/))

      allocate(vertices(6864)%branch(0:0))
      call av(6864, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6865)%branch(0:0))
      call av(6865, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(6866)%branch(0:0))
      call av(6866, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6867)%branch(0:0))
      call av(6867, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6868)%branch(0:0))
      call av(6868, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_363, nGC_363/))

      allocate(vertices(6869)%branch(0:0))
      call av(6869, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6870)%branch(0:0))
      call av(6870, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6871)%branch(0:0))
      call av(6871, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_126/))

      allocate(vertices(6872)%branch(0:0))
      call av(6872, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_218/))

      allocate(vertices(6873)%branch(0:0))
      call av(6873, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_85/))

      allocate(vertices(6874)%branch(0:0))
      call av(6874, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6875)%branch(0:0))
      call av(6875, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_214/))

      allocate(vertices(6876)%branch(0:0))
      call av(6876, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_346, nGC_382/))

      allocate(vertices(6877)%branch(0:0))
      call av(6877, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_154/))

      allocate(vertices(6878)%branch(0:0))
      call av(6878, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6879)%branch(0:0))
      call av(6879, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6880)%branch(0:0))
      call av(6880, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(6881)%branch(0:0))
      call av(6881, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6882)%branch(0:0))
      call av(6882, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_93/))

      allocate(vertices(6883)%branch(0:0))
      call av(6883, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_190/))

      allocate(vertices(6884)%branch(0:0))
      call av(6884, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6885)%branch(0:0))
      call av(6885, 0, 1, 1, 0, SFaF0, (/0, 1/), (/nGC_353, nGC_801/))

      allocate(vertices(6886)%branch(0:0))
      call av(6886, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_75/))

      allocate(vertices(6887)%branch(0:0))
      call av(6887, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(6888)%branch(0:0))
      call av(6888, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_901/))

      allocate(vertices(6889)%branch(0:0))
      call av(6889, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6890)%branch(0:0))
      call av(6890, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6891)%branch(0:0))
      call av(6891, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_321/))

      allocate(vertices(6892)%branch(0:0))
      call av(6892, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6893)%branch(0:0))
      call av(6893, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_861/))

      allocate(vertices(6894)%branch(0:0))
      call av(6894, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(6895)%branch(0:0))
      call av(6895, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_325/))

      allocate(vertices(6896)%branch(0:0))
      call av(6896, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6897)%branch(0:0))
      call av(6897, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6898)%branch(0:0))
      call av(6898, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6899)%branch(0:0))
      call av(6899, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_260/))

      allocate(vertices(6900)%branch(0:0))
      call av(6900, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(6901)%branch(0:0))
      call av(6901, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6902)%branch(0:1))
      call av(6902, 0, 27, 5, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      call av(6902, 1, 26, 4, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(6903)%branch(0:0))
      call av(6903, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6904)%branch(0:0))
      call av(6904, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(6905)%branch(0:0))
      call av(6905, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_189/))

      allocate(vertices(6906)%branch(0:0))
      call av(6906, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6907)%branch(0:0))
      call av(6907, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(6908)%branch(0:0))
      call av(6908, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(6909)%branch(0:0))
      call av(6909, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(6910)%branch(0:0))
      call av(6910, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6911)%branch(0:0))
      call av(6911, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(6912)%branch(0:1))
      call av(6912, 0, 27, 5, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      call av(6912, 1, 26, 4, 0, FaFV1, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(6913)%branch(0:0))
      call av(6913, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_23/))

      allocate(vertices(6914)%branch(0:0))
      call av(6914, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_79/))

      allocate(vertices(6915)%branch(0:0))
      call av(6915, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_124/))

      allocate(vertices(6916)%branch(0:0))
      call av(6916, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_84/))

      allocate(vertices(6917)%branch(0:0))
      call av(6917, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_357, nGC_357/))

      allocate(vertices(6918)%branch(0:0))
      call av(6918, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_269/))

      allocate(vertices(6919)%branch(0:0))
      call av(6919, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6920)%branch(0:0))
      call av(6920, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(6921)%branch(0:0))
      call av(6921, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6922)%branch(0:0))
      call av(6922, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_175/))

      allocate(vertices(6923)%branch(0:0))
      call av(6923, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(6924)%branch(0:0))
      call av(6924, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(6925)%branch(0:0))
      call av(6925, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_275/))

      allocate(vertices(6926)%branch(0:0))
      call av(6926, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(6927)%branch(0:0))
      call av(6927, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_177/))

      allocate(vertices(6928)%branch(0:0))
      call av(6928, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(6929)%branch(0:0))
      call av(6929, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_211, nGC_208/))

      allocate(vertices(6930)%branch(0:0))
      call av(6930, 0, 1, 1, 0, FFaS0, (/0, 1/), (/nGC_378, nGC_378/))

      allocate(vertices(6931)%branch(0:0))
      call av(6931, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6932)%branch(0:0))
      call av(6932, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_331/))

      allocate(vertices(6933)%branch(0:0))
      call av(6933, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_138/))

      allocate(vertices(6934)%branch(0:0))
      call av(6934, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6935)%branch(0:0))
      call av(6935, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6936)%branch(0:0))
      call av(6936, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_867/))

      allocate(vertices(6937)%branch(0:0))
      call av(6937, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_115/))

      allocate(vertices(6938)%branch(0:0))
      call av(6938, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_155/))

      allocate(vertices(6939)%branch(0:0))
      call av(6939, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(6940)%branch(0:0))
      call av(6940, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6941)%branch(0:0))
      call av(6941, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(6942)%branch(0:0))
      call av(6942, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(6943)%branch(0:0))
      call av(6943, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6944)%branch(0:0))
      call av(6944, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_124/))

      allocate(vertices(6945)%branch(0:0))
      call av(6945, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_295/))

      allocate(vertices(6946)%branch(0:0))
      call av(6946, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_189/))

      allocate(vertices(6947)%branch(0:0))
      call av(6947, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6948)%branch(0:0))
      call av(6948, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_98/))

      allocate(vertices(6949)%branch(0:0))
      call av(6949, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6950)%branch(0:0))
      call av(6950, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6951)%branch(0:0))
      call av(6951, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(6952)%branch(0:0))
      call av(6952, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6953)%branch(0:0))
      call av(6953, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_84/))

      allocate(vertices(6954)%branch(0:0))
      call av(6954, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6955)%branch(0:0))
      call av(6955, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_342, nGC_342/))

      allocate(vertices(6956)%branch(0:0))
      call av(6956, 0, 1, 1, 0, SFFa1, (/0, 1/), (/nGC_362, nGC_865/))

      allocate(vertices(6957)%branch(0:0))
      call av(6957, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_60/))

      allocate(vertices(6958)%branch(0:0))
      call av(6958, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_92/))

      allocate(vertices(6959)%branch(0:0))
      call av(6959, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6960)%branch(0:0))
      call av(6960, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6961)%branch(0:0))
      call av(6961, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_79/))

      allocate(vertices(6962)%branch(0:0))
      call av(6962, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_202/))

      allocate(vertices(6963)%branch(0:0))
      call av(6963, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(6964)%branch(0:0))
      call av(6964, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_28/))

      allocate(vertices(6965)%branch(0:0))
      call av(6965, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6966)%branch(0:0))
      call av(6966, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(6967)%branch(0:0))
      call av(6967, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(6968)%branch(0:0))
      call av(6968, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_190/))

      allocate(vertices(6969)%branch(0:0))
      call av(6969, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_46/))

      allocate(vertices(6970)%branch(0:0))
      call av(6970, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_209, nGC_206/))

      allocate(vertices(6971)%branch(0:0))
      call av(6971, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_313/))

      allocate(vertices(6972)%branch(0:0))
      call av(6972, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(6973)%branch(0:0))
      call av(6973, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_29/))

      allocate(vertices(6974)%branch(0:0))
      call av(6974, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_156/))

      allocate(vertices(6975)%branch(0:0))
      call av(6975, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6976)%branch(0:0))
      call av(6976, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_226/))

      allocate(vertices(6977)%branch(0:0))
      call av(6977, 0, 1, 1, 0, UaUS0, (/0, 1/), (/nGC_284/))

      allocate(vertices(6978)%branch(0:0))
      call av(6978, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(6979)%branch(0:0))
      call av(6979, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_347, nGC_853/))

      allocate(vertices(6980)%branch(0:0))
      call av(6980, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6981)%branch(0:0))
      call av(6981, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(6982)%branch(0:0))
      call av(6982, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(6983)%branch(0:0))
      call av(6983, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_98/))

      allocate(vertices(6984)%branch(0:0))
      call av(6984, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(6985)%branch(0:0))
      call av(6985, 0, 1, 1, 0, FFaS2, (/0, 1/), (/nGC_355/))

      allocate(vertices(6986)%branch(0:0))
      call av(6986, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(6987)%branch(0:0))
      call av(6987, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(6988)%branch(0:0))
      call av(6988, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_807, nGC_8, nGC_8/))

      allocate(vertices(6989)%branch(0:0))
      call av(6989, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(6990)%branch(0:0))
      call av(6990, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_869/))

      allocate(vertices(6991)%branch(0:0))
      call av(6991, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(6992)%branch(0:0))
      call av(6992, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_21/))

      allocate(vertices(6993)%branch(0:0))
      call av(6993, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_372, nGC_372/))

      allocate(vertices(6994)%branch(0:0))
      call av(6994, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(6995)%branch(0:0))
      call av(6995, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_125/))

      allocate(vertices(6996)%branch(0:0))
      call av(6996, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_197/))

      allocate(vertices(6997)%branch(0:0))
      call av(6997, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(6998)%branch(0:0))
      call av(6998, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(6999)%branch(0:0))
      call av(6999, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_124/))

      allocate(vertices(7000)%branch(0:0))
      call av(7000, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_156/))

      allocate(vertices(7001)%branch(0:0))
      call av(7001, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(7002)%branch(0:0))
      call av(7002, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_193/))

      allocate(vertices(7003)%branch(0:0))
      call av(7003, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_341, nGC_895/))

      allocate(vertices(7004)%branch(0:0))
      call av(7004, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(7005)%branch(0:0))
      call av(7005, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_219/))

      allocate(vertices(7006)%branch(0:0))
      call av(7006, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(7007)%branch(0:0))
      call av(7007, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(7008)%branch(0:1))
      call av(7008, 0, 2, 6, 0, UaUV0, (/1, 0/), (/nGC_885/))

      call av(7008, 1, 3, 7, 0, UaUV0, (/1, 0/), (/nGC_885/))

      allocate(vertices(7009)%branch(0:0))
      call av(7009, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_789, nGC_194, nGC_194/))

      allocate(vertices(7010)%branch(0:0))
      call av(7010, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_115/))

      allocate(vertices(7011)%branch(0:0))
      call av(7011, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7012)%branch(0:0))
      call av(7012, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_139/))

      allocate(vertices(7013)%branch(0:0))
      call av(7013, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7014)%branch(0:0))
      call av(7014, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_188/))

      allocate(vertices(7015)%branch(0:0))
      call av(7015, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_30/))

      allocate(vertices(7016)%branch(0:0))
      call av(7016, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(7017)%branch(0:0))
      call av(7017, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_84/))

      allocate(vertices(7018)%branch(0:0))
      call av(7018, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7019)%branch(0:0))
      call av(7019, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(7020)%branch(0:0))
      call av(7020, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_79/))

      allocate(vertices(7021)%branch(0:0))
      call av(7021, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_219/))

      allocate(vertices(7022)%branch(0:0))
      call av(7022, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(7023)%branch(0:0))
      call av(7023, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_220/))

      allocate(vertices(7024)%branch(0:0))
      call av(7024, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_125/))

      allocate(vertices(7025)%branch(0:0))
      call av(7025, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7026)%branch(0:0))
      call av(7026, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_175/))

      allocate(vertices(7027)%branch(0:0))
      call av(7027, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(7028)%branch(0:0))
      call av(7028, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_273/))

      allocate(vertices(7029)%branch(0:0))
      call av(7029, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7030)%branch(0:0))
      call av(7030, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(7031)%branch(0:0))
      call av(7031, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_212/))

      allocate(vertices(7032)%branch(0:0))
      call av(7032, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(7033)%branch(0:0))
      call av(7033, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(7034)%branch(0:0))
      call av(7034, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(7035)%branch(0:0))
      call av(7035, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_212/))

      allocate(vertices(7036)%branch(0:0))
      call av(7036, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(7037)%branch(0:0))
      call av(7037, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(7038)%branch(0:0))
      call av(7038, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_191/))

      allocate(vertices(7039)%branch(0:0))
      call av(7039, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_150/))

      allocate(vertices(7040)%branch(0:0))
      call av(7040, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(7041)%branch(0:0))
      call av(7041, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_175/))

      allocate(vertices(7042)%branch(0:0))
      call av(7042, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7043)%branch(0:0))
      call av(7043, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(7044)%branch(0:0))
      call av(7044, 0, 1, 1, 0, VFFa1, (/0, 1/), (/nGC_197/))

      allocate(vertices(7045)%branch(0:0))
      call av(7045, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(7046)%branch(0:0))
      call av(7046, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_901/))

      allocate(vertices(7047)%branch(0:0))
      call av(7047, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_181/))

      allocate(vertices(7048)%branch(0:0))
      call av(7048, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_227/))

      allocate(vertices(7049)%branch(0:0))
      call av(7049, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(7050)%branch(0:0))
      call av(7050, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_855/))

      allocate(vertices(7051)%branch(0:0))
      call av(7051, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_8, nGC_8, nGC_807/))

      allocate(vertices(7052)%branch(0:0))
      call av(7052, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_833, nGC_833, nGC_205/))

      allocate(vertices(7053)%branch(0:0))
      call av(7053, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_241/))

      allocate(vertices(7054)%branch(0:0))
      call av(7054, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(7055)%branch(0:1))
      call av(7055, 0, 30, 4, 0, VFaF0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(7055, 1, 31, 5, 0, VFaF0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(7056)%branch(0:0))
      call av(7056, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7057)%branch(0:0))
      call av(7057, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_238/))

      allocate(vertices(7058)%branch(0:0))
      call av(7058, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_114/))

      allocate(vertices(7059)%branch(0:0))
      call av(7059, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(7060)%branch(0:0))
      call av(7060, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7061)%branch(0:0))
      call av(7061, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(7062)%branch(0:0))
      call av(7062, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(7063)%branch(0:0))
      call av(7063, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(7064)%branch(0:0))
      call av(7064, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(7065)%branch(0:0))
      call av(7065, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(7066)%branch(0:0))
      call av(7066, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(7067)%branch(0:0))
      call av(7067, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_287/))

      allocate(vertices(7068)%branch(0:0))
      call av(7068, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_271/))

      allocate(vertices(7069)%branch(0:0))
      call av(7069, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_72/))

      allocate(vertices(7070)%branch(0:0))
      call av(7070, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_385, nGC_349/))

      allocate(vertices(7071)%branch(0:0))
      call av(7071, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(7072)%branch(0:0))
      call av(7072, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7073)%branch(0:0))
      call av(7073, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(7074)%branch(0:0))
      call av(7074, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(7075)%branch(0:0))
      call av(7075, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(7076)%branch(0:0))
      call av(7076, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_287/))

      allocate(vertices(7077)%branch(0:0))
      call av(7077, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_28/))

      allocate(vertices(7078)%branch(0:0))
      call av(7078, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_186/))

      allocate(vertices(7079)%branch(0:0))
      call av(7079, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_309/))

      allocate(vertices(7080)%branch(0:0))
      call av(7080, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(7081)%branch(0:0))
      call av(7081, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_165/))

      allocate(vertices(7082)%branch(0:0))
      call av(7082, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_272/))

      allocate(vertices(7083)%branch(0:0))
      call av(7083, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_63/))

      allocate(vertices(7084)%branch(0:0))
      call av(7084, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_839/))

      allocate(vertices(7085)%branch(0:0))
      call av(7085, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_47/))

      allocate(vertices(7086)%branch(0:0))
      call av(7086, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(7087)%branch(0:0))
      call av(7087, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_204/))

      allocate(vertices(7088)%branch(0:0))
      call av(7088, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(7089)%branch(0:0))
      call av(7089, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_187/))

      allocate(vertices(7090)%branch(0:0))
      call av(7090, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_187/))

      allocate(vertices(7091)%branch(0:0))
      call av(7091, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(7092)%branch(0:0))
      call av(7092, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_374, nGC_827/))

      allocate(vertices(7093)%branch(0:0))
      call av(7093, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(7094)%branch(0:0))
      call av(7094, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(7095)%branch(0:0))
      call av(7095, 0, 20, 1, 0, SFFa1, (/0, 1/), (/nGC_343, nGC_370/))

      allocate(vertices(7096)%branch(0:0))
      call av(7096, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(7097)%branch(0:1))
      call av(7097, 0, 11, 4, 0, FFaV0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(7097, 1, 12, 5, 0, FFaV0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(7098)%branch(0:0))
      call av(7098, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_271/))

      allocate(vertices(7099)%branch(0:0))
      call av(7099, 0, 1, 1, 0, VUaU1, (/0, 1/), (/nGC_825/))

      allocate(vertices(7100)%branch(0:0))
      call av(7100, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_269/))

      allocate(vertices(7101)%branch(0:0))
      call av(7101, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7102)%branch(0:0))
      call av(7102, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(7103)%branch(0:0))
      call av(7103, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_22/))

      allocate(vertices(7104)%branch(0:0))
      call av(7104, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(7105)%branch(0:0))
      call av(7105, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_162/))

      allocate(vertices(7106)%branch(0:0))
      call av(7106, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(7107)%branch(0:0))
      call av(7107, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_359, nGC_905/))

      allocate(vertices(7108)%branch(0:0))
      call av(7108, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(7109)%branch(0:0))
      call av(7109, 0, 1, 1, 0, VFaF0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(7110)%branch(0:0))
      call av(7110, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_193/))

      allocate(vertices(7111)%branch(0:0))
      call av(7111, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_184/))

      allocate(vertices(7112)%branch(0:0))
      call av(7112, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(7113)%branch(0:0))
      call av(7113, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7114)%branch(0:0))
      call av(7114, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(7115)%branch(0:0))
      call av(7115, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(7116)%branch(0:0))
      call av(7116, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_184/))

      allocate(vertices(7117)%branch(0:0))
      call av(7117, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_17/))

      allocate(vertices(7118)%branch(0:0))
      call av(7118, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_64/))

      allocate(vertices(7119)%branch(0:0))
      call av(7119, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_115/))

      allocate(vertices(7120)%branch(0:0))
      call av(7120, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(7121)%branch(0:0))
      call av(7121, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_21/))

      allocate(vertices(7122)%branch(0:0))
      call av(7122, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(7123)%branch(0:0))
      call av(7123, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_181/))

      allocate(vertices(7124)%branch(0:0))
      call av(7124, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(7125)%branch(0:1))
      call av(7125, 0, 11, 4, 0, FFaV0, (/1, 0/), (/nGC_13, nGC_13/))

      call av(7125, 1, 12, 5, 0, FFaV0, (/1, 0/), (/nGC_13, nGC_13/))

      allocate(vertices(7126)%branch(0:0))
      call av(7126, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_225/))

      allocate(vertices(7127)%branch(0:0))
      call av(7127, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(7128)%branch(0:0))
      call av(7128, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_223/))

      allocate(vertices(7129)%branch(0:0))
      call av(7129, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(7130)%branch(0:0))
      call av(7130, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7131)%branch(0:0))
      call av(7131, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(7132)%branch(0:0))
      call av(7132, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_386, nGC_805/))

      allocate(vertices(7133)%branch(0:0))
      call av(7133, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(7134)%branch(0:0))
      call av(7134, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_375, nGC_375/))

      allocate(vertices(7135)%branch(0:0))
      call av(7135, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_148/))

      allocate(vertices(7136)%branch(0:0))
      call av(7136, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_835/))

      allocate(vertices(7137)%branch(0:0))
      call av(7137, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7138)%branch(0:0))
      call av(7138, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_167/))

      allocate(vertices(7139)%branch(0:0))
      call av(7139, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_184/))

      allocate(vertices(7140)%branch(0:0))
      call av(7140, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7141)%branch(0:0))
      call av(7141, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_330/))

      allocate(vertices(7142)%branch(0:0))
      call av(7142, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(7143)%branch(0:0))
      call av(7143, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_241/))

      allocate(vertices(7144)%branch(0:0))
      call av(7144, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_191/))

      allocate(vertices(7145)%branch(0:0))
      call av(7145, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_136/))

      allocate(vertices(7146)%branch(0:0))
      call av(7146, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7147)%branch(0:0))
      call av(7147, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_115/))

      allocate(vertices(7148)%branch(0:0))
      call av(7148, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_188/))

      allocate(vertices(7149)%branch(0:0))
      call av(7149, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_369, nGC_369/))

      allocate(vertices(7150)%branch(0:0))
      call av(7150, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_21/))

      allocate(vertices(7151)%branch(0:0))
      call av(7151, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(7152)%branch(0:0))
      call av(7152, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_231/))

      allocate(vertices(7153)%branch(0:0))
      call av(7153, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_83/))

      allocate(vertices(7154)%branch(0:0))
      call av(7154, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_186/))

      allocate(vertices(7155)%branch(0:0))
      call av(7155, 0, 1, 1, 0, FSFa0, (/0, 1/), (/nGC_380, nGC_793/))

      allocate(vertices(7156)%branch(0:0))
      call av(7156, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7157)%branch(0:0))
      call av(7157, 0, 1, 1, 0, SUUa0, (/0, 1/), (/nGC_271/))

      allocate(vertices(7158)%branch(0:0))
      call av(7158, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_30/))

      allocate(vertices(7159)%branch(0:0))
      call av(7159, 0, 0, 1, 0, VVVV1, (/0, 2/), (/nGC_909, nGC_191, nGC_911/))

      allocate(vertices(7160)%branch(0:0))
      call av(7160, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_26/))

      allocate(vertices(7161)%branch(0:0))
      call av(7161, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(7162)%branch(0:0))
      call av(7162, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_219/))

      allocate(vertices(7163)%branch(0:0))
      call av(7163, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_197/))

      allocate(vertices(7164)%branch(0:0))
      call av(7164, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_117/))

      allocate(vertices(7165)%branch(0:0))
      call av(7165, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_136/))

      allocate(vertices(7166)%branch(0:0))
      call av(7166, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_335, nGC_881/))

      allocate(vertices(7167)%branch(0:0))
      call av(7167, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_105/))

      allocate(vertices(7168)%branch(0:0))
      call av(7168, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_190/))

      allocate(vertices(7169)%branch(0:0))
      call av(7169, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_99/))

      allocate(vertices(7170)%branch(0:0))
      call av(7170, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7171)%branch(0:0))
      call av(7171, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_186/))

      allocate(vertices(7172)%branch(0:0))
      call av(7172, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_203/))

      allocate(vertices(7173)%branch(0:0))
      call av(7173, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_180/))

      allocate(vertices(7174)%branch(0:0))
      call av(7174, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_181/))

      allocate(vertices(7175)%branch(0:0))
      call av(7175, 0, 1, 1, 0, UaUV0, (/0, 1/), (/nGC_817/))

      allocate(vertices(7176)%branch(0:0))
      call av(7176, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(7177)%branch(0:0))
      call av(7177, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_319/))

      allocate(vertices(7178)%branch(0:0))
      call av(7178, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_10/))

      allocate(vertices(7179)%branch(0:0))
      call av(7179, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7180)%branch(0:0))
      call av(7180, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_76/))

      allocate(vertices(7181)%branch(0:0))
      call av(7181, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7182)%branch(0:0))
      call av(7182, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_24/))

      allocate(vertices(7183)%branch(0:0))
      call av(7183, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(7184)%branch(0:0))
      call av(7184, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(7185)%branch(0:0))
      call av(7185, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(7186)%branch(0:0))
      call av(7186, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(7187)%branch(0:0))
      call av(7187, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_187/))

      allocate(vertices(7188)%branch(0:0))
      call av(7188, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_7/))

      allocate(vertices(7189)%branch(0:0))
      call av(7189, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_187/))

      allocate(vertices(7190)%branch(0:0))
      call av(7190, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_185/))

      allocate(vertices(7191)%branch(0:0))
      call av(7191, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_180/))

      allocate(vertices(7192)%branch(0:1))
      call av(7192, 0, 32, 6, 0, UUaV1, (/1, 0/), (/nGC_879/))

      call av(7192, 1, 33, 7, 0, UUaV1, (/1, 0/), (/nGC_879/))

      allocate(vertices(7193)%branch(0:0))
      call av(7193, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_221/))

      allocate(vertices(7194)%branch(0:0))
      call av(7194, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_197/))

      allocate(vertices(7195)%branch(0:0))
      call av(7195, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_278/))

      allocate(vertices(7196)%branch(0:0))
      call av(7196, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_143/))

      allocate(vertices(7197)%branch(0:0))
      call av(7197, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(7198)%branch(0:0))
      call av(7198, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_353, nGC_801/))

      allocate(vertices(7199)%branch(0:0))
      call av(7199, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_221/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
