!******************************************************************************!
!                                                                              !
!    ctparameter126.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter126.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-03-15 22:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter126
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter126()
  dZAZ_QED2 = (4d0*Nc*Ten395*cMU**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_207) - &
              cMZ**2d0*coupl(nGC_210) + coupl(nGC_207)*rMZ**2d0 + coupl(nGC_210&
              )*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten396*cMC**2d0*coupl(  &
              nGC_2)*(-cMZ**2d0*coupl(nGC_207) - cMZ**2d0*coupl(nGC_210) +     &
              coupl(nGC_207)*rMZ**2d0 + coupl(nGC_210)*rMZ**2d0)/(cMZ**2d0*rMZ &
              **2d0) + 4d0*Nc*Ten397*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(   &
              nGC_207) - cMZ**2d0*coupl(nGC_210) + coupl(nGC_207)*rMZ**2d0 +   &
              coupl(nGC_210)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten398*cMD &
              **2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_206) - cMZ**2d0*coupl(   &
              nGC_209) + coupl(nGC_206)*rMZ**2d0 + coupl(nGC_209)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten399*cMS**2d0*coupl(nGC_1)*(-cMZ** &
              2d0*coupl(nGC_206) - cMZ**2d0*coupl(nGC_209) + coupl(nGC_206)*rMZ&
              **2d0 + coupl(nGC_209)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*   &
              Ten400*cMB**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_206) - cMZ**2d0&
              *coupl(nGC_209) + coupl(nGC_206)*rMZ**2d0 + coupl(nGC_209)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten405*coupl(nGC_2)*(cMZ**2d0* &
              coupl(nGC_207) + cMZ**2d0*coupl(nGC_210) - coupl(nGC_207)*rMZ**  &
              2d0 - coupl(nGC_210)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*     &
              Ten406*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_207) + cMZ**2d0*coupl(   &
              nGC_210) - coupl(nGC_207)*rMZ**2d0 - coupl(nGC_210)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten407*coupl(nGC_2)*(cMZ**2d0*coupl( &
              nGC_207) + cMZ**2d0*coupl(nGC_210) - coupl(nGC_207)*rMZ**2d0 -   &
              coupl(nGC_210)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten408*    &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_206) + cMZ**2d0*coupl(nGC_209   &
              ) - coupl(nGC_206)*rMZ**2d0 - coupl(nGC_209)*rMZ**2d0)/(cMZ**2d0*&
              rMZ**2d0) + 8d0*Nc*Ten409*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_206   &
              ) + cMZ**2d0*coupl(nGC_209) - coupl(nGC_206)*rMZ**2d0 - coupl(   &
              nGC_209)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten410*coupl(    &
              nGC_1)*(cMZ**2d0*coupl(nGC_206) + cMZ**2d0*coupl(nGC_209) - coupl&
              (nGC_206)*rMZ**2d0 - coupl(nGC_209)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0 &
              ) + 4d0*Nc*Ten896*cMU**2d0*coupl(nGC_2)*(coupl(nGC_207) + coupl( &
              nGC_210))/rMZ**2d0 + 4d0*Nc*Ten897*cMC**2d0*coupl(nGC_2)*(coupl( &
              nGC_207) + coupl(nGC_210))/rMZ**2d0 + 4d0*Nc*Ten898*cMT**2d0*    &
              coupl(nGC_2)*(coupl(nGC_207) + coupl(nGC_210))/rMZ**2d0 + 4d0*Nc*&
              Ten899*cMD**2d0*coupl(nGC_1)*(coupl(nGC_206) + coupl(nGC_209))/  &
              rMZ**2d0 + 4d0*Nc*Ten900*cMS**2d0*coupl(nGC_1)*(coupl(nGC_206) + &
              coupl(nGC_209))/rMZ**2d0 + 4d0*Nc*Ten901*cMB**2d0*coupl(nGC_1)*( &
              coupl(nGC_206) + coupl(nGC_209))/rMZ**2d0 + 8d0*Nc*Ten912*coupl( &
              nGC_2)*(-coupl(nGC_207) - coupl(nGC_210))/rMZ**2d0 + 8d0*Nc*     &
              Ten913*coupl(nGC_2)*(-coupl(nGC_207) - coupl(nGC_210))/rMZ**2d0  &
               + 8d0*Nc*Ten914*coupl(nGC_2)*(-coupl(nGC_207) - coupl(nGC_210))/&
              rMZ**2d0 + 4d0*Nc*Ten915*coupl(nGC_2)*(-coupl(nGC_207) - coupl(  &
              nGC_210)) + 4d0*Nc*Ten916*coupl(nGC_2)*(-coupl(nGC_207) - coupl( &
              nGC_210)) + 4d0*Nc*Ten917*coupl(nGC_2)*(-coupl(nGC_207) - coupl( &
              nGC_210)) + 4d0*Nc*Ten918*coupl(nGC_2)*(-coupl(nGC_207) - coupl( &
              nGC_210)) + 4d0*Nc*Ten919*coupl(nGC_2)*(-coupl(nGC_207) - coupl( &
              nGC_210)) + 4d0*Nc*Ten920*coupl(nGC_2)*(-coupl(nGC_207) - coupl( &
              nGC_210)) + 8d0*Nc*Ten921*coupl(nGC_1)*(-coupl(nGC_206) - coupl( &
              nGC_209))/rMZ**2d0 + 8d0*Nc*Ten922*coupl(nGC_1)*(-coupl(nGC_206  &
              ) - coupl(nGC_209))/rMZ**2d0 + 8d0*Nc*Ten923*coupl(nGC_1)*(-coupl&
              (nGC_206) - coupl(nGC_209))/rMZ**2d0 + 4d0*Nc*Ten924*coupl(nGC_1 &
              )*(-coupl(nGC_206) - coupl(nGC_209)) + 4d0*Nc*Ten925*coupl(nGC_1 &
              )*(-coupl(nGC_206) - coupl(nGC_209)) + 4d0*Nc*Ten926*coupl(nGC_1 &
              )*(-coupl(nGC_206) - coupl(nGC_209)) + 4d0*Nc*Ten927*coupl(nGC_1 &
              )*(-coupl(nGC_206) - coupl(nGC_209)) + 4d0*Nc*Ten928*coupl(nGC_1 &
              )*(-coupl(nGC_206) - coupl(nGC_209)) + 4d0*Nc*Ten929*coupl(nGC_1 &
              )*(-coupl(nGC_206) - coupl(nGC_209)) + 2d0*cima*Ten13*coupl(     &
              nGC_221)/cMZ**2d0 + 2d0*cima*Ten3*(-2d0*coupl(nGC_204) - 4d0*    &
              coupl(nGC_205) + coupl(nGC_221))/cMZ**2d0 + 4d0*Ten392*cME**2d0* &
              coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_208) - cMZ**2d0*coupl(nGC_211  &
              ) + coupl(nGC_208)*rMZ**2d0 + coupl(nGC_211)*rMZ**2d0)/(cMZ**2d0*&
              rMZ**2d0) + 4d0*Ten393*cMM**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(   &
              nGC_208) - cMZ**2d0*coupl(nGC_211) + coupl(nGC_208)*rMZ**2d0 +   &
              coupl(nGC_211)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten394*cMTA** &
              2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_208) - cMZ**2d0*coupl(     &
              nGC_211) + coupl(nGC_208)*rMZ**2d0 + coupl(nGC_211)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 8d0*Ten402*coupl(nGC_4)*(cMZ**2d0*coupl(    &
              nGC_208) + cMZ**2d0*coupl(nGC_211) - coupl(nGC_208)*rMZ**2d0 -   &
              coupl(nGC_211)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten403*coupl( &
              nGC_4)*(cMZ**2d0*coupl(nGC_208) + cMZ**2d0*coupl(nGC_211) - coupl&
              (nGC_208)*rMZ**2d0 - coupl(nGC_211)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0 &
              ) + 8d0*Ten404*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_208) + cMZ**2d0* &
              coupl(nGC_211) - coupl(nGC_208)*rMZ**2d0 - coupl(nGC_211)*rMZ**  &
              2d0)/(cMZ**2d0*rMZ**2d0) + 2d0*Ten865*(16d0*cMZ**2d0*coupl(      &
              nGC_199)*coupl(nGC_3) - cMZ**2d0*coupl(nGC_200)*coupl(nGC_6) -   &
              cMZ**2d0*coupl(nGC_201)*coupl(nGC_5) + 4d0*cMZ**2d0*coupl(nGC_218&
              )*coupl(nGC_26) - 16d0*coupl(nGC_199)*coupl(nGC_3)*rMZ**2d0 +    &
              coupl(nGC_200)*coupl(nGC_6)*rMZ**2d0 + coupl(nGC_201)*coupl(nGC_5&
              )*rMZ**2d0 - 4d0*coupl(nGC_218)*coupl(nGC_26)*rMZ**2d0)/(cMZ**2d0&
              *rMZ**2d0) + 8d0*Ten872*coupl(nGC_218)*coupl(nGC_26)*(cMZ**2d0 - &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) - 16d0*Ten891*coupl(nGC_199)*coupl(&
              nGC_3) + 4d0*Ten893*cME**2d0*coupl(nGC_4)*(coupl(nGC_208) + coupl&
              (nGC_211))/rMZ**2d0 + 4d0*Ten894*cMM**2d0*coupl(nGC_4)*(coupl(   &
              nGC_208) + coupl(nGC_211))/rMZ**2d0 + 4d0*Ten895*cMTA**2d0*coupl(&
              nGC_4)*(coupl(nGC_208) + coupl(nGC_211))/rMZ**2d0 + 2d0*Ten902*(-&
              16d0*coupl(nGC_199)*coupl(nGC_3) + coupl(nGC_200)*coupl(nGC_6) + &
              coupl(nGC_201)*coupl(nGC_5) - 4d0*coupl(nGC_218)*coupl(nGC_26))/ &
              rMZ**2d0 + 8d0*Ten903*coupl(nGC_4)*(-coupl(nGC_208) - coupl(     &
              nGC_211))/rMZ**2d0 + 8d0*Ten904*coupl(nGC_4)*(-coupl(nGC_208) -  &
              coupl(nGC_211))/rMZ**2d0 + 8d0*Ten905*coupl(nGC_4)*(-coupl(      &
              nGC_208) - coupl(nGC_211))/rMZ**2d0 + 4d0*Ten906*coupl(nGC_4)*(- &
              coupl(nGC_208) - coupl(nGC_211)) + 4d0*Ten907*coupl(nGC_4)*(-    &
              coupl(nGC_208) - coupl(nGC_211)) + 4d0*Ten908*coupl(nGC_4)*(-    &
              coupl(nGC_208) - coupl(nGC_211)) + 4d0*Ten909*coupl(nGC_4)*(-    &
              coupl(nGC_208) - coupl(nGC_211)) + 4d0*Ten910*coupl(nGC_4)*(-    &
              coupl(nGC_208) - coupl(nGC_211)) + 4d0*Ten911*coupl(nGC_4)*(-    &
              coupl(nGC_208) - coupl(nGC_211)) - 8d0*Ten934*coupl(nGC_218)*    &
              coupl(nGC_26)/rMZ**2d0 + pi**2d0*(4d0*Nc*cMB**2d0*coupl(nGC_1)*  &
              coupl(nGC_206)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMB**2d0*coupl(nGC_1)*&
              coupl(nGC_209)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMC**2d0*coupl(nGC_2)*&
              coupl(nGC_207)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMC**2d0*coupl(nGC_2)*&
              coupl(nGC_210)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMD**2d0*coupl(nGC_1)*&
              coupl(nGC_206)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMD**2d0*coupl(nGC_1)*&
              coupl(nGC_209)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMS**2d0*coupl(nGC_1)*&
              coupl(nGC_206)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMS**2d0*coupl(nGC_1)*&
              coupl(nGC_209)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMT**2d0*coupl(nGC_2)*&
              coupl(nGC_207)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMT**2d0*coupl(nGC_2)*&
              coupl(nGC_210)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMU**2d0*coupl(nGC_2)*&
              coupl(nGC_207)/(pi**2d0*cMZ**2d0) + 4d0*Nc*cMU**2d0*coupl(nGC_2)*&
              coupl(nGC_210)/(pi**2d0*cMZ**2d0) - 2d0*Nc*coupl(nGC_1)*coupl(   &
              nGC_206)/pi**2d0 - 2d0*Nc*coupl(nGC_1)*coupl(nGC_209)/pi**2d0 -  &
              2d0*Nc*coupl(nGC_2)*coupl(nGC_207)/pi**2d0 - 2d0*Nc*coupl(nGC_2)*&
              coupl(nGC_210)/pi**2d0 + 4d0*cME**2d0*coupl(nGC_208)*coupl(nGC_4 &
              )/(pi**2d0*cMZ**2d0) + 4d0*cME**2d0*coupl(nGC_211)*coupl(nGC_4)/(&
              pi**2d0*cMZ**2d0) + 4d0*cMM**2d0*coupl(nGC_208)*coupl(nGC_4)/(pi &
              **2d0*cMZ**2d0) + 4d0*cMM**2d0*coupl(nGC_211)*coupl(nGC_4)/(pi** &
              2d0*cMZ**2d0) + 4d0*cMTA**2d0*coupl(nGC_208)*coupl(nGC_4)/(pi**  &
              2d0*cMZ**2d0) + 4d0*cMTA**2d0*coupl(nGC_211)*coupl(nGC_4)/(pi**  &
              2d0*cMZ**2d0) + 8d0*cMW**2d0*coupl(nGC_199)*coupl(nGC_3)/(pi**2d0&
              *cMZ**2d0) + 4d0*cima*cMW**2d0*coupl(nGC_205)/(pi**2d0*cMZ**2d0  &
              ) - 4d0*coupl(nGC_199)*coupl(nGC_3)/(3d0*pi**2d0) - 2d0*coupl(   &
              nGC_208)*coupl(nGC_4)/pi**2d0 - 2d0*coupl(nGC_211)*coupl(nGC_4)/ &
              pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter126
end module ctparameter126
